package com.chinaitop.depot.feign;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.HystrixClientFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 2020/7/21
 * jidongjie
 */
@FeignClient(name = "depot-agile", fallback = HystrixClientFallback.class)
public interface AgileHouseFeignClient {

    @RequestMapping(value="/agile/kcsw/getList", produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
    JSONObject getList(@RequestParam(value = "pageNum")Integer pageNum, @RequestParam(value = "pageSize")Integer pageSize, @RequestParam(value = "kcswStr")String kcswStr, @RequestParam(value = "order")String order);

}
