package com.chinaitop.depot.feign;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.HystrixClientFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;

@FeignClient(name = "depot-storage", fallback = HystrixClientFallback.class)
public interface StorageHouseFeignClient {


    @RequestMapping(value = "/StorageProductFcbgz/getNumberList", produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
    JSONObject getNumberList(@RequestParam(value = "pageNum")Integer pageNum,
                             @RequestParam(value = "pageSize")Integer pageSize,
                             @RequestParam(value = "houseId")Integer houseId,
                             @RequestParam(value = "wareId")Integer wareId,
                             @RequestParam(value = "orgId")Integer orgId);
}
