package com.chinaitop.depot.qualityControl.mapper;

import com.chinaitop.depot.common.CommonParam;
import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspection;
import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspectionExample;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspectionPage;
import org.apache.ibatis.annotations.Param;

public interface BusinessQcQualityInspectionMapper {
    int countByExample(BusinessQcQualityInspectionExample example);

    int deleteByExample(BusinessQcQualityInspectionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessQcQualityInspection record);

    int insertSelective(BusinessQcQualityInspection record);

    List<BusinessQcQualityInspection> selectByExample(BusinessQcQualityInspectionExample example);

    BusinessQcQualityInspection selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessQcQualityInspection record, @Param("example") BusinessQcQualityInspectionExample example);

    int updateByExample(@Param("record") BusinessQcQualityInspection record, @Param("example") BusinessQcQualityInspectionExample example);

    int updateByPrimaryKeySelective(BusinessQcQualityInspection record);

    int updateByPrimaryKey(BusinessQcQualityInspection record);

    String selectOnly();

    List<BusinessQcQualityInspection> getPageList(BusinessQcQualityInspectionPage pageParam);

    Map<String, Object> selectByStoreAndWarehouse(CommonParam param);

    List<Map<String,Object>> getEnumTreeList(@Param("parentId") Integer parentId);

    List<BusinessQcQualityInspection> getQualityInspectionFindByWarehouseId(Map<String, Object> map);

    BusinessQcQualityInspection findByqualityId(String id);
    List<BusinessQcQualityInspection> findByqualityId1(String id);

}