package com.chinaitop.depot.qualityControl.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class BusinessQcQualityInspectionExample {
    /**
     * business_qc_quality_inspection
     */
    protected String orderByClause;

    /**
     * business_qc_quality_inspection
     */
    protected boolean distinct;

    /**
     * business_qc_quality_inspection
     */
    protected List<Criteria> oredCriteria;

    public BusinessQcQualityInspectionExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * business_qc_quality_inspection 2024-05-15
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNull() {
            addCriterion("createdate is null");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNotNull() {
            addCriterion("createdate is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedateEqualTo(Date value) {
            addCriterion("createdate =", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotEqualTo(Date value) {
            addCriterion("createdate <>", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThan(Date value) {
            addCriterion("createdate >", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("createdate >=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThan(Date value) {
            addCriterion("createdate <", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThanOrEqualTo(Date value) {
            addCriterion("createdate <=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateIn(List<Date> values) {
            addCriterion("createdate in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotIn(List<Date> values) {
            addCriterion("createdate not in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateBetween(Date value1, Date value2) {
            addCriterion("createdate between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotBetween(Date value1, Date value2) {
            addCriterion("createdate not between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNull() {
            addCriterion("updatename is null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNotNull() {
            addCriterion("updatename is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameEqualTo(String value) {
            addCriterion("updatename =", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotEqualTo(String value) {
            addCriterion("updatename <>", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThan(String value) {
            addCriterion("updatename >", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThanOrEqualTo(String value) {
            addCriterion("updatename >=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThan(String value) {
            addCriterion("updatename <", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThanOrEqualTo(String value) {
            addCriterion("updatename <=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLike(String value) {
            addCriterion("updatename like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotLike(String value) {
            addCriterion("updatename not like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIn(List<String> values) {
            addCriterion("updatename in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotIn(List<String> values) {
            addCriterion("updatename not in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameBetween(String value1, String value2) {
            addCriterion("updatename between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotBetween(String value1, String value2) {
            addCriterion("updatename not between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNull() {
            addCriterion("updatedate is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNotNull() {
            addCriterion("updatedate is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateEqualTo(Date value) {
            addCriterion("updatedate =", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotEqualTo(Date value) {
            addCriterion("updatedate <>", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThan(Date value) {
            addCriterion("updatedate >", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("updatedate >=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThan(Date value) {
            addCriterion("updatedate <", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThanOrEqualTo(Date value) {
            addCriterion("updatedate <=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIn(List<Date> values) {
            addCriterion("updatedate in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotIn(List<Date> values) {
            addCriterion("updatedate not in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateBetween(Date value1, Date value2) {
            addCriterion("updatedate between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotBetween(Date value1, Date value2) {
            addCriterion("updatedate not between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andZjbgdhIsNull() {
            addCriterion("zjbgdh is null");
            return (Criteria) this;
        }

        public Criteria andZjbgdhIsNotNull() {
            addCriterion("zjbgdh is not null");
            return (Criteria) this;
        }

        public Criteria andZjbgdhEqualTo(String value) {
            addCriterion("zjbgdh =", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhNotEqualTo(String value) {
            addCriterion("zjbgdh <>", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhGreaterThan(String value) {
            addCriterion("zjbgdh >", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhGreaterThanOrEqualTo(String value) {
            addCriterion("zjbgdh >=", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhLessThan(String value) {
            addCriterion("zjbgdh <", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhLessThanOrEqualTo(String value) {
            addCriterion("zjbgdh <=", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhLike(String value) {
            addCriterion("zjbgdh like", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhNotLike(String value) {
            addCriterion("zjbgdh not like", value, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhIn(List<String> values) {
            addCriterion("zjbgdh in", values, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhNotIn(List<String> values) {
            addCriterion("zjbgdh not in", values, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhBetween(String value1, String value2) {
            addCriterion("zjbgdh between", value1, value2, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andZjbgdhNotBetween(String value1, String value2) {
            addCriterion("zjbgdh not between", value1, value2, "zjbgdh");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andJylbIsNull() {
            addCriterion("jylb is null");
            return (Criteria) this;
        }

        public Criteria andJylbIsNotNull() {
            addCriterion("jylb is not null");
            return (Criteria) this;
        }

        public Criteria andJylbEqualTo(String value) {
            addCriterion("jylb =", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbNotEqualTo(String value) {
            addCriterion("jylb <>", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbGreaterThan(String value) {
            addCriterion("jylb >", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbGreaterThanOrEqualTo(String value) {
            addCriterion("jylb >=", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbLessThan(String value) {
            addCriterion("jylb <", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbLessThanOrEqualTo(String value) {
            addCriterion("jylb <=", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbLike(String value) {
            addCriterion("jylb like", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbNotLike(String value) {
            addCriterion("jylb not like", value, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbIn(List<String> values) {
            addCriterion("jylb in", values, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbNotIn(List<String> values) {
            addCriterion("jylb not in", values, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbBetween(String value1, String value2) {
            addCriterion("jylb between", value1, value2, "jylb");
            return (Criteria) this;
        }

        public Criteria andJylbNotBetween(String value1, String value2) {
            addCriterion("jylb not between", value1, value2, "jylb");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIsNull() {
            addCriterion("basic_storehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIsNotNull() {
            addCriterion("basic_storehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdEqualTo(Integer value) {
            addCriterion("basic_storehouse_id =", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotEqualTo(Integer value) {
            addCriterion("basic_storehouse_id <>", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdGreaterThan(Integer value) {
            addCriterion("basic_storehouse_id >", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("basic_storehouse_id >=", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdLessThan(Integer value) {
            addCriterion("basic_storehouse_id <", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("basic_storehouse_id <=", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIn(List<Integer> values) {
            addCriterion("basic_storehouse_id in", values, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotIn(List<Integer> values) {
            addCriterion("basic_storehouse_id not in", values, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("basic_storehouse_id between", value1, value2, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("basic_storehouse_id not between", value1, value2, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(Integer value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(Integer value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(Integer value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(Integer value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<Integer> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<Integer> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIsNull() {
            addCriterion("grain_variety_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIsNotNull() {
            addCriterion("grain_variety_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdEqualTo(Integer value) {
            addCriterion("grain_variety_id =", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotEqualTo(Integer value) {
            addCriterion("grain_variety_id <>", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdGreaterThan(Integer value) {
            addCriterion("grain_variety_id >", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_variety_id >=", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdLessThan(Integer value) {
            addCriterion("grain_variety_id <", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_variety_id <=", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIn(List<Integer> values) {
            addCriterion("grain_variety_id in", values, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotIn(List<Integer> values) {
            addCriterion("grain_variety_id not in", values, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_variety_id between", value1, value2, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_variety_id not between", value1, value2, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIsNull() {
            addCriterion("grain_grade_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIsNotNull() {
            addCriterion("grain_grade_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdEqualTo(Integer value) {
            addCriterion("grain_grade_id =", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotEqualTo(Integer value) {
            addCriterion("grain_grade_id <>", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdGreaterThan(Integer value) {
            addCriterion("grain_grade_id >", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_grade_id >=", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdLessThan(Integer value) {
            addCriterion("grain_grade_id <", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_grade_id <=", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIn(List<Integer> values) {
            addCriterion("grain_grade_id in", values, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotIn(List<Integer> values) {
            addCriterion("grain_grade_id not in", values, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_grade_id between", value1, value2, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_grade_id not between", value1, value2, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andRkrqIsNull() {
            addCriterion("rkrq is null");
            return (Criteria) this;
        }

        public Criteria andRkrqIsNotNull() {
            addCriterion("rkrq is not null");
            return (Criteria) this;
        }

        public Criteria andRkrqEqualTo(Date value) {
            addCriterionForJDBCDate("rkrq =", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqNotEqualTo(Date value) {
            addCriterionForJDBCDate("rkrq <>", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqGreaterThan(Date value) {
            addCriterionForJDBCDate("rkrq >", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rkrq >=", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqLessThan(Date value) {
            addCriterionForJDBCDate("rkrq <", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rkrq <=", value, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqIn(List<Date> values) {
            addCriterionForJDBCDate("rkrq in", values, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqNotIn(List<Date> values) {
            addCriterionForJDBCDate("rkrq not in", values, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rkrq between", value1, value2, "rkrq");
            return (Criteria) this;
        }

        public Criteria andRkrqNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rkrq not between", value1, value2, "rkrq");
            return (Criteria) this;
        }

        public Criteria andReceiveYearIsNull() {
            addCriterion("receive_year is null");
            return (Criteria) this;
        }

        public Criteria andReceiveYearIsNotNull() {
            addCriterion("receive_year is not null");
            return (Criteria) this;
        }

        public Criteria andReceiveYearEqualTo(Date value) {
            addCriterionForJDBCDate("receive_year =", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearNotEqualTo(Date value) {
            addCriterionForJDBCDate("receive_year <>", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearGreaterThan(Date value) {
            addCriterionForJDBCDate("receive_year >", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("receive_year >=", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearLessThan(Date value) {
            addCriterionForJDBCDate("receive_year <", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("receive_year <=", value, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearIn(List<Date> values) {
            addCriterionForJDBCDate("receive_year in", values, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearNotIn(List<Date> values) {
            addCriterionForJDBCDate("receive_year not in", values, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("receive_year between", value1, value2, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andReceiveYearNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("receive_year not between", value1, value2, "receiveYear");
            return (Criteria) this;
        }

        public Criteria andProduceAreaIsNull() {
            addCriterion("produce_area is null");
            return (Criteria) this;
        }

        public Criteria andProduceAreaIsNotNull() {
            addCriterion("produce_area is not null");
            return (Criteria) this;
        }

        public Criteria andProduceAreaEqualTo(String value) {
            addCriterion("produce_area =", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaNotEqualTo(String value) {
            addCriterion("produce_area <>", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaGreaterThan(String value) {
            addCriterion("produce_area >", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaGreaterThanOrEqualTo(String value) {
            addCriterion("produce_area >=", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaLessThan(String value) {
            addCriterion("produce_area <", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaLessThanOrEqualTo(String value) {
            addCriterion("produce_area <=", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaLike(String value) {
            addCriterion("produce_area like", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaNotLike(String value) {
            addCriterion("produce_area not like", value, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaIn(List<String> values) {
            addCriterion("produce_area in", values, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaNotIn(List<String> values) {
            addCriterion("produce_area not in", values, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaBetween(String value1, String value2) {
            addCriterion("produce_area between", value1, value2, "produceArea");
            return (Criteria) this;
        }

        public Criteria andProduceAreaNotBetween(String value1, String value2) {
            addCriterion("produce_area not between", value1, value2, "produceArea");
            return (Criteria) this;
        }

        public Criteria andJysjIsNull() {
            addCriterion("jysj is null");
            return (Criteria) this;
        }

        public Criteria andJysjIsNotNull() {
            addCriterion("jysj is not null");
            return (Criteria) this;
        }

        public Criteria andJysjEqualTo(Date value) {
            addCriterion("jysj =", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjNotEqualTo(Date value) {
            addCriterion("jysj <>", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjGreaterThan(Date value) {
            addCriterion("jysj >", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjGreaterThanOrEqualTo(Date value) {
            addCriterion("jysj >=", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjLessThan(Date value) {
            addCriterion("jysj <", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjLessThanOrEqualTo(Date value) {
            addCriterion("jysj <=", value, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjIn(List<Date> values) {
            addCriterion("jysj in", values, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjNotIn(List<Date> values) {
            addCriterion("jysj not in", values, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjBetween(Date value1, Date value2) {
            addCriterion("jysj between", value1, value2, "jysj");
            return (Criteria) this;
        }

        public Criteria andJysjNotBetween(Date value1, Date value2) {
            addCriterion("jysj not between", value1, value2, "jysj");
            return (Criteria) this;
        }

        public Criteria andCheckResultIsNull() {
            addCriterion("check_result is null");
            return (Criteria) this;
        }

        public Criteria andCheckResultIsNotNull() {
            addCriterion("check_result is not null");
            return (Criteria) this;
        }

        public Criteria andCheckResultEqualTo(Byte value) {
            addCriterion("check_result =", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotEqualTo(Byte value) {
            addCriterion("check_result <>", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultGreaterThan(Byte value) {
            addCriterion("check_result >", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultGreaterThanOrEqualTo(Byte value) {
            addCriterion("check_result >=", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultLessThan(Byte value) {
            addCriterion("check_result <", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultLessThanOrEqualTo(Byte value) {
            addCriterion("check_result <=", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultIn(List<Byte> values) {
            addCriterion("check_result in", values, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotIn(List<Byte> values) {
            addCriterion("check_result not in", values, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultBetween(Byte value1, Byte value2) {
            addCriterion("check_result between", value1, value2, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotBetween(Byte value1, Byte value2) {
            addCriterion("check_result not between", value1, value2, "checkResult");
            return (Criteria) this;
        }

        public Criteria andJydwIsNull() {
            addCriterion("jydw is null");
            return (Criteria) this;
        }

        public Criteria andJydwIsNotNull() {
            addCriterion("jydw is not null");
            return (Criteria) this;
        }

        public Criteria andJydwEqualTo(String value) {
            addCriterion("jydw =", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwNotEqualTo(String value) {
            addCriterion("jydw <>", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwGreaterThan(String value) {
            addCriterion("jydw >", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwGreaterThanOrEqualTo(String value) {
            addCriterion("jydw >=", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwLessThan(String value) {
            addCriterion("jydw <", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwLessThanOrEqualTo(String value) {
            addCriterion("jydw <=", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwLike(String value) {
            addCriterion("jydw like", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwNotLike(String value) {
            addCriterion("jydw not like", value, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwIn(List<String> values) {
            addCriterion("jydw in", values, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwNotIn(List<String> values) {
            addCriterion("jydw not in", values, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwBetween(String value1, String value2) {
            addCriterion("jydw between", value1, value2, "jydw");
            return (Criteria) this;
        }

        public Criteria andJydwNotBetween(String value1, String value2) {
            addCriterion("jydw not between", value1, value2, "jydw");
            return (Criteria) this;
        }

        public Criteria andJyrIsNull() {
            addCriterion("jyr is null");
            return (Criteria) this;
        }

        public Criteria andJyrIsNotNull() {
            addCriterion("jyr is not null");
            return (Criteria) this;
        }

        public Criteria andJyrEqualTo(String value) {
            addCriterion("jyr =", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrNotEqualTo(String value) {
            addCriterion("jyr <>", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrGreaterThan(String value) {
            addCriterion("jyr >", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrGreaterThanOrEqualTo(String value) {
            addCriterion("jyr >=", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrLessThan(String value) {
            addCriterion("jyr <", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrLessThanOrEqualTo(String value) {
            addCriterion("jyr <=", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrLike(String value) {
            addCriterion("jyr like", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrNotLike(String value) {
            addCriterion("jyr not like", value, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrIn(List<String> values) {
            addCriterion("jyr in", values, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrNotIn(List<String> values) {
            addCriterion("jyr not in", values, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrBetween(String value1, String value2) {
            addCriterion("jyr between", value1, value2, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyrNotBetween(String value1, String value2) {
            addCriterion("jyr not between", value1, value2, "jyr");
            return (Criteria) this;
        }

        public Criteria andJyyjIsNull() {
            addCriterion("jyyj is null");
            return (Criteria) this;
        }

        public Criteria andJyyjIsNotNull() {
            addCriterion("jyyj is not null");
            return (Criteria) this;
        }

        public Criteria andJyyjEqualTo(String value) {
            addCriterion("jyyj =", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotEqualTo(String value) {
            addCriterion("jyyj <>", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjGreaterThan(String value) {
            addCriterion("jyyj >", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjGreaterThanOrEqualTo(String value) {
            addCriterion("jyyj >=", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLessThan(String value) {
            addCriterion("jyyj <", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLessThanOrEqualTo(String value) {
            addCriterion("jyyj <=", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjLike(String value) {
            addCriterion("jyyj like", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotLike(String value) {
            addCriterion("jyyj not like", value, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjIn(List<String> values) {
            addCriterion("jyyj in", values, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotIn(List<String> values) {
            addCriterion("jyyj not in", values, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjBetween(String value1, String value2) {
            addCriterion("jyyj between", value1, value2, "jyyj");
            return (Criteria) this;
        }

        public Criteria andJyyjNotBetween(String value1, String value2) {
            addCriterion("jyyj not between", value1, value2, "jyyj");
            return (Criteria) this;
        }

        public Criteria andZblbIsNull() {
            addCriterion("zblb is null");
            return (Criteria) this;
        }

        public Criteria andZblbIsNotNull() {
            addCriterion("zblb is not null");
            return (Criteria) this;
        }

        public Criteria andZblbEqualTo(String value) {
            addCriterion("zblb =", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbNotEqualTo(String value) {
            addCriterion("zblb <>", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbGreaterThan(String value) {
            addCriterion("zblb >", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbGreaterThanOrEqualTo(String value) {
            addCriterion("zblb >=", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbLessThan(String value) {
            addCriterion("zblb <", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbLessThanOrEqualTo(String value) {
            addCriterion("zblb <=", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbLike(String value) {
            addCriterion("zblb like", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbNotLike(String value) {
            addCriterion("zblb not like", value, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbIn(List<String> values) {
            addCriterion("zblb in", values, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbNotIn(List<String> values) {
            addCriterion("zblb not in", values, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbBetween(String value1, String value2) {
            addCriterion("zblb between", value1, value2, "zblb");
            return (Criteria) this;
        }

        public Criteria andZblbNotBetween(String value1, String value2) {
            addCriterion("zblb not between", value1, value2, "zblb");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgIsNull() {
            addCriterion("spaqzbsfhg is null");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgIsNotNull() {
            addCriterion("spaqzbsfhg is not null");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgEqualTo(String value) {
            addCriterion("spaqzbsfhg =", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgNotEqualTo(String value) {
            addCriterion("spaqzbsfhg <>", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgGreaterThan(String value) {
            addCriterion("spaqzbsfhg >", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgGreaterThanOrEqualTo(String value) {
            addCriterion("spaqzbsfhg >=", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgLessThan(String value) {
            addCriterion("spaqzbsfhg <", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgLessThanOrEqualTo(String value) {
            addCriterion("spaqzbsfhg <=", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgLike(String value) {
            addCriterion("spaqzbsfhg like", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgNotLike(String value) {
            addCriterion("spaqzbsfhg not like", value, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgIn(List<String> values) {
            addCriterion("spaqzbsfhg in", values, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgNotIn(List<String> values) {
            addCriterion("spaqzbsfhg not in", values, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgBetween(String value1, String value2) {
            addCriterion("spaqzbsfhg between", value1, value2, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andSpaqzbsfhgNotBetween(String value1, String value2) {
            addCriterion("spaqzbsfhg not between", value1, value2, "spaqzbsfhg");
            return (Criteria) this;
        }

        public Criteria andQfrqIsNull() {
            addCriterion("qfrq is null");
            return (Criteria) this;
        }

        public Criteria andQfrqIsNotNull() {
            addCriterion("qfrq is not null");
            return (Criteria) this;
        }

        public Criteria andQfrqEqualTo(String value) {
            addCriterion("qfrq =", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqNotEqualTo(String value) {
            addCriterion("qfrq <>", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqGreaterThan(String value) {
            addCriterion("qfrq >", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqGreaterThanOrEqualTo(String value) {
            addCriterion("qfrq >=", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqLessThan(String value) {
            addCriterion("qfrq <", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqLessThanOrEqualTo(String value) {
            addCriterion("qfrq <=", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqLike(String value) {
            addCriterion("qfrq like", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqNotLike(String value) {
            addCriterion("qfrq not like", value, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqIn(List<String> values) {
            addCriterion("qfrq in", values, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqNotIn(List<String> values) {
            addCriterion("qfrq not in", values, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqBetween(String value1, String value2) {
            addCriterion("qfrq between", value1, value2, "qfrq");
            return (Criteria) this;
        }

        public Criteria andQfrqNotBetween(String value1, String value2) {
            addCriterion("qfrq not between", value1, value2, "qfrq");
            return (Criteria) this;
        }

        public Criteria andBgcjsjIsNull() {
            addCriterion("bgcjsj is null");
            return (Criteria) this;
        }

        public Criteria andBgcjsjIsNotNull() {
            addCriterion("bgcjsj is not null");
            return (Criteria) this;
        }

        public Criteria andBgcjsjEqualTo(Date value) {
            addCriterion("bgcjsj =", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjNotEqualTo(Date value) {
            addCriterion("bgcjsj <>", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjGreaterThan(Date value) {
            addCriterion("bgcjsj >", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("bgcjsj >=", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjLessThan(Date value) {
            addCriterion("bgcjsj <", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjLessThanOrEqualTo(Date value) {
            addCriterion("bgcjsj <=", value, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjIn(List<Date> values) {
            addCriterion("bgcjsj in", values, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjNotIn(List<Date> values) {
            addCriterion("bgcjsj not in", values, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjBetween(Date value1, Date value2) {
            addCriterion("bgcjsj between", value1, value2, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andBgcjsjNotBetween(Date value1, Date value2) {
            addCriterion("bgcjsj not between", value1, value2, "bgcjsj");
            return (Criteria) this;
        }

        public Criteria andShrxmIsNull() {
            addCriterion("shrxm is null");
            return (Criteria) this;
        }

        public Criteria andShrxmIsNotNull() {
            addCriterion("shrxm is not null");
            return (Criteria) this;
        }

        public Criteria andShrxmEqualTo(String value) {
            addCriterion("shrxm =", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmNotEqualTo(String value) {
            addCriterion("shrxm <>", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmGreaterThan(String value) {
            addCriterion("shrxm >", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmGreaterThanOrEqualTo(String value) {
            addCriterion("shrxm >=", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmLessThan(String value) {
            addCriterion("shrxm <", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmLessThanOrEqualTo(String value) {
            addCriterion("shrxm <=", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmLike(String value) {
            addCriterion("shrxm like", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmNotLike(String value) {
            addCriterion("shrxm not like", value, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmIn(List<String> values) {
            addCriterion("shrxm in", values, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmNotIn(List<String> values) {
            addCriterion("shrxm not in", values, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmBetween(String value1, String value2) {
            addCriterion("shrxm between", value1, value2, "shrxm");
            return (Criteria) this;
        }

        public Criteria andShrxmNotBetween(String value1, String value2) {
            addCriterion("shrxm not between", value1, value2, "shrxm");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxIsNull() {
            addCriterion("sfzcccnx is null");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxIsNotNull() {
            addCriterion("sfzcccnx is not null");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxEqualTo(String value) {
            addCriterion("sfzcccnx =", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxNotEqualTo(String value) {
            addCriterion("sfzcccnx <>", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxGreaterThan(String value) {
            addCriterion("sfzcccnx >", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxGreaterThanOrEqualTo(String value) {
            addCriterion("sfzcccnx >=", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxLessThan(String value) {
            addCriterion("sfzcccnx <", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxLessThanOrEqualTo(String value) {
            addCriterion("sfzcccnx <=", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxLike(String value) {
            addCriterion("sfzcccnx like", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxNotLike(String value) {
            addCriterion("sfzcccnx not like", value, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxIn(List<String> values) {
            addCriterion("sfzcccnx in", values, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxNotIn(List<String> values) {
            addCriterion("sfzcccnx not in", values, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxBetween(String value1, String value2) {
            addCriterion("sfzcccnx between", value1, value2, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andSfzcccnxNotBetween(String value1, String value2) {
            addCriterion("sfzcccnx not between", value1, value2, "sfzcccnx");
            return (Criteria) this;
        }

        public Criteria andZbjgpdIsNull() {
            addCriterion("zbjgpd is null");
            return (Criteria) this;
        }

        public Criteria andZbjgpdIsNotNull() {
            addCriterion("zbjgpd is not null");
            return (Criteria) this;
        }

        public Criteria andZbjgpdEqualTo(String value) {
            addCriterion("zbjgpd =", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdNotEqualTo(String value) {
            addCriterion("zbjgpd <>", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdGreaterThan(String value) {
            addCriterion("zbjgpd >", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdGreaterThanOrEqualTo(String value) {
            addCriterion("zbjgpd >=", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdLessThan(String value) {
            addCriterion("zbjgpd <", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdLessThanOrEqualTo(String value) {
            addCriterion("zbjgpd <=", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdLike(String value) {
            addCriterion("zbjgpd like", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdNotLike(String value) {
            addCriterion("zbjgpd not like", value, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdIn(List<String> values) {
            addCriterion("zbjgpd in", values, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdNotIn(List<String> values) {
            addCriterion("zbjgpd not in", values, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdBetween(String value1, String value2) {
            addCriterion("zbjgpd between", value1, value2, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andZbjgpdNotBetween(String value1, String value2) {
            addCriterion("zbjgpd not between", value1, value2, "zbjgpd");
            return (Criteria) this;
        }

        public Criteria andQysjIsNull() {
            addCriterion("qysj is null");
            return (Criteria) this;
        }

        public Criteria andQysjIsNotNull() {
            addCriterion("qysj is not null");
            return (Criteria) this;
        }

        public Criteria andQysjEqualTo(Date value) {
            addCriterion("qysj =", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjNotEqualTo(Date value) {
            addCriterion("qysj <>", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjGreaterThan(Date value) {
            addCriterion("qysj >", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjGreaterThanOrEqualTo(Date value) {
            addCriterion("qysj >=", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjLessThan(Date value) {
            addCriterion("qysj <", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjLessThanOrEqualTo(Date value) {
            addCriterion("qysj <=", value, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjIn(List<Date> values) {
            addCriterion("qysj in", values, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjNotIn(List<Date> values) {
            addCriterion("qysj not in", values, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjBetween(Date value1, Date value2) {
            addCriterion("qysj between", value1, value2, "qysj");
            return (Criteria) this;
        }

        public Criteria andQysjNotBetween(Date value1, Date value2) {
            addCriterion("qysj not between", value1, value2, "qysj");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNull() {
            addCriterion("qydbh is null");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNotNull() {
            addCriterion("qydbh is not null");
            return (Criteria) this;
        }

        public Criteria andQydbhEqualTo(String value) {
            addCriterion("qydbh =", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotEqualTo(String value) {
            addCriterion("qydbh <>", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThan(String value) {
            addCriterion("qydbh >", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThanOrEqualTo(String value) {
            addCriterion("qydbh >=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThan(String value) {
            addCriterion("qydbh <", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThanOrEqualTo(String value) {
            addCriterion("qydbh <=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLike(String value) {
            addCriterion("qydbh like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotLike(String value) {
            addCriterion("qydbh not like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhIn(List<String> values) {
            addCriterion("qydbh in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotIn(List<String> values) {
            addCriterion("qydbh not in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhBetween(String value1, String value2) {
            addCriterion("qydbh between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotBetween(String value1, String value2) {
            addCriterion("qydbh not between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQyrxmIsNull() {
            addCriterion("qyrxm is null");
            return (Criteria) this;
        }

        public Criteria andQyrxmIsNotNull() {
            addCriterion("qyrxm is not null");
            return (Criteria) this;
        }

        public Criteria andQyrxmEqualTo(String value) {
            addCriterion("qyrxm =", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmNotEqualTo(String value) {
            addCriterion("qyrxm <>", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmGreaterThan(String value) {
            addCriterion("qyrxm >", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmGreaterThanOrEqualTo(String value) {
            addCriterion("qyrxm >=", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmLessThan(String value) {
            addCriterion("qyrxm <", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmLessThanOrEqualTo(String value) {
            addCriterion("qyrxm <=", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmLike(String value) {
            addCriterion("qyrxm like", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmNotLike(String value) {
            addCriterion("qyrxm not like", value, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmIn(List<String> values) {
            addCriterion("qyrxm in", values, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmNotIn(List<String> values) {
            addCriterion("qyrxm not in", values, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmBetween(String value1, String value2) {
            addCriterion("qyrxm between", value1, value2, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyrxmNotBetween(String value1, String value2) {
            addCriterion("qyrxm not between", value1, value2, "qyrxm");
            return (Criteria) this;
        }

        public Criteria andQyqyIsNull() {
            addCriterion("qyqy is null");
            return (Criteria) this;
        }

        public Criteria andQyqyIsNotNull() {
            addCriterion("qyqy is not null");
            return (Criteria) this;
        }

        public Criteria andQyqyEqualTo(String value) {
            addCriterion("qyqy =", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyNotEqualTo(String value) {
            addCriterion("qyqy <>", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyGreaterThan(String value) {
            addCriterion("qyqy >", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyGreaterThanOrEqualTo(String value) {
            addCriterion("qyqy >=", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyLessThan(String value) {
            addCriterion("qyqy <", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyLessThanOrEqualTo(String value) {
            addCriterion("qyqy <=", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyLike(String value) {
            addCriterion("qyqy like", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyNotLike(String value) {
            addCriterion("qyqy not like", value, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyIn(List<String> values) {
            addCriterion("qyqy in", values, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyNotIn(List<String> values) {
            addCriterion("qyqy not in", values, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyBetween(String value1, String value2) {
            addCriterion("qyqy between", value1, value2, "qyqy");
            return (Criteria) this;
        }

        public Criteria andQyqyNotBetween(String value1, String value2) {
            addCriterion("qyqy not between", value1, value2, "qyqy");
            return (Criteria) this;
        }

        public Criteria andJdrxmIsNull() {
            addCriterion("jdrxm is null");
            return (Criteria) this;
        }

        public Criteria andJdrxmIsNotNull() {
            addCriterion("jdrxm is not null");
            return (Criteria) this;
        }

        public Criteria andJdrxmEqualTo(String value) {
            addCriterion("jdrxm =", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmNotEqualTo(String value) {
            addCriterion("jdrxm <>", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmGreaterThan(String value) {
            addCriterion("jdrxm >", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmGreaterThanOrEqualTo(String value) {
            addCriterion("jdrxm >=", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmLessThan(String value) {
            addCriterion("jdrxm <", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmLessThanOrEqualTo(String value) {
            addCriterion("jdrxm <=", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmLike(String value) {
            addCriterion("jdrxm like", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmNotLike(String value) {
            addCriterion("jdrxm not like", value, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmIn(List<String> values) {
            addCriterion("jdrxm in", values, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmNotIn(List<String> values) {
            addCriterion("jdrxm not in", values, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmBetween(String value1, String value2) {
            addCriterion("jdrxm between", value1, value2, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andJdrxmNotBetween(String value1, String value2) {
            addCriterion("jdrxm not between", value1, value2, "jdrxm");
            return (Criteria) this;
        }

        public Criteria andYpbhIsNull() {
            addCriterion("ypbh is null");
            return (Criteria) this;
        }

        public Criteria andYpbhIsNotNull() {
            addCriterion("ypbh is not null");
            return (Criteria) this;
        }

        public Criteria andYpbhEqualTo(String value) {
            addCriterion("ypbh =", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotEqualTo(String value) {
            addCriterion("ypbh <>", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhGreaterThan(String value) {
            addCriterion("ypbh >", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhGreaterThanOrEqualTo(String value) {
            addCriterion("ypbh >=", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhLessThan(String value) {
            addCriterion("ypbh <", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhLessThanOrEqualTo(String value) {
            addCriterion("ypbh <=", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhLike(String value) {
            addCriterion("ypbh like", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotLike(String value) {
            addCriterion("ypbh not like", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhIn(List<String> values) {
            addCriterion("ypbh in", values, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotIn(List<String> values) {
            addCriterion("ypbh not in", values, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhBetween(String value1, String value2) {
            addCriterion("ypbh between", value1, value2, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotBetween(String value1, String value2) {
            addCriterion("ypbh not between", value1, value2, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpslIsNull() {
            addCriterion("ypsl is null");
            return (Criteria) this;
        }

        public Criteria andYpslIsNotNull() {
            addCriterion("ypsl is not null");
            return (Criteria) this;
        }

        public Criteria andYpslEqualTo(BigDecimal value) {
            addCriterion("ypsl =", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslNotEqualTo(BigDecimal value) {
            addCriterion("ypsl <>", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslGreaterThan(BigDecimal value) {
            addCriterion("ypsl >", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ypsl >=", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslLessThan(BigDecimal value) {
            addCriterion("ypsl <", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ypsl <=", value, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslIn(List<BigDecimal> values) {
            addCriterion("ypsl in", values, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslNotIn(List<BigDecimal> values) {
            addCriterion("ypsl not in", values, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ypsl between", value1, value2, "ypsl");
            return (Criteria) this;
        }

        public Criteria andYpslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ypsl not between", value1, value2, "ypsl");
            return (Criteria) this;
        }

        public Criteria andDbslIsNull() {
            addCriterion("dbsl is null");
            return (Criteria) this;
        }

        public Criteria andDbslIsNotNull() {
            addCriterion("dbsl is not null");
            return (Criteria) this;
        }

        public Criteria andDbslEqualTo(BigDecimal value) {
            addCriterion("dbsl =", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslNotEqualTo(BigDecimal value) {
            addCriterion("dbsl <>", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslGreaterThan(BigDecimal value) {
            addCriterion("dbsl >", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("dbsl >=", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslLessThan(BigDecimal value) {
            addCriterion("dbsl <", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("dbsl <=", value, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslIn(List<BigDecimal> values) {
            addCriterion("dbsl in", values, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslNotIn(List<BigDecimal> values) {
            addCriterion("dbsl not in", values, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("dbsl between", value1, value2, "dbsl");
            return (Criteria) this;
        }

        public Criteria andDbslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("dbsl not between", value1, value2, "dbsl");
            return (Criteria) this;
        }

        public Criteria andYpdjIsNull() {
            addCriterion("ypdj is null");
            return (Criteria) this;
        }

        public Criteria andYpdjIsNotNull() {
            addCriterion("ypdj is not null");
            return (Criteria) this;
        }

        public Criteria andYpdjEqualTo(String value) {
            addCriterion("ypdj =", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjNotEqualTo(String value) {
            addCriterion("ypdj <>", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjGreaterThan(String value) {
            addCriterion("ypdj >", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjGreaterThanOrEqualTo(String value) {
            addCriterion("ypdj >=", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjLessThan(String value) {
            addCriterion("ypdj <", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjLessThanOrEqualTo(String value) {
            addCriterion("ypdj <=", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjLike(String value) {
            addCriterion("ypdj like", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjNotLike(String value) {
            addCriterion("ypdj not like", value, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjIn(List<String> values) {
            addCriterion("ypdj in", values, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjNotIn(List<String> values) {
            addCriterion("ypdj not in", values, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjBetween(String value1, String value2) {
            addCriterion("ypdj between", value1, value2, "ypdj");
            return (Criteria) this;
        }

        public Criteria andYpdjNotBetween(String value1, String value2) {
            addCriterion("ypdj not between", value1, value2, "ypdj");
            return (Criteria) this;
        }

        public Criteria andSampleStatusIsNull() {
            addCriterion("sample_status is null");
            return (Criteria) this;
        }

        public Criteria andSampleStatusIsNotNull() {
            addCriterion("sample_status is not null");
            return (Criteria) this;
        }

        public Criteria andSampleStatusEqualTo(String value) {
            addCriterion("sample_status =", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusNotEqualTo(String value) {
            addCriterion("sample_status <>", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusGreaterThan(String value) {
            addCriterion("sample_status >", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusGreaterThanOrEqualTo(String value) {
            addCriterion("sample_status >=", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusLessThan(String value) {
            addCriterion("sample_status <", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusLessThanOrEqualTo(String value) {
            addCriterion("sample_status <=", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusLike(String value) {
            addCriterion("sample_status like", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusNotLike(String value) {
            addCriterion("sample_status not like", value, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusIn(List<String> values) {
            addCriterion("sample_status in", values, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusNotIn(List<String> values) {
            addCriterion("sample_status not in", values, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusBetween(String value1, String value2) {
            addCriterion("sample_status between", value1, value2, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSampleStatusNotBetween(String value1, String value2) {
            addCriterion("sample_status not between", value1, value2, "sampleStatus");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelIsNull() {
            addCriterion("sample_package_model is null");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelIsNotNull() {
            addCriterion("sample_package_model is not null");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelEqualTo(String value) {
            addCriterion("sample_package_model =", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelNotEqualTo(String value) {
            addCriterion("sample_package_model <>", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelGreaterThan(String value) {
            addCriterion("sample_package_model >", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelGreaterThanOrEqualTo(String value) {
            addCriterion("sample_package_model >=", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelLessThan(String value) {
            addCriterion("sample_package_model <", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelLessThanOrEqualTo(String value) {
            addCriterion("sample_package_model <=", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelLike(String value) {
            addCriterion("sample_package_model like", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelNotLike(String value) {
            addCriterion("sample_package_model not like", value, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelIn(List<String> values) {
            addCriterion("sample_package_model in", values, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelNotIn(List<String> values) {
            addCriterion("sample_package_model not in", values, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelBetween(String value1, String value2) {
            addCriterion("sample_package_model between", value1, value2, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andSamplePackageModelNotBetween(String value1, String value2) {
            addCriterion("sample_package_model not between", value1, value2, "samplePackageModel");
            return (Criteria) this;
        }

        public Criteria andBzIsNull() {
            addCriterion("bz is null");
            return (Criteria) this;
        }

        public Criteria andBzIsNotNull() {
            addCriterion("bz is not null");
            return (Criteria) this;
        }

        public Criteria andBzEqualTo(String value) {
            addCriterion("bz =", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotEqualTo(String value) {
            addCriterion("bz <>", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThan(String value) {
            addCriterion("bz >", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThanOrEqualTo(String value) {
            addCriterion("bz >=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThan(String value) {
            addCriterion("bz <", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThanOrEqualTo(String value) {
            addCriterion("bz <=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLike(String value) {
            addCriterion("bz like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotLike(String value) {
            addCriterion("bz not like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzIn(List<String> values) {
            addCriterion("bz in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotIn(List<String> values) {
            addCriterion("bz not in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzBetween(String value1, String value2) {
            addCriterion("bz between", value1, value2, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotBetween(String value1, String value2) {
            addCriterion("bz not between", value1, value2, "bz");
            return (Criteria) this;
        }
    }

    /**
     * business_qc_quality_inspection
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * business_qc_quality_inspection 2024-05-15
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}