package com.chinaitop.depot.qualityControl.model;

import com.chinaitop.depot.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-17 9:41
 */
@Getter
@Setter
public class BusinessQcQualityInspectionPage extends PageParam implements Serializable {
    private static final long serialVersionUID = 7643791681296957077L;

    @ApiModelProperty(value = "仓房名称")
    private String storehouseName;

    @ApiModelProperty(value = "库区编码")
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

}
