package com.chinaitop.depot.qualityControl.service;

import com.chinaitop.depot.common.CommonParam;
import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspection;
import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspectionPage;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-16 15:08
 */
public interface QualityInspectionService {
    int save(BusinessQcQualityInspection saveParam);

    PageInfo<BusinessQcQualityInspection> getPageList(BusinessQcQualityInspectionPage pageParam);

    int update(BusinessQcQualityInspection saveParam);

    BusinessQcQualityInspection getByMasterId(Integer id);

    int deleteByMasterId(Integer id,Integer orgId);

    Map<String, Object> getByStoreAndWarehouse(CommonParam param);

    List<Map<String, Object>> getEnumTreeList(Integer parentId);
}
