package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.ClearanceConfirmation;
import com.chinaitop.depot.storage.model.StorageStorehouseBusiness;
import com.chinaitop.depot.storage.model.WarehouseSealingRecord;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public interface ClearanceConfirmationMapper {

    ClearanceConfirmation selectCqqrd(Integer warehouseId);

    List<ClearanceConfirmation> getCleConList(Map<String, Object> map);

    ClearanceConfirmation   findByCleCon(Integer id);

    int insert(ClearanceConfirmation record);

    int updateByPrimaryKey(ClearanceConfirmation record);

    List<ClearanceConfirmation> findByCleConList(Map<String, Object> modelMap1);


    Map selectFcbgz(Map map);

    Map<String, BigDecimal> getexcessLossQuantity(Integer warehouseId);

    Map<String, Object> getStoreHouse(@Param("warehouseId")Integer warehouseId);


    List<StorageStorehouseBusiness> findStorehouseList(@Param("orgId") Integer orgId);

    List<StorageStorehouseBusiness> findByWarehouseList(@Param("storehouseId")Integer storehouseId);

    ClearanceConfirmation selectByCqqrd(String warehouseId);
}
