package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.qualityControl.model.BusinessQcQualityInspection;
import com.chinaitop.depot.storage.model.GrainSituationCard;
import com.chinaitop.depot.storage.model.GrainSituationCardExample;
import com.chinaitop.depot.storage.model.vo.GrainSituationCardVO;
import com.chinaitop.depot.storage.param.GrainSituationCardIdParam;
import com.chinaitop.depot.storage.param.GrainSituationCardPageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GrainSituationCardMapper {
    int countByExample(GrainSituationCardExample example);

    int deleteByExample(GrainSituationCardExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(GrainSituationCard record);

    int insertSelective(GrainSituationCard record);

    List<GrainSituationCard> selectByExample(GrainSituationCardExample example);

    GrainSituationCard selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") GrainSituationCard record, @Param("example") GrainSituationCardExample example);

    int updateByExample(@Param("record") GrainSituationCard record, @Param("example") GrainSituationCardExample example);

    int updateByPrimaryKeySelective(GrainSituationCard record);

    int updateByPrimaryKey(GrainSituationCard record);

    List<GrainSituationCard> selectCardList(GrainSituationCardPageParam grainSituationCardPageParam);

    /**
     * 详情
     * @param grainSituationCardIdParam
     * @return
     */
    GrainSituationCardVO selectByGrainsituationId(GrainSituationCardIdParam grainSituationCardIdParam);

}