package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageQualitycheck;
import com.chinaitop.depot.storage.model.StorageQualitycheckExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageQualitycheckMapper {
    int countByExample(StorageQualitycheckExample example);

    int deleteByExample(StorageQualitycheckExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageQualitycheck record);

    int insertSelective(StorageQualitycheck record);

    List<StorageQualitycheck> selectByExample(StorageQualitycheckExample example);

    StorageQualitycheck selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageQualitycheck record, @Param("example") StorageQualitycheckExample example);

    int updateByExample(@Param("record") StorageQualitycheck record, @Param("example") StorageQualitycheckExample example);

    int updateByPrimaryKeySelective(StorageQualitycheck record);

    int updateByPrimaryKey(StorageQualitycheck record);
    /**
     * @param qualitycheck
     * @return
     */
    List<StorageQualitycheck> getHouseIdList(StorageQualitycheck qualitycheck);

    /**
     * @param qualitycheck
     * @return
     */
    List<StorageQualitycheck> getWareHouseIdList(
            StorageQualitycheck qualitycheck);
    List<StorageQualitycheck> getThirdCheckList(StorageQualitycheck qualitycheck);
    List<StorageQualitycheck> getQualitycheckListByFoodbasicinfoCheck(StorageQualitycheck qualitycheck);
    StorageQualitycheck queryPrimaryKey(Integer id);
    List<StorageQualitycheck> queryByExample(StorageQualitycheck example);
    List<Map<String,Object>> getStoreQualityList(Integer orgId);

    List<Map<String,Object>> getTrdStoreQualityList();
    List<StorageQualitycheck> getDataByZJId(Map<String, Object> paramMap);

    List<StorageQualitycheck> queryByExampleData(StorageQualitycheck example);

    List<StorageQualitycheck> queryByQualitycheckusiness(StorageQualitycheck qualityCheckExample);

    List<Map<String,Object>> getAllQualityMain(Map<String, Object> paramMap);

    List<Map<String, Object>> getAllQualityInfo(Map<String, Object> paramMap);

    List<Map<String, Object>> getAllFoodStocks(Map<String, Object> paramMap);

    Map<String, Object> getcheckById(Integer id);

    int findId();
}