package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageStorehouseBusiness;
import com.chinaitop.depot.storage.model.StorageStorehouseBusinessExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StorageStorehouseBusinessMapper {
    int countByExample(StorageStorehouseBusinessExample example);

    int deleteByExample(StorageStorehouseBusinessExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageStorehouseBusiness record);

    int insertSelective(StorageStorehouseBusiness record);

    List<StorageStorehouseBusiness> selectByExample(StorageStorehouseBusinessExample example);

    StorageStorehouseBusiness selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageStorehouseBusiness record, @Param("example") StorageStorehouseBusinessExample example);

    int updateByExample(@Param("record") StorageStorehouseBusiness record, @Param("example") StorageStorehouseBusinessExample example);

    int updateByPrimaryKeySelective(StorageStorehouseBusiness record);

    int updateByPrimaryKey(StorageStorehouseBusiness record);


    List<StorageStorehouseBusiness> selectStorehouseData();
    List<StorageStorehouseBusiness> selectWarehouseData(Integer ch);

    void truncateStorehouseBusiness();
    void saveStorehouseBusinessFromFcbgz(Map<String, Object> map);

    void updateTaskStatusForCf(Map<String, Object> map);

    List<Map<String, Object>> selectLsreport(Map<String, Object> map);
}