package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageWarterFixedPoint;
import com.chinaitop.depot.storage.model.StorageWarterFixedPointExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageWarterFixedPointMapper {
    int countByExample(StorageWarterFixedPointExample example);

    int deleteByExample(StorageWarterFixedPointExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageWarterFixedPoint record);

    int insertSelective(StorageWarterFixedPoint record);

    List<StorageWarterFixedPoint> selectByExample(StorageWarterFixedPointExample example);

    StorageWarterFixedPoint selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageWarterFixedPoint record, @Param("example") StorageWarterFixedPointExample example);

    int updateByExample(@Param("record") StorageWarterFixedPoint record, @Param("example") StorageWarterFixedPointExample example);

    int updateByPrimaryKeySelective(StorageWarterFixedPoint record);

    int updateByPrimaryKey(StorageWarterFixedPoint record);

    /**
     * 查询超过水分高限的数据量
     * 
     * @param param_map
     * @return
     */
	int selectCountRedData(Map<String, Object> param_map);

	/**
     * 查询超过水分低限的数据量
     * 
     * @param param_map
     * @return
     */
	int selectCountBlueData(Map<String, Object> param_map);
}