package com.chinaitop.depot.storage.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class ClearanceConfirmation {
    //出清确认单表

    private Integer id;
    private String czbz;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhgxsj;
    private String createname;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;
    private String updatename;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    private String cqqrdh; //出清单确认单号
    
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ywrq;      //业务日期，格式：yyyy-MM-dd
    private String tyajbm; //统一廒间编码
    private String bgy;    //保管员
    private Integer sfqs;   //是否清扫，1：是，0：否，9:其他或不确定
    private Integer sfxd;   //是否消毒，1：是，0：否，9:其他或不确定
    private  BigDecimal jcyxf;  //检查与修复费用
    private String  qtsx;  //其他事项
    private String sqr;  //申请人
    private String bmsh;  //部门审核
    private String dwldsh;  //单位领导审核
    private String bz;      //备注
    private String storehouseId;//货位id
    private String warehouseId;//货位id
    private String warehouseName;//货位名称
    


    public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	private String storehouseName;
    private String ajmc; //廒间名称

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getAjmc() {
        return ajmc;
    }

    public void setAjmc(String ajmc) {
        this.ajmc = ajmc;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCzbz() {
        return czbz;
    }

    public void setCzbz(String czbz) {
        this.czbz = czbz;
    }

    public Date getZhgxsj() {
        return zhgxsj;
    }

    public void setZhgxsj(Date zhgxsj) {
        this.zhgxsj = zhgxsj;
    }

    public String getCreatename() {
        return createname;
    }

    public void setCreatename(String createname) {
        this.createname = createname;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getUpdatename() {
        return updatename;
    }

    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getCqqrdh() {
        return cqqrdh;
    }

    public void setCqqrdh(String cqqrdh) {
        this.cqqrdh = cqqrdh;
    }

    public Date getYwrq() {
        return ywrq;
    }

    public void setYwrq(Date ywrq) {
        this.ywrq = ywrq;
    }

    public String getTyajbm() {
        return tyajbm;
    }

    public void setTyajbm(String tyajbm) {
        this.tyajbm = tyajbm;
    }

    public String getBgy() {
        return bgy;
    }

    public void setBgy(String bgy) {
        this.bgy = bgy;
    }

    public Integer getSfqs() {
        return sfqs;
    }

    public void setSfqs(Integer sfqs) {
        this.sfqs = sfqs;
    }

    public Integer getSfxd() {
        return sfxd;
    }

    public void setSfxd(Integer sfxd) {
        this.sfxd = sfxd;
    }

    public BigDecimal getJcyxf() {
        return jcyxf;
    }

    public void setJcyxf(BigDecimal jcyxf) {
        this.jcyxf = jcyxf;
    }

    public String getQtsx() {
        return qtsx;
    }

    public void setQtsx(String qtsx) {
        this.qtsx = qtsx;
    }

    public String getSqr() {
        return sqr;
    }

    public void setSqr(String sqr) {
        this.sqr = sqr;
    }

    public String getBmsh() {
        return bmsh;
    }

    public void setBmsh(String bmsh) {
        this.bmsh = bmsh;
    }

    public String getDwldsh() {
        return dwldsh;
    }

    public void setDwldsh(String dwldsh) {
        this.dwldsh = dwldsh;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}