package com.chinaitop.depot.storage.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageChangeStoragehouseTask {
    private Integer id;

    private Integer orgId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createDate;

    private String workNo;

    private String businessNo;

    private BigDecimal planPourOutSum;

    private BigDecimal planPourInSum;

    private Integer applyUnitId;

    private String applyUnitName;

    private String storageUnnitPerson;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date applyTime;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planStartDate;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planEndDate;

    private String workTeam;

    private String workGroup;

    private String changeReason;

    private String planType;

    private Integer applyStatus;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date applyDate;

    private String applyIeda;

    private Integer isUpload;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatetime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 创建时间
     * @return create_date 创建时间
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     * 创建时间
     * @param createDate 创建时间
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 作业单号
     * @return work_no 作业单号
     */
    public String getWorkNo() {
        return workNo;
    }

    /**
     * 作业单号
     * @param workNo 作业单号
     */
    public void setWorkNo(String workNo) {
        this.workNo = workNo == null ? null : workNo.trim();
    }

    /**
     * 倒仓业务单号
     * @return business_no 倒仓业务单号
     */
    public String getBusinessNo() {
        return businessNo;
    }

    /**
     * 倒仓业务单号
     * @param businessNo 倒仓业务单号
     */
    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo == null ? null : businessNo.trim();
    }

    /**
     * 计划倒出总数量
     * @return plan_pour_out_sum 计划倒出总数量
     */
    public BigDecimal getPlanPourOutSum() {
        return planPourOutSum;
    }

    /**
     * 计划倒出总数量
     * @param planPourOutSum 计划倒出总数量
     */
    public void setPlanPourOutSum(BigDecimal planPourOutSum) {
        this.planPourOutSum = planPourOutSum;
    }

    /**
     * 计划倒入总数量
     * @return plan_pour_in_sum 计划倒入总数量
     */
    public BigDecimal getPlanPourInSum() {
        return planPourInSum;
    }

    /**
     * 计划倒入总数量
     * @param planPourInSum 计划倒入总数量
     */
    public void setPlanPourInSum(BigDecimal planPourInSum) {
        this.planPourInSum = planPourInSum;
    }

    /**
     * 申请单位ID
     * @return apply_unit_id 申请单位ID
     */
    public Integer getApplyUnitId() {
        return applyUnitId;
    }

    /**
     * 申请单位ID
     * @param applyUnitId 申请单位ID
     */
    public void setApplyUnitId(Integer applyUnitId) {
        this.applyUnitId = applyUnitId;
    }

    /**
     * 申请单位名称
     * @return apply_unit_name 申请单位名称
     */
    public String getApplyUnitName() {
        return applyUnitName;
    }

    /**
     * 申请单位名称
     * @param applyUnitName 申请单位名称
     */
    public void setApplyUnitName(String applyUnitName) {
        this.applyUnitName = applyUnitName == null ? null : applyUnitName.trim();
    }

    /**
     * 承储企业负责人
     * @return storage_unnit_person 承储企业负责人
     */
    public String getStorageUnnitPerson() {
        return storageUnnitPerson;
    }

    /**
     * 承储企业负责人
     * @param storageUnnitPerson 承储企业负责人
     */
    public void setStorageUnnitPerson(String storageUnnitPerson) {
        this.storageUnnitPerson = storageUnnitPerson == null ? null : storageUnnitPerson.trim();
    }

    /**
     * 申请日期
     * @return apply_time 申请日期
     */
    public Date getApplyTime() {
        return applyTime;
    }

    /**
     * 申请日期
     * @param applyTime 申请日期
     */
    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    /**
     * 计划开始日期
     * @return plan_start_date 计划开始日期
     */
    public Date getPlanStartDate() {
        return planStartDate;
    }

    /**
     * 计划开始日期
     * @param planStartDate 计划开始日期
     */
    public void setPlanStartDate(Date planStartDate) {
        this.planStartDate = planStartDate;
    }

    /**
     * 计划结束日期
     * @return plan_end_date 计划结束日期
     */
    public Date getPlanEndDate() {
        return planEndDate;
    }

    /**
     * 计划结束日期
     * @param planEndDate 计划结束日期
     */
    public void setPlanEndDate(Date planEndDate) {
        this.planEndDate = planEndDate;
    }

    /**
     * 作业队
     * @return work_team 作业队
     */
    public String getWorkTeam() {
        return workTeam;
    }

    /**
     * 作业队
     * @param workTeam 作业队
     */
    public void setWorkTeam(String workTeam) {
        this.workTeam = workTeam == null ? null : workTeam.trim();
    }

    /**
     * 作业组
     * @return work_group 作业组
     */
    public String getWorkGroup() {
        return workGroup;
    }

    /**
     * 作业组
     * @param workGroup 作业组
     */
    public void setWorkGroup(String workGroup) {
        this.workGroup = workGroup == null ? null : workGroup.trim();
    }

    /**
     * 倒仓原因
     * @return change_reason 倒仓原因
     */
    public String getChangeReason() {
        return changeReason;
    }

    /**
     * 倒仓原因
     * @param changeReason 倒仓原因
     */
    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason == null ? null : changeReason.trim();
    }

    /**
     * 计划类型
     * @return plan_type 计划类型
     */
    public String getPlanType() {
        return planType;
    }

    /**
     * 计划类型
     * @param planType 计划类型
     */
    public void setPlanType(String planType) {
        this.planType = planType == null ? null : planType.trim();
    }

    /**
     * 审核状态
     * @return apply_status 审核状态
     */
    public Integer getApplyStatus() {
        return applyStatus;
    }

    /**
     * 审核状态
     * @param applyStatus 审核状态
     */
    public void setApplyStatus(Integer applyStatus) {
        this.applyStatus = applyStatus;
    }

    /**
     * 审核时间
     * @return apply_date 审核时间
     */
    public Date getApplyDate() {
        return applyDate;
    }

    /**
     * 审核时间
     * @param applyDate 审核时间
     */
    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    /**
     * 审批意见
     * @return apply_ieda 审批意见
     */
    public String getApplyIeda() {
        return applyIeda;
    }

    /**
     * 审批意见
     * @param applyIeda 审批意见
     */
    public void setApplyIeda(String applyIeda) {
        this.applyIeda = applyIeda == null ? null : applyIeda.trim();
    }

    /**
     * 是否上传(0待上传,1审批中,2审批结束,3审批驳回)
     * @return is_upload 是否上传(0待上传,1审批中,2审批结束,3审批驳回)
     */
    public Integer getIsUpload() {
        return isUpload;
    }

    /**
     * 是否上传(0待上传,1审批中,2审批结束,3审批驳回)
     * @param isUpload 是否上传(0待上传,1审批中,2审批结束,3审批驳回)
     */
    public void setIsUpload(Integer isUpload) {
        this.isUpload = isUpload;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}