package com.chinaitop.depot.storage.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageChangeStoragehouseWorkTask {
    private Integer id;

    private Integer org_id;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createDate;

    private String workNo;

    private Integer houseId;

    private Integer wareId;

    private Integer storehouseId;

    private Integer warehouseId;

    private Integer lspz;

    private BigDecimal qichuNum;

    private BigDecimal pourInNum;

    private BigDecimal pourOutNum;

    private BigDecimal surplusNum;

    private Integer changIndex;

    private BigDecimal beginNum;

    private Integer resultNum;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrg_id() {
        return org_id;
    }

    /**
     * 单位ID
     * @param org_id 单位ID
     */
    public void setOrg_id(Integer org_id) {
        this.org_id = org_id;
    }

    /**
     * 创建时间
     * @return createDate 创建时间
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     * 创建时间
     * @param createDate 创建时间
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 作业单号
     * @return workNo 作业单号
     */
    public String getWorkNo() {
        return workNo;
    }

    /**
     * 作业单号
     * @param workNo 作业单号
     */
    public void setWorkNo(String workNo) {
        this.workNo = workNo == null ? null : workNo.trim();
    }

    /**
     * 倒出仓房ID
     * @return houseId 倒出仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 倒出仓房ID
     * @param houseId 倒出仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 倒出货位ID
     * @return wareId 倒出货位ID
     */
    public Integer getWareId() {
        return wareId;
    }

    /**
     * 倒出货位ID
     * @param wareId 倒出货位ID
     */
    public void setWareId(Integer wareId) {
        this.wareId = wareId;
    }

    /**
     * 导入仓房ID
     * @return storehouseId 导入仓房ID
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 导入仓房ID
     * @param storehouseId 导入仓房ID
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 倒入货位ID
     * @return warehouseId 倒入货位ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 倒入货位ID
     * @param warehouseId 倒入货位ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮油品种
     * @return lspz 粮油品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮油品种
     * @param lspz 粮油品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 倒出期初数量
     * @return qichuNum 倒出期初数量
     */
    public BigDecimal getQichuNum() {
        return qichuNum;
    }

    /**
     * 倒出期初数量
     * @param qichuNum 倒出期初数量
     */
    public void setQichuNum(BigDecimal qichuNum) {
        this.qichuNum = qichuNum;
    }

    /**
     * 倒出数量
     * @return pourInNum 倒出数量
     */
    public BigDecimal getPourInNum() {
        return pourInNum;
    }

    /**
     * 倒出数量
     * @param pourInNum 倒出数量
     */
    public void setPourInNum(BigDecimal pourInNum) {
        this.pourInNum = pourInNum;
    }

    /**
     * 倒入数量
     * @return pourOutNum 倒入数量
     */
    public BigDecimal getPourOutNum() {
        return pourOutNum;
    }

    /**
     * 倒入数量
     * @param pourOutNum 倒入数量
     */
    public void setPourOutNum(BigDecimal pourOutNum) {
        this.pourOutNum = pourOutNum;
    }

    /**
     * 倒出结余数量
     * @return surplusNum 倒出结余数量
     */
    public BigDecimal getSurplusNum() {
        return surplusNum;
    }

    /**
     * 倒出结余数量
     * @param surplusNum 倒出结余数量
     */
    public void setSurplusNum(BigDecimal surplusNum) {
        this.surplusNum = surplusNum;
    }

    /**
     * 数据值下标
     * @return changIndex 数据值下标
     */
    public Integer getChangIndex() {
        return changIndex;
    }

    /**
     * 数据值下标
     * @param changIndex 数据值下标
     */
    public void setChangIndex(Integer changIndex) {
        this.changIndex = changIndex;
    }

    /**
     * 倒入期初数量
     * @return beginNum 倒入期初数量
     */
    public BigDecimal getBeginNum() {
        return beginNum;
    }

    /**
     * 倒入期初数量
     * @param beginNum 倒入期初数量
     */
    public void setBeginNum(BigDecimal beginNum) {
        this.beginNum = beginNum;
    }

    /**
     * 倒入结余数量
     * @return resultNum 倒入结余数量
     */
    public Integer getResultNum() {
        return resultNum;
    }

    /**
     * 倒入结余数量
     * @param resultNum 倒入结余数量
     */
    public void setResultNum(Integer resultNum) {
        this.resultNum = resultNum;
    }
}