package com.chinaitop.depot.storage.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageDailycheck {

    /*2021.02.05日常检查新增字段  门/窗/灯/卫生/查粮走道（默认显示正常）*/
    private String rcdoor;//门

    private String rcwindow;//窗

    private String rclamp;//灯

    private String rchygiene;//卫生

    private String rccorridor;//查粮走道

    private String bgy;

    private String cyry;

    private String tqqk;

    private BigDecimal lw;

    private String cw;

    private String qw;

    private String cns;

    private String cws;

    private Integer sfjl;

    private Integer lsmbqk;

    private Integer cfywxl;

    private Integer sffc;

    public String getRcdoor() {
        return rcdoor;
    }

    public void setRcdoor(String rcdoor) {
        this.rcdoor = rcdoor;
    }

    public String getRcwindow() {
        return rcwindow;
    }

    public void setRcwindow(String rcwindow) {
        this.rcwindow = rcwindow;
    }

    public String getRclamp() {
        return rclamp;
    }

    public void setRclamp(String rclamp) {
        this.rclamp = rclamp;
    }

    public String getRchygiene() {
        return rchygiene;
    }

    public void setRchygiene(String rchygiene) {
        this.rchygiene = rchygiene;
    }

    public String getRccorridor() {
        return rccorridor;
    }

    public void setRccorridor(String rccorridor) {
        this.rccorridor = rccorridor;
    }

    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer orgId;

    private Integer subType;

    private Date checkTime;

    private String checker;

    private String pestsPosition;

    private Integer pestsDensity;

    private Integer pestsSpecies;

    private String rainCheck;

    private String ratfinchCheck;

    private String otherCheck;

    private String findQuestion;

    private Integer flagType;

    private String dailycardId;

    /**
     * id
     * @return id id
     */
    public Integer getId() {
        return id;
    }

    /**
     * id
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 库级id
     * @return org_id 库级id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库级id
     * @param orgId 库级id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 品种
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 检验日期
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验人
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    /**
     * 虫害部位
     * @return pests_position 虫害部位
     */
    public String getPestsPosition() {
        return pestsPosition;
    }

    /**
     * 虫害部位
     * @param pestsPosition 虫害部位
     */
    public void setPestsPosition(String pestsPosition) {
        this.pestsPosition = pestsPosition == null ? null : pestsPosition.trim();
    }

    /**
     * 虫害密度
     * @return pests_density 虫害密度
     */
    public Integer getPestsDensity() {
        return pestsDensity;
    }

    /**
     * 虫害密度
     * @param pestsDensity 虫害密度
     */
    public void setPestsDensity(Integer pestsDensity) {
        this.pestsDensity = pestsDensity;
    }

    /**
     * 害虫虫种
     * @return pests_species 害虫虫种
     */
    public Integer getPestsSpecies() {
        return pestsSpecies;
    }

    /**
     * 害虫虫种
     * @param pestsSpecies 害虫虫种
     */
    public void setPestsSpecies(Integer pestsSpecies) {
        this.pestsSpecies = pestsSpecies;
    }

    /**
     * 雨后检查
     * @return rain_check 雨后检查
     */
    public String getRainCheck() {
        return rainCheck;
    }

    /**
     * 雨后检查
     * @param rainCheck 雨后检查
     */
    public void setRainCheck(String rainCheck) {
        this.rainCheck = rainCheck == null ? null : rainCheck.trim();
    }

    /**
     * 鼠雀检查
     * @return ratfinch_check 鼠雀检查
     */
    public String getRatfinchCheck() {
        return ratfinchCheck;
    }

    /**
     * 鼠雀检查
     * @param ratfinchCheck 鼠雀检查
     */
    public void setRatfinchCheck(String ratfinchCheck) {
        this.ratfinchCheck = ratfinchCheck == null ? null : ratfinchCheck.trim();
    }

    /**
     * 其他检查
     * @return other_check 其他检查
     */
    public String getOtherCheck() {
        return otherCheck;
    }

    /**
     * 其他检查
     * @param otherCheck 其他检查
     */
    public void setOtherCheck(String otherCheck) {
        this.otherCheck = otherCheck == null ? null : otherCheck.trim();
    }

    /**
     * 发现问题
     * @return find_question 发现问题
     */
    public String getFindQuestion() {
        return findQuestion;
    }

    /**
     * 发现问题
     * @param findQuestion 发现问题
     */
    public void setFindQuestion(String findQuestion) {
        this.findQuestion = findQuestion == null ? null : findQuestion.trim();
    }

    /**
     * 保存:1,提交:2
     * @return flag_type 保存:1,提交:2
     */
    public Integer getFlagType() {
        return flagType;
    }

    /**
     * 保存:1,提交:2
     * @param flagType 保存:1,提交:2
     */
    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }

    public String getDailycardId() {
        return dailycardId;
    }

    public void setDailycardId(String dailycardId) {
        this.dailycardId = dailycardId;
    }

    public String getBgy() {
        return bgy;
    }

    public void setBgy(String bgy) {
        this.bgy = bgy;
    }

    public String getCyry() {
        return cyry;
    }

    public void setCyry(String cyry) {
        this.cyry = cyry;
    }

    public String getTqqk() {
        return tqqk;
    }

    public void setTqqk(String tqqk) {
        this.tqqk = tqqk;
    }

    public BigDecimal getLw() {
        return lw;
    }

    public void setLw(BigDecimal lw) {
        this.lw = lw;
    }

    public String getCw() {
        return cw;
    }

    public void setCw(String cw) {
        this.cw = cw;
    }

    public String getQw() {
        return qw;
    }

    public void setQw(String qw) {
        this.qw = qw;
    }

    public String getCns() {
        return cns;
    }

    public void setCns(String cns) {
        this.cns = cns;
    }

    public String getCws() {
        return cws;
    }

    public void setCws(String cws) {
        this.cws = cws;
    }

    public Integer getSfjl() {
        return sfjl;
    }

    public void setSfjl(Integer sfjl) {
        this.sfjl = sfjl;
    }

    public Integer getLsmbqk() {
        return lsmbqk;
    }

    public void setLsmbqk(Integer lsmbqk) {
        this.lsmbqk = lsmbqk;
    }

    public Integer getCfywxl() {
        return cfywxl;
    }

    public void setCfywxl(Integer cfywxl) {
        this.cfywxl = cfywxl;
    }

    public Integer getSffc() {
        return sffc;
    }

    public void setSffc(Integer sffc) {
        this.sffc = sffc;
    }
}