package com.chinaitop.depot.storage.model;

import java.util.Date;

public class StorageFoodbasicInfoLocation {
    private Integer id;

    private Integer foodbasicinfoId;

    private Integer houseId;

    private Integer newHouseId;

    private Integer warehouseId;

    private Integer newWarehouseId;

    private String warehouseCode;

    private String newWarehouseCode;

    private Date changeTime;

    private String remarks;

    private Integer orgId;
    
    //业务字段
    private String newWarehouseName;
    
    private String warehouseName;


	/**
     * 粮食基本信息货位变更记录
     * @return id 粮食基本信息货位变更记录
     */
    public Integer getId() {
        return id;
    }

    /**
     * 粮食基本信息货位变更记录
     * @param id 粮食基本信息货位变更记录
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 粮食基本信息(粮情专卡)id
     * @return foodbasicinfo_id 粮食基本信息(粮情专卡)id
     */
    public Integer getFoodbasicinfoId() {
        return foodbasicinfoId;
    }

    /**
     * 粮食基本信息(粮情专卡)id
     * @param foodbasicinfoId 粮食基本信息(粮情专卡)id
     */
    public void setFoodbasicinfoId(Integer foodbasicinfoId) {
        this.foodbasicinfoId = foodbasicinfoId;
    }

    /**
     * 仓房id
     * @return house_id 仓房id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房id
     * @param houseId 仓房id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 新仓号Id
     * @return new_house_id 新仓号Id
     */
    public Integer getNewHouseId() {
        return newHouseId;
    }

    /**
     * 新仓号Id
     * @param newHouseId 新仓号Id
     */
    public void setNewHouseId(Integer newHouseId) {
        this.newHouseId = newHouseId;
    }

    /**
     * 原货位号
     * @return warehouse_id 原货位号
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 原货位号
     * @param warehouseId 原货位号
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 新货位号
     * @return new_warehouse_id 新货位号
     */
    public Integer getNewWarehouseId() {
        return newWarehouseId;
    }

    /**
     * 新货位号
     * @param newWarehouseId 新货位号
     */
    public void setNewWarehouseId(Integer newWarehouseId) {
        this.newWarehouseId = newWarehouseId;
    }

    /**
     * 老货位编号
     * @return warehouse_code 老货位编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 老货位编号
     * @param warehouseCode 老货位编号
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode == null ? null : warehouseCode.trim();
    }

    /**
     * 新货位编号
     * @return new_warehouse_code 新货位编号
     */
    public String getNewWarehouseCode() {
        return newWarehouseCode;
    }

    /**
     * 新货位编号
     * @param newWarehouseCode 新货位编号
     */
    public void setNewWarehouseCode(String newWarehouseCode) {
        this.newWarehouseCode = newWarehouseCode == null ? null : newWarehouseCode.trim();
    }

    /**
     * 变更时间
     * @return change_time 变更时间
     */
    public Date getChangeTime() {
        return changeTime;
    }

    /**
     * 变更时间
     * @param changeTime 变更时间
     */
    public void setChangeTime(Date changeTime) {
        this.changeTime = changeTime;
    }

    /**
     * 备注
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    /**
     * 组织结构id
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getNewWarehouseName() {
        return newWarehouseName;
    }

    public void setNewWarehouseName(String newWarehouseName) {
        this.newWarehouseName = newWarehouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }
}