package com.chinaitop.depot.storage.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageKcglJkqyqApplyDefault {
    private Integer id;

    private Integer orgId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date modifydate;

    private Integer ch;

    private Integer hwh;

    private String pz;

    private Integer isUpload;

    private String jhbh;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jkqEnd;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date sqyqTime;

    private String yqsqNo;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatetime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 出库时间
     * @return modifydate 出库时间
     */
    public Date getModifydate() {
        return modifydate;
    }

    /**
     * 出库时间
     * @param modifydate 出库时间
     */
    public void setModifydate(Date modifydate) {
        this.modifydate = modifydate;
    }

    /**
     * 仓房ID
     * @return ch 仓房ID
     */
    public Integer getCh() {
        return ch;
    }

    /**
     * 仓房ID
     * @param ch 仓房ID
     */
    public void setCh(Integer ch) {
        this.ch = ch;
    }

    /**
     * 货位ID
     * @return hwh 货位ID
     */
    public Integer getHwh() {
        return hwh;
    }

    /**
     * 货位ID
     * @param hwh 货位ID
     */
    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    /**
     * 粮食品种
     * @return pz 粮食品种
     */
    public String getPz() {
        return pz;
    }

    /**
     * 粮食品种
     * @param pz 粮食品种
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     * @return is_Upload 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     */
    public Integer getIsUpload() {
        return isUpload;
    }

    /**
     * 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     * @param isUpload 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     */
    public void setIsUpload(Integer isUpload) {
        this.isUpload = isUpload;
    }

    /**
     * 计划编号
     * @return jhbh 计划编号
     */
    public String getJhbh() {
        return jhbh;
    }

    /**
     * 计划编号
     * @param jhbh 计划编号
     */
    public void setJhbh(String jhbh) {
        this.jhbh = jhbh == null ? null : jhbh.trim();
    }

    /**
     * 架空期截止时间
     * @return jkq_end 架空期截止时间
     */
    public Date getJkqEnd() {
        return jkqEnd;
    }

    /**
     * 架空期截止时间
     * @param jkqEnd 架空期截止时间
     */
    public void setJkqEnd(Date jkqEnd) {
        this.jkqEnd = jkqEnd;
    }

    /**
     * 申请延期日期
     * @return sqyq_time 申请延期日期
     */
    public Date getSqyqTime() {
        return sqyqTime;
    }

    /**
     * 申请延期日期
     * @param sqyqTime 申请延期日期
     */
    public void setSqyqTime(Date sqyqTime) {
        this.sqyqTime = sqyqTime;
    }

    /**
     * 延期申请单号
     * @return yqsq_no 延期申请单号
     */
    public String getYqsqNo() {
        return yqsqNo;
    }

    /**
     * 延期申请单号
     * @param yqsqNo 延期申请单号
     */
    public void setYqsqNo(String yqsqNo) {
        this.yqsqNo = yqsqNo == null ? null : yqsqNo.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}