package com.chinaitop.depot.storage.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageKcglJkqyqDefault {
    private Integer id;

    private Integer orgId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createDate;

    private String yqsqNo;

    private String yqsqdwname;

    private String cqyfzr;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date sqrq;

    private Integer isUpload;

    private String applyIeda;

    private String sqyqReason;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatetime;

    /**
     * 主键
     * @return id 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 创建时间
     * @return create_date 创建时间
     */
    public Date getCreateDate() {
        return createDate;
    }

    /**
     * 创建时间
     * @param createDate 创建时间
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 延期申请单号
     * @return yqsq_no 延期申请单号
     */
    public String getYqsqNo() {
        return yqsqNo;
    }

    /**
     * 延期申请单号
     * @param yqsqNo 延期申请单号
     */
    public void setYqsqNo(String yqsqNo) {
        this.yqsqNo = yqsqNo == null ? null : yqsqNo.trim();
    }

    /**
     * 延期申请企业
     * @return yqsqdwname 延期申请企业
     */
    public String getYqsqdwname() {
        return yqsqdwname;
    }

    /**
     * 延期申请企业
     * @param yqsqdwname 延期申请企业
     */
    public void setYqsqdwname(String yqsqdwname) {
        this.yqsqdwname = yqsqdwname == null ? null : yqsqdwname.trim();
    }

    /**
     * 承储企业负责人
     * @return cqyfzr 承储企业负责人
     */
    public String getCqyfzr() {
        return cqyfzr;
    }

    /**
     * 承储企业负责人
     * @param cqyfzr 承储企业负责人
     */
    public void setCqyfzr(String cqyfzr) {
        this.cqyfzr = cqyfzr == null ? null : cqyfzr.trim();
    }

    /**
     * 申请日期
     * @return sqrq 申请日期
     */
    public Date getSqrq() {
        return sqrq;
    }

    /**
     * 申请日期
     * @param sqrq 申请日期
     */
    public void setSqrq(Date sqrq) {
        this.sqrq = sqrq;
    }

    /**
     * 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     * @return is_Upload 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     */
    public Integer getIsUpload() {
        return isUpload;
    }

    /**
     * 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     * @param isUpload 是否上传(0待上传,1审批中,2审批通过,3审批驳回)
     */
    public void setIsUpload(Integer isUpload) {
        this.isUpload = isUpload;
    }

    /**
     * 审批意见
     * @return apply_ieda 审批意见
     */
    public String getApplyIeda() {
        return applyIeda;
    }

    /**
     * 审批意见
     * @param applyIeda 审批意见
     */
    public void setApplyIeda(String applyIeda) {
        this.applyIeda = applyIeda == null ? null : applyIeda.trim();
    }

    /**
     * 申请延期原因
     * @return sqyq_reason 申请延期原因
     */
    public String getSqyqReason() {
        return sqyqReason;
    }

    /**
     * 申请延期原因
     * @param sqyqReason 申请延期原因
     */
    public void setSqyqReason(String sqyqReason) {
        this.sqyqReason = sqyqReason == null ? null : sqyqReason.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}