package com.chinaitop.depot.storage.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageOverheadSetExample {
    /**
     * storage_overhead_set
     */
    protected String orderByClause;

    /**
     * storage_overhead_set
     */
    protected boolean distinct;

    /**
     * storage_overhead_set
     */
    protected List<Criteria> oredCriteria;

    public StorageOverheadSetExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * storage_overhead_set 2019-05-23
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andLsxzIsNull() {
            addCriterion("lsxz is null");
            return (Criteria) this;
        }

        public Criteria andLsxzIsNotNull() {
            addCriterion("lsxz is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzEqualTo(Integer value) {
            addCriterion("lsxz =", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzNotEqualTo(Integer value) {
            addCriterion("lsxz <>", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzGreaterThan(Integer value) {
            addCriterion("lsxz >", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzGreaterThanOrEqualTo(Integer value) {
            addCriterion("lsxz >=", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzLessThan(Integer value) {
            addCriterion("lsxz <", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzLessThanOrEqualTo(Integer value) {
            addCriterion("lsxz <=", value, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzIn(List<Integer> values) {
            addCriterion("lsxz in", values, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzNotIn(List<Integer> values) {
            addCriterion("lsxz not in", values, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzBetween(Integer value1, Integer value2) {
            addCriterion("lsxz between", value1, value2, "lsxz");
            return (Criteria) this;
        }

        public Criteria andLsxzNotBetween(Integer value1, Integer value2) {
            addCriterion("lsxz not between", value1, value2, "lsxz");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodIsNull() {
            addCriterion("overhead_period is null");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodIsNotNull() {
            addCriterion("overhead_period is not null");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodEqualTo(Integer value) {
            addCriterion("overhead_period =", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodNotEqualTo(Integer value) {
            addCriterion("overhead_period <>", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodGreaterThan(Integer value) {
            addCriterion("overhead_period >", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodGreaterThanOrEqualTo(Integer value) {
            addCriterion("overhead_period >=", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodLessThan(Integer value) {
            addCriterion("overhead_period <", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodLessThanOrEqualTo(Integer value) {
            addCriterion("overhead_period <=", value, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodIn(List<Integer> values) {
            addCriterion("overhead_period in", values, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodNotIn(List<Integer> values) {
            addCriterion("overhead_period not in", values, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodBetween(Integer value1, Integer value2) {
            addCriterion("overhead_period between", value1, value2, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andOverheadPeriodNotBetween(Integer value1, Integer value2) {
            addCriterion("overhead_period not between", value1, value2, "overheadPeriod");
            return (Criteria) this;
        }

        public Criteria andWarningDayIsNull() {
            addCriterion("warning_day is null");
            return (Criteria) this;
        }

        public Criteria andWarningDayIsNotNull() {
            addCriterion("warning_day is not null");
            return (Criteria) this;
        }

        public Criteria andWarningDayEqualTo(Integer value) {
            addCriterion("warning_day =", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayNotEqualTo(Integer value) {
            addCriterion("warning_day <>", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayGreaterThan(Integer value) {
            addCriterion("warning_day >", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayGreaterThanOrEqualTo(Integer value) {
            addCriterion("warning_day >=", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayLessThan(Integer value) {
            addCriterion("warning_day <", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayLessThanOrEqualTo(Integer value) {
            addCriterion("warning_day <=", value, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayIn(List<Integer> values) {
            addCriterion("warning_day in", values, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayNotIn(List<Integer> values) {
            addCriterion("warning_day not in", values, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayBetween(Integer value1, Integer value2) {
            addCriterion("warning_day between", value1, value2, "warningDay");
            return (Criteria) this;
        }

        public Criteria andWarningDayNotBetween(Integer value1, Integer value2) {
            addCriterion("warning_day not between", value1, value2, "warningDay");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNull() {
            addCriterion("createName is null");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNotNull() {
            addCriterion("createName is not null");
            return (Criteria) this;
        }

        public Criteria andCreatenameEqualTo(String value) {
            addCriterion("createName =", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotEqualTo(String value) {
            addCriterion("createName <>", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThan(String value) {
            addCriterion("createName >", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThanOrEqualTo(String value) {
            addCriterion("createName >=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThan(String value) {
            addCriterion("createName <", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThanOrEqualTo(String value) {
            addCriterion("createName <=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLike(String value) {
            addCriterion("createName like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotLike(String value) {
            addCriterion("createName not like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameIn(List<String> values) {
            addCriterion("createName in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotIn(List<String> values) {
            addCriterion("createName not in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameBetween(String value1, String value2) {
            addCriterion("createName between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotBetween(String value1, String value2) {
            addCriterion("createName not between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("create_date is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("create_date is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("create_date =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("create_date <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("create_date >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("create_date >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("create_date <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("create_date <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("create_date in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("create_date not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("create_date between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("create_date not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andIsUploadIsNull() {
            addCriterion("is_upload is null");
            return (Criteria) this;
        }

        public Criteria andIsUploadIsNotNull() {
            addCriterion("is_upload is not null");
            return (Criteria) this;
        }

        public Criteria andIsUploadEqualTo(Integer value) {
            addCriterion("is_upload =", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadNotEqualTo(Integer value) {
            addCriterion("is_upload <>", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadGreaterThan(Integer value) {
            addCriterion("is_upload >", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_upload >=", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadLessThan(Integer value) {
            addCriterion("is_upload <", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadLessThanOrEqualTo(Integer value) {
            addCriterion("is_upload <=", value, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadIn(List<Integer> values) {
            addCriterion("is_upload in", values, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadNotIn(List<Integer> values) {
            addCriterion("is_upload not in", values, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadBetween(Integer value1, Integer value2) {
            addCriterion("is_upload between", value1, value2, "isUpload");
            return (Criteria) this;
        }

        public Criteria andIsUploadNotBetween(Integer value1, Integer value2) {
            addCriterion("is_upload not between", value1, value2, "isUpload");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    /**
     * storage_overhead_set
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * storage_overhead_set 2019-05-23
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}