package com.chinaitop.depot.storage.model;

import java.util.Date;

public class StorageQualityEvent {
    private Integer id;

    private Integer orgId;

    private Date inputDate;

    private Integer inputPersonId;

    private String inputPersonName;

    private Integer houseId;

    private Integer wareId;

    private Integer lspz;

    private String bgy;

    private String czwt;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 登记日期
     * @return input_date 登记日期
     */
    public Date getInputDate() {
        return inputDate;
    }

    /**
     * 登记日期
     * @param inputDate 登记日期
     */
    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }

    /**
     * 登记人ID
     * @return input_person_id 登记人ID
     */
    public Integer getInputPersonId() {
        return inputPersonId;
    }

    /**
     * 登记人ID
     * @param inputPersonId 登记人ID
     */
    public void setInputPersonId(Integer inputPersonId) {
        this.inputPersonId = inputPersonId;
    }

    /**
     * 登记人名称
     * @return input_person_name 登记人名称
     */
    public String getInputPersonName() {
        return inputPersonName;
    }

    /**
     * 登记人名称
     * @param inputPersonName 登记人名称
     */
    public void setInputPersonName(String inputPersonName) {
        this.inputPersonName = inputPersonName == null ? null : inputPersonName.trim();
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return ware_id 货位ID
     */
    public Integer getWareId() {
        return wareId;
    }

    /**
     * 货位ID
     * @param wareId 货位ID
     */
    public void setWareId(Integer wareId) {
        this.wareId = wareId;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 保管员
     * @return bgy 保管员
     */
    public String getBgy() {
        return bgy;
    }

    /**
     * 保管员
     * @param bgy 保管员
     */
    public void setBgy(String bgy) {
        this.bgy = bgy == null ? null : bgy.trim();
    }

    /**
     * 存在问题
     * @return czwt 存在问题
     */
    public String getCzwt() {
        return czwt;
    }

    /**
     * 存在问题
     * @param czwt 存在问题
     */
    public void setCzwt(String czwt) {
        this.czwt = czwt == null ? null : czwt.trim();
    }
}