package com.chinaitop.depot.storage.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageQualitycheck {
	
	private Integer processState;
	

    public Integer getProcessState() {
		return processState;
	}

	public void setProcessState(Integer processState) {
		this.processState = processState;
	}

	private String jylb;//检验类别

    private Date qfrq;//qfrq签发日期

    private String ypsl;//ypsl样品数量

    private String dbsl;//dbsl代表数量

    private String ypdj;//ypdj样品等级

    private String qyqy;//扦样区域

    private String qydbh;//扦样单编号

    private String zblb;//指标类别

    private String jdrxm;//监督人姓名

    private String ypbh;//样品编号

    private String sfzcccnx;//是否正常存储年限

    private Integer id;

    private Integer depotId;

    private Integer houseId;

    private Integer warehouseId;

    private String typeUpdate;//质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查

    private Integer subType;//粮食品种在字典表的id

    private Integer subTypeDetailed;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date checkTime;//检验日期

    private String checkResult;//检验结果0:合格  1：不合格

    private String checker;//检验人

    private Integer levelUpdate;//等级

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhycsj;

    public String getTypeUpdate() {
        return typeUpdate;
    }

    public void setTypeUpdate(String typeUpdate) {
        this.typeUpdate = typeUpdate;
    }

    public Integer getLevelUpdate() {
        return levelUpdate;
    }

    public void setLevelUpdate(Integer levelUpdate) {
        this.levelUpdate = levelUpdate;
    }

    public String getNumberUpdate() {
        return numberUpdate;
    }

    public void setNumberUpdate(String numberUpdate) {
        this.numberUpdate = numberUpdate;
    }

    private String capacity;//容量

    private String water;

    private String impurity;

    private String mineral;//矿物质

    private String badpart;

    private String colorsmell;

    private String keeperAdvices;

    private String keeperAdvicesTime;

    private String keeperAdvicesPaint;

    private String chiefAdvices;

    private Date chiefAdvicesTime;

    private String chietAdvicesPaint;

    private String viceManagerAdvices;

    private Date viceManagerAdvicesTime;

    private String viceManagerAdvicesPaint;

    private String managerAdvices;

    private Date managerAdvicesTime;

    private String managerAdvicesPaint;

    private String improveResult;

    private Date improveTime;

    private String improvePaint;

    private String isFirstchecklevelRight;

    private String acceptUnite;//检验单位

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inputTime;

    private String numberUpdate;//number_update

    private Integer location;

    private String keeper;

    private Integer harvestTime;

    private String goodpart;

    private String chooser;

    private String chooseOrgan;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date chooseTime;

    private String boldfatIndex;

    private String checkType;

    private String hotDamage;

    private String proteinSolutionRatio;

    private String eatScore;

    private String fatIndex;

    private String huskedRation;

    private String fullGoodRation;

    private String yellowPart;

    private String outHuskedRation;

    private String pests;

    private String colorRatio;

    private String hardIndex;

    private String glutenWaterCount;

    private String remarks;

    private String approver;

    private String mildewCount;

    private String damageRatio;

    private String hotDamageRatio;

    private String huskedRiceWeight;

    private String reviewer;//审核人

    private Date applyCheckTime;

    private String checkTimeType;//春秋普查类型:0:春-3月末库内普查 1：秋-9月末库内普查

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date checkResultTime;//检验报告出具日期zblb

    private String storeQuality;//指标结果判定（可多选）

    private String isPest;

    private String inspectionStandardBasis;//检验标准依据qfrq

    private String quality;

    private Date sealDate;

    private String sealStatus;

    private String authCode;

    private Integer orgId;

    private Integer historyStatus;

    private String intermixingRate;

    private String smelltaste;

    private String transparency;

    private String peroxideValue;

    private String smokePoint;

    private String reezeTest;

    private String residualSolvent;

    private String lead;

    private String totalArsenic;

    private String aflatoxin;

    private String quailtycardId;

    private String butylPhenol;

    private String storehouseName;//仓房名称

    private String wareHouseName;//货位名称

    private String storehouseCode;

    private String warehouseCode;

    private Integer acceptanceId;

    private String orgName;

    private Integer foodbasicinfoId;

    private String chooserOrgan;//扦样机构

    private Integer flagType;//保存:1,提交:2

    //封仓业务字段
    private String disperseCapacity;

    private BigDecimal height;

    private String keepMethod;

    private String price;

    private String depotName;

    private Integer notice;

    private String fileRoute;

    List<Integer> typeList = new ArrayList<Integer>();

    public String getQyqy() {
        return qyqy;
    }

    public void setQyqy(String qyqy) {
        this.qyqy = qyqy;
    }

    public String getQydbh() {
        return qydbh;
    }

    public void setQydbh(String qydbh) {
        this.qydbh = qydbh;
    }

    public String getZblb() {
        return zblb;
    }

    public void setZblb(String zblb) {
        this.zblb = zblb;
    }

    public String getJdrxm() {
        return jdrxm;
    }

    public void setJdrxm(String jdrxm) {
        this.jdrxm = jdrxm;
    }

    public String getYpbh() {
        return ypbh;
    }

    public void setYpbh(String ypbh) {
        this.ypbh = ypbh;
    }

    public String getSfzcccnx() {
        return sfzcccnx;
    }

    public void setSfzcccnx(String sfzcccnx) {
        this.sfzcccnx = sfzcccnx;
    }

    //业务字段
    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgname(String orgName) {
        this.orgName = orgName;
    }

    public String getStorehouseCode() {
        return storehouseCode;
    }

    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getJylb() {
        return jylb;
    }

    public void setJylb(String jylb) {
        this.jylb = jylb;
    }

    public Date getQfrq() {
        return qfrq;
    }

    public void setQfrq(Date qfrq) {
        this.qfrq = qfrq;
    }

    public String getYpsl() {
        return ypsl;
    }

    public void setYpsl(String ypsl) {
        this.ypsl = ypsl;
    }

    public String getDbsl() {
        return dbsl;
    }

    public void setDbsl(String dbsl) {
        this.dbsl = dbsl;
    }

    public String getYpdj() {
        return ypdj;
    }

    public void setYpdj(String ypdj) {
        this.ypdj = ypdj;
    }

    /**
     * 质量检查信息表
     *
     * @return id 质量检查信息表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 质量检查信息表
     *
     * @param id 质量检查信息表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 代储点用到的代储库id，没有值则不是代储库
     *
     * @return depot_id 代储点用到的代储库id，没有值则不是代储库
     */
    public Integer getDepotId() {
        return depotId;
    }

    /**
     * 代储点用到的代储库id，没有值则不是代储库
     *
     * @param depotId 代储点用到的代储库id，没有值则不是代储库
     */
    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    /**
     * 仓房的id
     *
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     *
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     *
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     *
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }


    /**
     * 品种
     *
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     *
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 详细的品种
     *
     * @return sub_type_detailed 详细的品种
     */
    public Integer getSubTypeDetailed() {
        return subTypeDetailed;
    }

    /**
     * 详细的品种
     *
     * @param subTypeDetailed 详细的品种
     */
    public void setSubTypeDetailed(Integer subTypeDetailed) {
        this.subTypeDetailed = subTypeDetailed;
    }

    /**
     * 检验日期
     *
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     *
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验结果0:合格  1：不合格
     *
     * @return check_result 检验结果0:合格  1：不合格
     */
    public String getCheckResult() {
        return checkResult;
    }

    /**
     * 检验结果0:合格  1：不合格
     *
     * @param checkResult 检验结果0:合格  1：不合格
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    /**
     * 检验人
     *
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     *
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }



    /**
     * 容量
     *
     * @return capacity 容量
     */
    public String getCapacity() {
        return capacity;
    }

    /**
     * 容量
     *
     * @param capacity 容量
     */
    public void setCapacity(String capacity) {
        this.capacity = capacity == null ? null : capacity.trim();
    }

    /**
     * 水分
     *
     * @return water 水分
     */
    public String getWater() {
        return water;
    }

    /**
     * 水分
     *
     * @param water 水分
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 杂质
     *
     * @return impurity 杂质
     */
    public String getImpurity() {
        return impurity;
    }

    /**
     * 杂质
     *
     * @param impurity 杂质
     */
    public void setImpurity(String impurity) {
        this.impurity = impurity == null ? null : impurity.trim();
    }

    /**
     * 矿物质
     *
     * @return mineral 矿物质
     */
    public String getMineral() {
        return mineral;
    }

    /**
     * 矿物质
     *
     * @param mineral 矿物质
     */
    public void setMineral(String mineral) {
        this.mineral = mineral == null ? null : mineral.trim();
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     *
     * @return badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public String getBadpart() {
        return badpart;
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     *
     * @param badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public void setBadpart(String badpart) {
        this.badpart = badpart == null ? null : badpart.trim();
    }

    /**
     * 色泽气味
     *
     * @return colorsmell 色泽气味
     */
    public String getColorsmell() {
        return colorsmell;
    }

    /**
     * 色泽气味
     *
     * @param colorsmell 色泽气味
     */
    public void setColorsmell(String colorsmell) {
        this.colorsmell = colorsmell == null ? null : colorsmell.trim();
    }

    /**
     * 保管员整改建议
     *
     * @return keeper_advices 保管员整改建议
     */
    public String getKeeperAdvices() {
        return keeperAdvices;
    }

    /**
     * 保管员整改建议
     *
     * @param keeperAdvices 保管员整改建议
     */
    public void setKeeperAdvices(String keeperAdvices) {
        this.keeperAdvices = keeperAdvices == null ? null : keeperAdvices.trim();
    }

    /**
     * 保管员整改时间
     *
     * @return keeper_advices_time 保管员整改时间
     */
    public String getKeeperAdvicesTime() {
        return keeperAdvicesTime;
    }

    /**
     * 保管员整改时间
     *
     * @param keeperAdvicesTime 保管员整改时间
     */
    public void setKeeperAdvicesTime(String keeperAdvicesTime) {
        this.keeperAdvicesTime = keeperAdvicesTime == null ? null : keeperAdvicesTime.trim();
    }

    /**
     * 保管员签字
     *
     * @return keeper_advices_paint 保管员签字
     */
    public String getKeeperAdvicesPaint() {
        return keeperAdvicesPaint;
    }

    /**
     * 保管员签字
     *
     * @param keeperAdvicesPaint 保管员签字
     */
    public void setKeeperAdvicesPaint(String keeperAdvicesPaint) {
        this.keeperAdvicesPaint = keeperAdvicesPaint == null ? null : keeperAdvicesPaint.trim();
    }

    /**
     * 仓储科长建议
     *
     * @return chief_advices 仓储科长建议
     */
    public String getChiefAdvices() {
        return chiefAdvices;
    }

    /**
     * 仓储科长建议
     *
     * @param chiefAdvices 仓储科长建议
     */
    public void setChiefAdvices(String chiefAdvices) {
        this.chiefAdvices = chiefAdvices == null ? null : chiefAdvices.trim();
    }

    /**
     * 仓储科长时间
     *
     * @return chief_advices_time 仓储科长时间
     */
    public Date getChiefAdvicesTime() {
        return chiefAdvicesTime;
    }

    /**
     * 仓储科长时间
     *
     * @param chiefAdvicesTime 仓储科长时间
     */
    public void setChiefAdvicesTime(Date chiefAdvicesTime) {
        this.chiefAdvicesTime = chiefAdvicesTime;
    }

    /**
     * 仓储科长签字
     *
     * @return chiet_advices_paint 仓储科长签字
     */
    public String getChietAdvicesPaint() {
        return chietAdvicesPaint;
    }

    /**
     * 仓储科长签字
     *
     * @param chietAdvicesPaint 仓储科长签字
     */
    public void setChietAdvicesPaint(String chietAdvicesPaint) {
        this.chietAdvicesPaint = chietAdvicesPaint == null ? null : chietAdvicesPaint.trim();
    }

    /**
     * 主管副主任建议
     *
     * @return vice_manager_advices 主管副主任建议
     */
    public String getViceManagerAdvices() {
        return viceManagerAdvices;
    }

    /**
     * 主管副主任建议
     *
     * @param viceManagerAdvices 主管副主任建议
     */
    public void setViceManagerAdvices(String viceManagerAdvices) {
        this.viceManagerAdvices = viceManagerAdvices == null ? null : viceManagerAdvices.trim();
    }

    /**
     * 主管副主任时间
     *
     * @return vice_manager_advices_time 主管副主任时间
     */
    public Date getViceManagerAdvicesTime() {
        return viceManagerAdvicesTime;
    }

    /**
     * 主管副主任时间
     *
     * @param viceManagerAdvicesTime 主管副主任时间
     */
    public void setViceManagerAdvicesTime(Date viceManagerAdvicesTime) {
        this.viceManagerAdvicesTime = viceManagerAdvicesTime;
    }

    /**
     * 主管副主任签字
     *
     * @return vice_manager_advices_paint 主管副主任签字
     */
    public String getViceManagerAdvicesPaint() {
        return viceManagerAdvicesPaint;
    }

    /**
     * 主管副主任签字
     *
     * @param viceManagerAdvicesPaint 主管副主任签字
     */
    public void setViceManagerAdvicesPaint(String viceManagerAdvicesPaint) {
        this.viceManagerAdvicesPaint = viceManagerAdvicesPaint == null ? null : viceManagerAdvicesPaint.trim();
    }

    /**
     * 主任意见建议
     *
     * @return manager_advices 主任意见建议
     */
    public String getManagerAdvices() {
        return managerAdvices;
    }

    /**
     * 主任意见建议
     *
     * @param managerAdvices 主任意见建议
     */
    public void setManagerAdvices(String managerAdvices) {
        this.managerAdvices = managerAdvices == null ? null : managerAdvices.trim();
    }

    /**
     * 主任时间
     *
     * @return manager_advices_time 主任时间
     */
    public Date getManagerAdvicesTime() {
        return managerAdvicesTime;
    }

    /**
     * 主任时间
     *
     * @param managerAdvicesTime 主任时间
     */
    public void setManagerAdvicesTime(Date managerAdvicesTime) {
        this.managerAdvicesTime = managerAdvicesTime;
    }

    /**
     * 主任签字
     *
     * @return manager_advices_paint 主任签字
     */
    public String getManagerAdvicesPaint() {
        return managerAdvicesPaint;
    }

    /**
     * 主任签字
     *
     * @param managerAdvicesPaint 主任签字
     */
    public void setManagerAdvicesPaint(String managerAdvicesPaint) {
        this.managerAdvicesPaint = managerAdvicesPaint == null ? null : managerAdvicesPaint.trim();
    }

    /**
     * 整改结果
     *
     * @return improve_result 整改结果
     */
    public String getImproveResult() {
        return improveResult;
    }

    /**
     * 整改结果
     *
     * @param improveResult 整改结果
     */
    public void setImproveResult(String improveResult) {
        this.improveResult = improveResult == null ? null : improveResult.trim();
    }

    /**
     * 整改时间
     *
     * @return improve_time 整改时间
     */
    public Date getImproveTime() {
        return improveTime;
    }

    /**
     * 整改时间
     *
     * @param improveTime 整改时间
     */
    public void setImproveTime(Date improveTime) {
        this.improveTime = improveTime;
    }

    /**
     * 整改签字
     *
     * @return improve_paint 整改签字
     */
    public String getImprovePaint() {
        return improvePaint;
    }

    /**
     * 整改签字
     *
     * @param improvePaint 整改签字
     */
    public void setImprovePaint(String improvePaint) {
        this.improvePaint = improvePaint == null ? null : improvePaint.trim();
    }

    /**
     * 是否相符 0:是  1:不是
     *
     * @return is_firstchecklevel_right 是否相符 0:是  1:不是
     */
    public String getIsFirstchecklevelRight() {
        return isFirstchecklevelRight;
    }

    /**
     * 是否相符 0:是  1:不是
     *
     * @param isFirstchecklevelRight 是否相符 0:是  1:不是
     */
    public void setIsFirstchecklevelRight(String isFirstchecklevelRight) {
        this.isFirstchecklevelRight = isFirstchecklevelRight == null ? null : isFirstchecklevelRight.trim();
    }

    /**
     * 检验单位
     *
     * @return accept_unite 检验单位
     */
    public String getAcceptUnite() {
        return acceptUnite;
    }

    /**
     * 检验单位
     *
     * @param acceptUnite 检验单位
     */
    public void setAcceptUnite(String acceptUnite) {
        this.acceptUnite = acceptUnite == null ? null : acceptUnite.trim();
    }

    /**
     * 入库时间
     *
     * @return input_time 入库时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 入库时间
     *
     * @param inputTime 入库时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }


    /**
     * 产地
     *
     * @return location 产地
     */
    public Integer getLocation() {
        return location;
    }

    /**
     * 产地
     *
     * @param location 产地
     */
    public void setLocation(Integer location) {
        this.location = location;
    }

    /**
     * 保管员
     *
     * @return keeper 保管员
     */
    public String getKeeper() {
        return keeper;
    }

    /**
     * 保管员
     *
     * @param keeper 保管员
     */
    public void setKeeper(String keeper) {
        this.keeper = keeper == null ? null : keeper.trim();
    }

    /**
     * 收货年度
     *
     * @return harvest_time 收货年度
     */
    public Integer getHarvestTime() {
        return harvestTime;
    }

    /**
     * 收货年度
     *
     * @param harvestTime 收货年度
     */
    public void setHarvestTime(Integer harvestTime) {
        this.harvestTime = harvestTime;
    }

    /**
     * 完整粒度
     *
     * @return goodpart 完整粒度
     */
    public String getGoodpart() {
        return goodpart;
    }

    /**
     * 完整粒度
     *
     * @param goodpart 完整粒度
     */
    public void setGoodpart(String goodpart) {
        this.goodpart = goodpart == null ? null : goodpart.trim();
    }

    /**
     * 扦样人
     *
     * @return chooser 扦样人
     */
    public String getChooser() {
        return chooser;
    }

    /**
     * 扦样人
     *
     * @param chooser 扦样人
     */
    public void setChooser(String chooser) {
        this.chooser = chooser == null ? null : chooser.trim();
    }

    /**
     * 扦样机构
     *
     * @return choose_organ 扦样机构
     */
    public String getChooseOrgan() {
        return chooseOrgan;
    }

    /**
     * 扦样机构
     *
     * @param chooseOrgan 扦样机构
     */
    public void setChooseOrgan(String chooseOrgan) {
        this.chooseOrgan = chooseOrgan == null ? null : chooseOrgan.trim();
    }

    /**
     * 扦样日期
     *
     * @return choose_time 扦样日期
     */
    public Date getChooseTime() {
        return chooseTime;
    }

    /**
     * 扦样日期
     *
     * @param chooseTime 扦样日期
     */
    public void setChooseTime(Date chooseTime) {
        this.chooseTime = chooseTime;
    }

    /**
     * 粗脂肪酸数值
     *
     * @return boldfat_index 粗脂肪酸数值
     */
    public String getBoldfatIndex() {
        return boldfatIndex;
    }

    /**
     * 粗脂肪酸数值
     *
     * @param boldfatIndex 粗脂肪酸数值
     */
    public void setBoldfatIndex(String boldfatIndex) {
        this.boldfatIndex = boldfatIndex == null ? null : boldfatIndex.trim();
    }

    /**
     * 检验类型
     *
     * @return check_type 检验类型
     */
    public String getCheckType() {
        return checkType;
    }

    /**
     * 检验类型
     *
     * @param checkType 检验类型
     */
    public void setCheckType(String checkType) {
        this.checkType = checkType == null ? null : checkType.trim();
    }

    /**
     * 热损伤
     *
     * @return hot_damage 热损伤
     */
    public String getHotDamage() {
        return hotDamage;
    }

    /**
     * 热损伤
     *
     * @param hotDamage 热损伤
     */
    public void setHotDamage(String hotDamage) {
        this.hotDamage = hotDamage == null ? null : hotDamage.trim();
    }

    /**
     * 蛋白质溶解比率
     *
     * @return protein_solution_ratio 蛋白质溶解比率
     */
    public String getProteinSolutionRatio() {
        return proteinSolutionRatio;
    }

    /**
     * 蛋白质溶解比率
     *
     * @param proteinSolutionRatio 蛋白质溶解比率
     */
    public void setProteinSolutionRatio(String proteinSolutionRatio) {
        this.proteinSolutionRatio = proteinSolutionRatio == null ? null : proteinSolutionRatio.trim();
    }

    /**
     * 品尝评分值:
     *
     * @return eat_score 品尝评分值:
     */
    public String getEatScore() {
        return eatScore;
    }

    /**
     * 品尝评分值:
     *
     * @param eatScore 品尝评分值:
     */
    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    /**
     * 脂肪酸值:
     *
     * @return fat_index 脂肪酸值:
     */
    public String getFatIndex() {
        return fatIndex;
    }

    /**
     * 脂肪酸值:
     *
     * @param fatIndex 脂肪酸值:
     */
    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    /**
     * 出糙率:
     *
     * @return husked_ration 出糙率:
     */
    public String getHuskedRation() {
        return huskedRation;
    }

    /**
     * 出糙率:
     *
     * @param huskedRation 出糙率:
     */
    public void setHuskedRation(String huskedRation) {
        this.huskedRation = huskedRation == null ? null : huskedRation.trim();
    }

    /**
     * 整精米率:
     *
     * @return full_good_ration 整精米率:
     */
    public String getFullGoodRation() {
        return fullGoodRation;
    }

    /**
     * 整精米率:
     *
     * @param fullGoodRation 整精米率:
     */
    public void setFullGoodRation(String fullGoodRation) {
        this.fullGoodRation = fullGoodRation == null ? null : fullGoodRation.trim();
    }

    /**
     * 黄粒米:
     *
     * @return yellow_part 黄粒米:
     */
    public String getYellowPart() {
        return yellowPart;
    }

    /**
     * 黄粒米:
     *
     * @param yellowPart 黄粒米:
     */
    public void setYellowPart(String yellowPart) {
        this.yellowPart = yellowPart == null ? null : yellowPart.trim();
    }

    /**
     * 谷外糙米
     *
     * @return out_husked_ration 谷外糙米
     */
    public String getOutHuskedRation() {
        return outHuskedRation;
    }

    /**
     * 谷外糙米
     *
     * @param outHuskedRation 谷外糙米
     */
    public void setOutHuskedRation(String outHuskedRation) {
        this.outHuskedRation = outHuskedRation == null ? null : outHuskedRation.trim();
    }

    /**
     * 虫害
     *
     * @return pests 虫害
     */
    public String getPests() {
        return pests;
    }

    /**
     * 虫害
     *
     * @param pests 虫害
     */
    public void setPests(String pests) {
        this.pests = pests == null ? null : pests.trim();
    }

    /**
     * 色率
     *
     * @return color_ratio 色率
     */
    public String getColorRatio() {
        return colorRatio;
    }

    /**
     * 色率
     *
     * @param colorRatio 色率
     */
    public void setColorRatio(String colorRatio) {
        this.colorRatio = colorRatio == null ? null : colorRatio.trim();
    }

    /**
     * 硬度指数
     *
     * @return hard_index 硬度指数
     */
    public String getHardIndex() {
        return hardIndex;
    }

    /**
     * 硬度指数
     *
     * @param hardIndex 硬度指数
     */
    public void setHardIndex(String hardIndex) {
        this.hardIndex = hardIndex == null ? null : hardIndex.trim();
    }

    /**
     * 面筋吸水量
     *
     * @return gluten_water_count 面筋吸水量
     */
    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    /**
     * 面筋吸水量
     *
     * @param glutenWaterCount 面筋吸水量
     */
    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    /**
     * 备注
     *
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     *
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    /**
     * 批准人
     *
     * @return approver 批准人
     */
    public String getApprover() {
        return approver;
    }

    /**
     * 批准人
     *
     * @param approver 批准人
     */
    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    /**
     * 生霉粒
     *
     * @return mildew_count 生霉粒
     */
    public String getMildewCount() {
        return mildewCount;
    }

    /**
     * 生霉粒
     *
     * @param mildewCount 生霉粒
     */
    public void setMildewCount(String mildewCount) {
        this.mildewCount = mildewCount == null ? null : mildewCount.trim();
    }

    /**
     * 损伤粒率
     *
     * @return damage_ratio 损伤粒率
     */
    public String getDamageRatio() {
        return damageRatio;
    }

    /**
     * 损伤粒率
     *
     * @param damageRatio 损伤粒率
     */
    public void setDamageRatio(String damageRatio) {
        this.damageRatio = damageRatio == null ? null : damageRatio.trim();
    }

    /**
     * 热损伤粒率
     *
     * @return hot_damage_ratio 热损伤粒率
     */
    public String getHotDamageRatio() {
        return hotDamageRatio;
    }

    /**
     * 热损伤粒率
     *
     * @param hotDamageRatio 热损伤粒率
     */
    public void setHotDamageRatio(String hotDamageRatio) {
        this.hotDamageRatio = hotDamageRatio == null ? null : hotDamageRatio.trim();
    }

    /**
     * 糙米重
     *
     * @return husked_rice_weight 糙米重
     */
    public String getHuskedRiceWeight() {
        return huskedRiceWeight;
    }

    /**
     * 糙米重
     *
     * @param huskedRiceWeight 糙米重
     */
    public void setHuskedRiceWeight(String huskedRiceWeight) {
        this.huskedRiceWeight = huskedRiceWeight == null ? null : huskedRiceWeight.trim();
    }

    /**
     * 审核人
     *
     * @return reviewer 审核人
     */
    public String getReviewer() {
        return reviewer;
    }

    /**
     * 审核人
     *
     * @param reviewer 审核人
     */
    public void setReviewer(String reviewer) {
        this.reviewer = reviewer == null ? null : reviewer.trim();
    }

    /**
     * 申请验收日期
     *
     * @return apply_check_time 申请验收日期
     */
    public Date getApplyCheckTime() {
        return applyCheckTime;
    }

    /**
     * 申请验收日期
     *
     * @param applyCheckTime 申请验收日期
     */
    public void setApplyCheckTime(Date applyCheckTime) {
        this.applyCheckTime = applyCheckTime;
    }

    /**
     * 春秋普查类型:0:春 1：秋
     *
     * @return check_time_type 春秋普查类型:0:春 1：秋
     */
    public String getCheckTimeType() {
        return checkTimeType;
    }

    /**
     * 春秋普查类型:0:春 1：秋
     *
     * @param checkTimeType 春秋普查类型:0:春 1：秋
     */
    public void setCheckTimeType(String checkTimeType) {
        this.checkTimeType = checkTimeType == null ? null : checkTimeType.trim();
    }

    /**
     * 检验报告出具日期
     *
     * @return check_result_time 检验报告出具日期
     */
    public Date getCheckResultTime() {
        return checkResultTime;
    }

    /**
     * 检验报告出具日期
     *
     * @param checkResultTime 检验报告出具日期
     */
    public void setCheckResultTime(Date checkResultTime) {
        this.checkResultTime = checkResultTime;
    }

    /**
     * 储存品质 0：宜存 1：不宜存
     *
     * @return store_quality 储存品质 0：宜存 1：不宜存
     */
    public String getStoreQuality() {
        return storeQuality;
    }

    /**
     * 储存品质 0：宜存 1：不宜存
     *
     * @param storeQuality 储存品质 0：宜存 1：不宜存
     */
    public void setStoreQuality(String storeQuality) {
        this.storeQuality = storeQuality == null ? null : storeQuality.trim();
    }

    /**
     * 是否虫粮0:是 1:否
     *
     * @return is_pest 是否虫粮0:是 1:否
     */
    public String getIsPest() {
        return isPest;
    }

    /**
     * 是否虫粮0:是 1:否
     *
     * @param isPest 是否虫粮0:是 1:否
     */
    public void setIsPest(String isPest) {
        this.isPest = isPest == null ? null : isPest.trim();
    }

    /**
     * 检验标准依据
     *
     * @return inspection_standard_basis 检验标准依据
     */
    public String getInspectionStandardBasis() {
        return inspectionStandardBasis;
    }

    /**
     * 检验标准依据
     *
     * @param inspectionStandardBasis 检验标准依据
     */
    public void setInspectionStandardBasis(String inspectionStandardBasis) {
        this.inspectionStandardBasis = inspectionStandardBasis == null ? null : inspectionStandardBasis.trim();
    }

    /**
     * 储粮性质
     *
     * @return quality 储粮性质
     */
    public String getQuality() {
        return quality;
    }

    /**
     * 储粮性质
     *
     * @param quality 储粮性质
     */
    public void setQuality(String quality) {
        this.quality = quality == null ? null : quality.trim();
    }

    /**
     * 封仓日期
     *
     * @return seal_date 封仓日期
     */
    public Date getSealDate() {
        return sealDate;
    }

    /**
     * 封仓日期
     *
     * @param sealDate 封仓日期
     */
    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     *
     * @return seal_status 封仓状态：0:未封仓,1:已封仓
     */
    public String getSealStatus() {
        return sealStatus;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     *
     * @param sealStatus 封仓状态：0:未封仓,1:已封仓
     */
    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus == null ? null : sealStatus.trim();
    }

    /**
     * 库存识别码
     *
     * @return auth_code 库存识别码
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * 库存识别码
     *
     * @param authCode 库存识别码
     */
    public void setAuthCode(String authCode) {
        this.authCode = authCode == null ? null : authCode.trim();
    }

    /**
     * 组织结构id
     *
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     *
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 0:最新数据   1:历史数据
     *
     * @return history_status 0:最新数据   1:历史数据
     */
    public Integer getHistoryStatus() {
        return historyStatus;
    }

    /**
     * 0:最新数据   1:历史数据
     *
     * @param historyStatus 0:最新数据   1:历史数据
     */
    public void setHistoryStatus(Integer historyStatus) {
        this.historyStatus = historyStatus;
    }

    /**
     * 互混率(%)
     *
     * @return intermixing_rate 互混率(%)
     */
    public String getIntermixingRate() {
        return intermixingRate;
    }

    /**
     * 互混率(%)
     *
     * @param intermixingRate 互混率(%)
     */
    public void setIntermixingRate(String intermixingRate) {
        this.intermixingRate = intermixingRate == null ? null : intermixingRate.trim();
    }

    /**
     * 气味、滋味
     *
     * @return smelltaste 气味、滋味
     */
    public String getSmelltaste() {
        return smelltaste;
    }

    /**
     * 气味、滋味
     *
     * @param smelltaste 气味、滋味
     */
    public void setSmelltaste(String smelltaste) {
        this.smelltaste = smelltaste == null ? null : smelltaste.trim();
    }

    /**
     * 透明度
     *
     * @return transparency 透明度
     */
    public String getTransparency() {
        return transparency;
    }

    /**
     * 透明度
     *
     * @param transparency 透明度
     */
    public void setTransparency(String transparency) {
        this.transparency = transparency == null ? null : transparency.trim();
    }

    /**
     * 过氧化值(mmol/kg)
     *
     * @return peroxide_value 过氧化值(mmol/kg)
     */
    public String getPeroxideValue() {
        return peroxideValue;
    }

    /**
     * 过氧化值(mmol/kg)
     *
     * @param peroxideValue 过氧化值(mmol/kg)
     */
    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    /**
     * 烟点℃
     *
     * @return smoke_point 烟点℃
     */
    public String getSmokePoint() {
        return smokePoint;
    }

    /**
     * 烟点℃
     *
     * @param smokePoint 烟点℃
     */
    public void setSmokePoint(String smokePoint) {
        this.smokePoint = smokePoint == null ? null : smokePoint.trim();
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     *
     * @return reeze_test 冷冻实验(0℃储藏5.5h)
     */
    public String getReezeTest() {
        return reezeTest;
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     *
     * @param reezeTest 冷冻实验(0℃储藏5.5h)
     */
    public void setReezeTest(String reezeTest) {
        this.reezeTest = reezeTest == null ? null : reezeTest.trim();
    }

    /**
     * 溶剂残留量(mg/kg)
     *
     * @return residual_solvent 溶剂残留量(mg/kg)
     */
    public String getResidualSolvent() {
        return residualSolvent;
    }

    /**
     * 溶剂残留量(mg/kg)
     *
     * @param residualSolvent 溶剂残留量(mg/kg)
     */
    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent == null ? null : residualSolvent.trim();
    }

    /**
     * 铅(Pb)
     *
     * @return lead 铅(Pb)
     */
    public String getLead() {
        return lead;
    }

    /**
     * 铅(Pb)
     *
     * @param lead 铅(Pb)
     */
    public void setLead(String lead) {
        this.lead = lead == null ? null : lead.trim();
    }

    /**
     * 总砷(以As计)(mg/kg)
     *
     * @return total_arsenic 总砷(以As计)(mg/kg)
     */
    public String getTotalArsenic() {
        return totalArsenic;
    }

    /**
     * 总砷(以As计)(mg/kg)
     *
     * @param totalArsenic 总砷(以As计)(mg/kg)
     */
    public void setTotalArsenic(String totalArsenic) {
        this.totalArsenic = totalArsenic == null ? null : totalArsenic.trim();
    }

    /**
     * 黄曲霉毒素(ug/kg)
     *
     * @return aflatoxin 黄曲霉毒素(ug/kg)
     */
    public String getAflatoxin() {
        return aflatoxin;
    }

    /**
     * 黄曲霉毒素(ug/kg)
     *
     * @param aflatoxin 黄曲霉毒素(ug/kg)
     */
    public void setAflatoxin(String aflatoxin) {
        this.aflatoxin = aflatoxin == null ? null : aflatoxin.trim();
    }

    /**
     * 粮情卡id
     *
     * @return quailtycard_id 粮情卡id
     */
    public String getQuailtycardId() {
        return quailtycardId;
    }

    /**
     * 粮情卡id
     *
     * @param quailtycardId 粮情卡id
     */
    public void setQuailtycardId(String quailtycardId) {
        this.quailtycardId = quailtycardId == null ? null : quailtycardId.trim();
    }

    /**
     * 特丁基对二苯酚(g/kg)
     *
     * @return butyl_phenol 特丁基对二苯酚(g/kg)
     */
    public String getButylPhenol() {
        return butylPhenol;
    }

    /**
     * 特丁基对二苯酚(g/kg)
     *
     * @param butylPhenol 特丁基对二苯酚(g/kg)
     */
    public void setButylPhenol(String butylPhenol) {
        this.butylPhenol = butylPhenol == null ? null : butylPhenol.trim();
    }

    //验收id
    public Integer getAcceptanceId() {
        return acceptanceId;
    }

    public void setAcceptanceId(Integer acceptanceId) {
        this.acceptanceId = acceptanceId;
    }


    //封仓业务字段
    public String getDisperseCapacity() {
        return disperseCapacity;
    }

    public void setDisperseCapacity(String disperseCapacity) {
        this.disperseCapacity = disperseCapacity;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public String getKeepMethod() {
        return keepMethod;
    }

    public void setKeepMethod(String keepMethod) {
        this.keepMethod = keepMethod;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getDepotName() {
        return depotName;
    }

    public void setDepotName(String depotName) {
        this.depotName = depotName;
    }

    public Integer getNotice() {
        return notice;
    }

    public void setNotice(Integer notice) {
        this.notice = notice;
    }

    public Integer getFoodbasicinfoId() {
        return foodbasicinfoId;
    }

    public void setFoodbasicinfoId(Integer foodbasicinfoId) {
        this.foodbasicinfoId = foodbasicinfoId;
    }

    public List<Integer> getTypeList() {
        return typeList;
    }

    public void setTypeList(List<Integer> typeList) {
        this.typeList = typeList;
    }

    public String getChooserOrgan() {
        return chooserOrgan;
    }

    public void setChooserOrgan(String chooserOrgan) {
        this.chooserOrgan = chooserOrgan;
    }

    public Integer getFlagType() {
        return flagType;
    }

    /**
     * 保存:1,提交:2
     *
     * @param flagType 保存:1,提交:2
     */
    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }

    public String getFileRoute() {
        return fileRoute;
    }

    public void setFileRoute(String fileRoute) {
        this.fileRoute = fileRoute;
    }
    
    /**
	 * 最后一车时间(入库时间)
	 * @return
	 */
	public Date getZhycsj() {
		return zhycsj;
	}

	/**
	 * 最后一车时间(入库时间)
	 * @param zhycsj
	 */
	public void setZhycsj(Date zhycsj) {
		this.zhycsj = zhycsj;
	}
}