package com.chinaitop.depot.storage.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageQualitycheckForSPT {

    private String storehouseName;//仓房名称 org_info表

    private String wareHouseName;//货位名称 basic_warehouse表

    private String hwbm;//货位编码120编码    basic_warehouse表

    private String levelCode;//委托单位和检查单位编码120编码    org_info表   level_code

    private String checkResult;//检验结果0:合格  1：不合格

    private String orgName;//委托单位名称   org_info表   org_name

    private String acceptUnite;//检验单位

    private String keeper;//保管员

    private String subType;//粮食品种   basic_enum表的enumId

    private String quality;//性质  basic_enum表的enumId

    private String numberUpdate;//数量

    private String ypsl;//ypsl样品数量

    private String dbsl;//dbsl代表数量

    private String location;//产地

    private String levelUpdate;//等级

    private String levelOil ;//等级粮油

    private Integer harvestTime;//收获年度  --生产年限

    private String checker;//检验人

    private String chooser;//扦样人

    private Date chooseTime;//扦样日期

    private Date checkTime;//检验日期

    private Date checkResultTime;//报告出具日期

    private String remarks;//备注

    private String mineral;//矿物质

    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer orgId;

    private String typeUpdate;//检验类型

    private String fatIndex;//脂肪酸值

    private String huskedRation;//出糙率

    private String fullGoodRation;//整精米率

    private String yellowPart;//黄粒米

    private String outHuskedRation;//谷外糙米

    private String smelltaste;//气味、滋味

    private String transparency;//透明度

    private String peroxideValue;//过氧化值(mmol/kg)

    private String smokePoint;//烟点

    private String reezeTest;//冷冻实验(0℃储藏5.5h)

    private String residualSolvent;//溶剂残留量(mg/kg)

    private String lead;//铅(Pb)

    private String totalArsenic;//总砷(以As计)(mg/kg)

    private String aflatoxin;//黄曲霉毒素(ug/kg)

    private String butylPhenol;//特丁基对二苯酚(g/kg)

    private String intermixingRate;//互混率(%)

    private String pests;//虫害

    private String colorRatio;//色率

    private String damageRatio;//损伤粒率

    private String hotDamageRatio;//热损伤粒率

    private String huskedRiceWeight;//糙米重

    private String checkTimeType;//春秋普查类型

    private String keepingWay;//保管方式  --存储方式 keeping_way

    private String water;//水分

    private String hardIndex;//硬度指数

    private String mildewCount;//生霉粒

    private String colorsmell;//色泽.气味（质检）

    private String colorsmellcc;//色泽.气味（存储）

    private String goodpart;//完整粒度

    private String badpart;//不完善颗粒(未熟粒、破碎粒)

    private String glutenWaterCount;//面筋吸水量

    private String eatScore;//品尝评分

    private String hotDamage;//热损伤

    //storage_qualitycheck_inspection
    private String unitWeight;//容重

    private String impurityTotal;//杂质总量

    private String impurityInorganic;//杂质无机杂质

    private String impurityOrganic;//杂质有机杂质

    private String impurityBranPowder;//糠粉-大米

    private String imperfectgrainsTotal;//不完善粒总量

    private String imperfectgrainsInjuredkernel;//不完善粒虫蚀粒

    private String imperfectgrainsScab;//不完善粒病斑粒

    private String imperfectgrainsScabTotal;//不完善粒病斑粒总量

    private String imperfectgrainsScabBlackembryo;//不完善粒病斑粒黑胚粒

    private String imperfectgrainsScabGibberella;//不完善粒病斑粒赤霉病粒

    private String imperfectgrainsDamage;//不完善粒破损粒

    private String imperfectgrainsSproutedkernel;//不完善粒生芽粒

    private String imperfectgrainsFrostbite;//不完善粒冻伤

    private String imperfectgrainsImmaturegrain;//不完善粒未熟粒

    private String imperfectgrainsContent;//不完善粒含量

    private String imperfectgrainsBrownrice;//不完善粒糙米粒

    private String naturally;//自然热损伤粒

    private String stoving;//烘干热损伤粒

    private String crudeFatContent;//粗脂肪含量（干基）%

    private String proteolysis;// 蛋白溶解

    private String mildew;//霉变粒

    private String immatureGrainRate;//未熟粒率

    private String crushingRate;//破碎率

    private String yellowRice;//黄粒米%

    private String relativeDensity;//相对密度

    private String waterVolatiles;//水分及挥发物含量

    private String insolubleImpurity;//不溶性杂质含量

    private String acidValue;//酸价（KOH）/(mg/g)

    private String soapContent;//含皂量%

    private String heat;//加热实验（280℃）

    private String avgLength;//平均长度

    private String riceGrains;//完整米粒

    private String brokenriceTotal;//碎米总量

    private String brokenriceBig;//碎米大

    private String brokenriceSmall;//碎米小

    private String machiningaccuracy;//加工精度

    private String chalkiness;//垩白度

    private String machiningaccuracyEssence;//加工精度精碾

    private String machiningaccuracySuitable;//加工精度适碾

    private String amylose;//直链淀粉含量

    private String ashContent;// 灰分%（以干物计）

    private String coarseness;// 粗细度%

    private String gluten;//面筋质%（以湿重计）

    private String siltContent;//含沙量

    private String magneticMetal;//磁性金属物g/kg

    private String sieveResidue;//筛下物%2020.12.21  新增字段

    private String riceYield;//出米率%2020.12.21  新增字段

    private Integer flagType;//保存:1,提交:2

    public String getMineral() {
        return mineral;
    }

    public void setMineral(String mineral) {
        this.mineral = mineral;
    }

    public String getColorsmellcc() {
        return colorsmellcc;
    }

    public void setColorsmellcc(String colorsmellcc) {
        this.colorsmellcc = colorsmellcc;
    }

    public String getLevelOil() {
        return levelOil;
    }

    public void setLevelOil(String levelOil) {
        this.levelOil = levelOil;
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getAcceptUnite() {
        return acceptUnite;
    }

    public void setAcceptUnite(String acceptUnite) {
        this.acceptUnite = acceptUnite;
    }

    public String getNumberUpdate() {
        return numberUpdate;
    }

    public void setNumberUpdate(String numberUpdate) {
        this.numberUpdate = numberUpdate;
    }

    public String getTypeUpdate() {
        return typeUpdate;
    }

    public void setTypeUpdate(String typeUpdate) {
        this.typeUpdate = typeUpdate;
    }


    List<Integer> typeList = new ArrayList<Integer>();

    public String getHwbm() {
        return hwbm;
    }

    public void setHwbm(String hwbm) {
        this.hwbm = hwbm;
    }

    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }

    //业务字段
    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getYpsl() {
        return ypsl;
    }

    public void setYpsl(String ypsl) {
        this.ypsl = ypsl;
    }

    public String getDbsl() {
        return dbsl;
    }

    public void setDbsl(String dbsl) {
        this.dbsl = dbsl;
    }

    /**
     * 质量检查信息表
     *
     * @return id 质量检查信息表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 质量检查信息表
     *
     * @param id 质量检查信息表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房的id
     *
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     *
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     *
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     *
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }


    /**
     * 品种
     *
     * @return sub_type 品种
     */
    public String getSubType() {
        return subType;
    }

    /**
     * 品种
     *
     * @param subType 品种
     */
    public void setSubType(String subType) {
        this.subType = subType;
    }

    /**
     * 检验日期
     *
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     *
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验人
     *
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     *
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }


    public String getLevelUpdate() {
        return levelUpdate;
    }

    public void setLevelUpdate(String levelUpdate) {
        this.levelUpdate = levelUpdate;
    }

    /**
     * 水分
     *
     * @return water 水分
     */
    public String getWater() {
        return water;
    }

    /**
     * 水分
     *
     * @param water 水分
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     *
     * @return badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public String getBadpart() {
        return badpart;
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     *
     * @param badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public void setBadpart(String badpart) {
        this.badpart = badpart == null ? null : badpart.trim();
    }

    /**
     * 色泽气味
     *
     * @return colorsmell 色泽气味
     */
    public String getColorsmell() {
        return colorsmell;
    }

    /**
     * 色泽气味
     *
     * @param colorsmell 色泽气味
     */
    public void setColorsmell(String colorsmell) {
        this.colorsmell = colorsmell == null ? null : colorsmell.trim();
    }


    /**
     * 产地
     *
     * @return location 产地
     */
    public String getLocation() {
        return location;
    }

    /**
     * 产地
     *
     * @param location 产地
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * 保管员
     *
     * @return keeper 保管员
     */
    public String getKeeper() {
        return keeper;
    }

    /**
     * 保管员
     *
     * @param keeper 保管员
     */
    public void setKeeper(String keeper) {
        this.keeper = keeper == null ? null : keeper.trim();
    }

    /**
     * 收货年度
     *
     * @return harvest_time 收货年度
     */
    public Integer getHarvestTime() {
        return harvestTime;
    }

    /**
     * 收货年度
     *
     * @param harvestTime 收货年度
     */
    public void setHarvestTime(Integer harvestTime) {
        this.harvestTime = harvestTime;
    }

    /**
     * 完整粒度
     *
     * @return goodpart 完整粒度
     */
    public String getGoodpart() {
        return goodpart;
    }

    /**
     * 完整粒度
     *
     * @param goodpart 完整粒度
     */
    public void setGoodpart(String goodpart) {
        this.goodpart = goodpart == null ? null : goodpart.trim();
    }

    /**
     * 扦样人
     *
     * @return chooser 扦样人
     */
    public String getChooser() {
        return chooser;
    }

    /**
     * 扦样人
     *
     * @param chooser 扦样人
     */
    public void setChooser(String chooser) {
        this.chooser = chooser == null ? null : chooser.trim();
    }

    /**
     * 扦样日期
     *
     * @return choose_time 扦样日期
     */
    public Date getChooseTime() {
        return chooseTime;
    }

    /**
     * 扦样日期
     *
     * @param chooseTime 扦样日期
     */
    public void setChooseTime(Date chooseTime) {
        this.chooseTime = chooseTime;
    }

    /**
     * 热损伤
     *
     * @return hot_damage 热损伤
     */
    public String getHotDamage() {
        return hotDamage;
    }

    /**
     * 热损伤
     *
     * @param hotDamage 热损伤
     */
    public void setHotDamage(String hotDamage) {
        this.hotDamage = hotDamage == null ? null : hotDamage.trim();
    }



    /**
     * 品尝评分值:
     *
     * @return eat_score 品尝评分值:
     */
    public String getEatScore() {
        return eatScore;
    }

    /**
     * 品尝评分值:
     *
     * @param eatScore 品尝评分值:
     */
    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    /**
     * 脂肪酸值:
     *
     * @return fat_index 脂肪酸值:
     */
    public String getFatIndex() {
        return fatIndex;
    }

    /**
     * 脂肪酸值:
     *
     * @param fatIndex 脂肪酸值:
     */
    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    /**
     * 出糙率:
     *
     * @return husked_ration 出糙率:
     */
    public String getHuskedRation() {
        return huskedRation;
    }

    /**
     * 出糙率:
     *
     * @param huskedRation 出糙率:
     */
    public void setHuskedRation(String huskedRation) {
        this.huskedRation = huskedRation == null ? null : huskedRation.trim();
    }

    /**
     * 整精米率:
     *
     * @return full_good_ration 整精米率:
     */
    public String getFullGoodRation() {
        return fullGoodRation;
    }

    /**
     * 整精米率:
     *
     * @param fullGoodRation 整精米率:
     */
    public void setFullGoodRation(String fullGoodRation) {
        this.fullGoodRation = fullGoodRation == null ? null : fullGoodRation.trim();
    }

    /**
     * 黄粒米:
     *
     * @return yellow_part 黄粒米:
     */
    public String getYellowPart() {
        return yellowPart;
    }

    /**
     * 黄粒米:
     *
     * @param yellowPart 黄粒米:
     */
    public void setYellowPart(String yellowPart) {
        this.yellowPart = yellowPart == null ? null : yellowPart.trim();
    }

    /**
     * 谷外糙米
     *
     * @return out_husked_ration 谷外糙米
     */
    public String getOutHuskedRation() {
        return outHuskedRation;
    }

    /**
     * 谷外糙米
     *
     * @param outHuskedRation 谷外糙米
     */
    public void setOutHuskedRation(String outHuskedRation) {
        this.outHuskedRation = outHuskedRation == null ? null : outHuskedRation.trim();
    }

    /**
     * 虫害
     *
     * @return pests 虫害
     */
    public String getPests() {
        return pests;
    }

    /**
     * 虫害
     *
     * @param pests 虫害
     */
    public void setPests(String pests) {
        this.pests = pests == null ? null : pests.trim();
    }

    /**
     * 色率
     *
     * @return color_ratio 色率
     */
    public String getColorRatio() {
        return colorRatio;
    }

    /**
     * 色率
     *
     * @param colorRatio 色率
     */
    public void setColorRatio(String colorRatio) {
        this.colorRatio = colorRatio == null ? null : colorRatio.trim();
    }

    /**
     * 硬度指数
     *
     * @return hard_index 硬度指数
     */
    public String getHardIndex() {
        return hardIndex;
    }

    /**
     * 硬度指数
     *
     * @param hardIndex 硬度指数
     */
    public void setHardIndex(String hardIndex) {
        this.hardIndex = hardIndex == null ? null : hardIndex.trim();
    }

    /**
     * 面筋吸水量
     *
     * @return gluten_water_count 面筋吸水量
     */
    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    /**
     * 面筋吸水量
     *
     * @param glutenWaterCount 面筋吸水量
     */
    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    /**
     * 备注
     *
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     *
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }


    /**
     * 生霉粒
     *
     * @return mildew_count 生霉粒
     */
    public String getMildewCount() {
        return mildewCount;
    }

    /**
     * 生霉粒
     *
     * @param mildewCount 生霉粒
     */
    public void setMildewCount(String mildewCount) {
        this.mildewCount = mildewCount == null ? null : mildewCount.trim();
    }

    /**
     * 损伤粒率
     *
     * @return damage_ratio 损伤粒率
     */
    public String getDamageRatio() {
        return damageRatio;
    }

    /**
     * 损伤粒率
     *
     * @param damageRatio 损伤粒率
     */
    public void setDamageRatio(String damageRatio) {
        this.damageRatio = damageRatio == null ? null : damageRatio.trim();
    }

    /**
     * 热损伤粒率
     *
     * @return hot_damage_ratio 热损伤粒率
     */
    public String getHotDamageRatio() {
        return hotDamageRatio;
    }

    /**
     * 热损伤粒率
     *
     * @param hotDamageRatio 热损伤粒率
     */
    public void setHotDamageRatio(String hotDamageRatio) {
        this.hotDamageRatio = hotDamageRatio == null ? null : hotDamageRatio.trim();
    }

    /**
     * 糙米重
     *
     * @return husked_rice_weight 糙米重
     */
    public String getHuskedRiceWeight() {
        return huskedRiceWeight;
    }

    /**
     * 糙米重
     *
     * @param huskedRiceWeight 糙米重
     */
    public void setHuskedRiceWeight(String huskedRiceWeight) {
        this.huskedRiceWeight = huskedRiceWeight == null ? null : huskedRiceWeight.trim();
    }

    /**
     * 春秋普查类型:0:春 1：秋
     *
     * @return check_time_type 春秋普查类型:0:春 1：秋
     */
    public String getCheckTimeType() {
        return checkTimeType;
    }

    /**
     * 春秋普查类型:0:春 1：秋
     *
     * @param checkTimeType 春秋普查类型:0:春 1：秋
     */
    public void setCheckTimeType(String checkTimeType) {
        this.checkTimeType = checkTimeType == null ? null : checkTimeType.trim();
    }

    /**
     * 检验报告出具日期
     *
     * @return check_result_time 检验报告出具日期
     */
    public Date getCheckResultTime() {
        return checkResultTime;
    }

    /**
     * 检验报告出具日期
     *
     * @param checkResultTime 检验报告出具日期
     */
    public void setCheckResultTime(Date checkResultTime) {
        this.checkResultTime = checkResultTime;
    }


    /**
     * 储粮性质
     *
     * @return quality 储粮性质
     */
    public String getQuality() {
        return quality;
    }

    /**
     * 储粮性质
     *
     * @param quality 储粮性质
     */
    public void setQuality(String quality) {
        this.quality = quality == null ? null : quality.trim();
    }

    /**
     * 组织结构id
     *
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     *
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 互混率(%)
     *
     * @return intermixing_rate 互混率(%)
     */
    public String getIntermixingRate() {
        return intermixingRate;
    }

    /**
     * 互混率(%)
     *
     * @param intermixingRate 互混率(%)
     */
    public void setIntermixingRate(String intermixingRate) {
        this.intermixingRate = intermixingRate == null ? null : intermixingRate.trim();
    }

    /**
     * 气味、滋味
     *
     * @return smelltaste 气味、滋味
     */
    public String getSmelltaste() {
        return smelltaste;
    }

    /**
     * 气味、滋味
     *
     * @param smelltaste 气味、滋味
     */
    public void setSmelltaste(String smelltaste) {
        this.smelltaste = smelltaste == null ? null : smelltaste.trim();
    }

    /**
     * 透明度
     *
     * @return transparency 透明度
     */
    public String getTransparency() {
        return transparency;
    }

    /**
     * 透明度
     *
     * @param transparency 透明度
     */
    public void setTransparency(String transparency) {
        this.transparency = transparency == null ? null : transparency.trim();
    }

    /**
     * 过氧化值(mmol/kg)
     *
     * @return peroxide_value 过氧化值(mmol/kg)
     */
    public String getPeroxideValue() {
        return peroxideValue;
    }

    /**
     * 过氧化值(mmol/kg)
     *
     * @param peroxideValue 过氧化值(mmol/kg)
     */
    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    /**
     * 烟点℃
     *
     * @return smoke_point 烟点℃
     */
    public String getSmokePoint() {
        return smokePoint;
    }

    /**
     * 烟点℃
     *
     * @param smokePoint 烟点℃
     */
    public void setSmokePoint(String smokePoint) {
        this.smokePoint = smokePoint == null ? null : smokePoint.trim();
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     *
     * @return reeze_test 冷冻实验(0℃储藏5.5h)
     */
    public String getReezeTest() {
        return reezeTest;
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     *
     * @param reezeTest 冷冻实验(0℃储藏5.5h)
     */
    public void setReezeTest(String reezeTest) {
        this.reezeTest = reezeTest == null ? null : reezeTest.trim();
    }

    /**
     * 溶剂残留量(mg/kg)
     *
     * @return residual_solvent 溶剂残留量(mg/kg)
     */
    public String getResidualSolvent() {
        return residualSolvent;
    }

    /**
     * 溶剂残留量(mg/kg)
     *
     * @param residualSolvent 溶剂残留量(mg/kg)
     */
    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent == null ? null : residualSolvent.trim();
    }

    /**
     * 铅(Pb)
     *
     * @return lead 铅(Pb)
     */
    public String getLead() {
        return lead;
    }

    /**
     * 铅(Pb)
     *
     * @param lead 铅(Pb)
     */
    public void setLead(String lead) {
        this.lead = lead == null ? null : lead.trim();
    }

    /**
     * 总砷(以As计)(mg/kg)
     *
     * @return total_arsenic 总砷(以As计)(mg/kg)
     */
    public String getTotalArsenic() {
        return totalArsenic;
    }

    /**
     * 总砷(以As计)(mg/kg)
     *
     * @param totalArsenic 总砷(以As计)(mg/kg)
     */
    public void setTotalArsenic(String totalArsenic) {
        this.totalArsenic = totalArsenic == null ? null : totalArsenic.trim();
    }

    /**
     * 黄曲霉毒素(ug/kg)
     *
     * @return aflatoxin 黄曲霉毒素(ug/kg)
     */
    public String getAflatoxin() {
        return aflatoxin;
    }

    /**
     * 黄曲霉毒素(ug/kg)
     *
     * @param aflatoxin 黄曲霉毒素(ug/kg)
     */
    public void setAflatoxin(String aflatoxin) {
        this.aflatoxin = aflatoxin == null ? null : aflatoxin.trim();
    }

    /**
     * 特丁基对二苯酚(g/kg)
     *
     * @return butyl_phenol 特丁基对二苯酚(g/kg)
     */
    public String getButylPhenol() {
        return butylPhenol;
    }

    /**
     * 特丁基对二苯酚(g/kg)
     *
     * @param butylPhenol 特丁基对二苯酚(g/kg)
     */
    public void setButylPhenol(String butylPhenol) {
        this.butylPhenol = butylPhenol == null ? null : butylPhenol.trim();
    }


    public List<Integer> getTypeList() {
        return typeList;
    }

    public void setTypeList(List<Integer> typeList) {
        this.typeList = typeList;
    }

    public String getKeepingWay() {
        return keepingWay;
    }

    public void setKeepingWay(String keepingWay) {
        this.keepingWay = keepingWay;
    }

    public String getUnitWeight() {
        return unitWeight;
    }

    public void setUnitWeight(String unitWeight) {
        this.unitWeight = unitWeight;
    }

    public String getImpurityTotal() {
        return impurityTotal;
    }

    public void setImpurityTotal(String impurityTotal) {
        this.impurityTotal = impurityTotal;
    }

    public String getImpurityInorganic() {
        return impurityInorganic;
    }

    public void setImpurityInorganic(String impurityInorganic) {
        this.impurityInorganic = impurityInorganic;
    }

    public String getImpurityOrganic() {
        return impurityOrganic;
    }

    public void setImpurityOrganic(String impurityOrganic) {
        this.impurityOrganic = impurityOrganic;
    }

    public String getImpurityBranPowder() {
        return impurityBranPowder;
    }

    public void setImpurityBranPowder(String impurityBranPowder) {
        this.impurityBranPowder = impurityBranPowder;
    }

    public String getImperfectgrainsTotal() {
        return imperfectgrainsTotal;
    }

    public void setImperfectgrainsTotal(String imperfectgrainsTotal) {
        this.imperfectgrainsTotal = imperfectgrainsTotal;
    }

    public String getImperfectgrainsInjuredkernel() {
        return imperfectgrainsInjuredkernel;
    }

    public void setImperfectgrainsInjuredkernel(String imperfectgrainsInjuredkernel) {
        this.imperfectgrainsInjuredkernel = imperfectgrainsInjuredkernel;
    }

    public String getImperfectgrainsScab() {
        return imperfectgrainsScab;
    }

    public void setImperfectgrainsScab(String imperfectgrainsScab) {
        this.imperfectgrainsScab = imperfectgrainsScab;
    }

    public String getImperfectgrainsScabTotal() {
        return imperfectgrainsScabTotal;
    }

    public void setImperfectgrainsScabTotal(String imperfectgrainsScabTotal) {
        this.imperfectgrainsScabTotal = imperfectgrainsScabTotal;
    }

    public String getImperfectgrainsScabBlackembryo() {
        return imperfectgrainsScabBlackembryo;
    }

    public void setImperfectgrainsScabBlackembryo(String imperfectgrainsScabBlackembryo) {
        this.imperfectgrainsScabBlackembryo = imperfectgrainsScabBlackembryo;
    }

    public String getImperfectgrainsScabGibberella() {
        return imperfectgrainsScabGibberella;
    }

    public void setImperfectgrainsScabGibberella(String imperfectgrainsScabGibberella) {
        this.imperfectgrainsScabGibberella = imperfectgrainsScabGibberella;
    }

    public String getImperfectgrainsDamage() {
        return imperfectgrainsDamage;
    }

    public void setImperfectgrainsDamage(String imperfectgrainsDamage) {
        this.imperfectgrainsDamage = imperfectgrainsDamage;
    }

    public String getImperfectgrainsSproutedkernel() {
        return imperfectgrainsSproutedkernel;
    }

    public void setImperfectgrainsSproutedkernel(String imperfectgrainsSproutedkernel) {
        this.imperfectgrainsSproutedkernel = imperfectgrainsSproutedkernel;
    }

    public String getImperfectgrainsFrostbite() {
        return imperfectgrainsFrostbite;
    }

    public void setImperfectgrainsFrostbite(String imperfectgrainsFrostbite) {
        this.imperfectgrainsFrostbite = imperfectgrainsFrostbite;
    }

    public String getImperfectgrainsImmaturegrain() {
        return imperfectgrainsImmaturegrain;
    }

    public void setImperfectgrainsImmaturegrain(String imperfectgrainsImmaturegrain) {
        this.imperfectgrainsImmaturegrain = imperfectgrainsImmaturegrain;
    }

    public String getImperfectgrainsContent() {
        return imperfectgrainsContent;
    }

    public void setImperfectgrainsContent(String imperfectgrainsContent) {
        this.imperfectgrainsContent = imperfectgrainsContent;
    }

    public String getImperfectgrainsBrownrice() {
        return imperfectgrainsBrownrice;
    }

    public void setImperfectgrainsBrownrice(String imperfectgrainsBrownrice) {
        this.imperfectgrainsBrownrice = imperfectgrainsBrownrice;
    }

    public String getNaturally() {
        return naturally;
    }

    public void setNaturally(String naturally) {
        this.naturally = naturally;
    }

    public String getStoving() {
        return stoving;
    }

    public void setStoving(String stoving) {
        this.stoving = stoving;
    }

    public String getCrudeFatContent() {
        return crudeFatContent;
    }

    public void setCrudeFatContent(String crudeFatContent) {
        this.crudeFatContent = crudeFatContent;
    }

    public String getProteolysis() {
        return proteolysis;
    }

    public void setProteolysis(String proteolysis) {
        this.proteolysis = proteolysis;
    }

    public String getMildew() {
        return mildew;
    }

    public void setMildew(String mildew) {
        this.mildew = mildew;
    }

    public String getImmatureGrainRate() {
        return immatureGrainRate;
    }

    public void setImmatureGrainRate(String immatureGrainRate) {
        this.immatureGrainRate = immatureGrainRate;
    }

    public String getCrushingRate() {
        return crushingRate;
    }

    public void setCrushingRate(String crushingRate) {
        this.crushingRate = crushingRate;
    }

    public String getYellowRice() {
        return yellowRice;
    }

    public void setYellowRice(String yellowRice) {
        this.yellowRice = yellowRice;
    }

    public String getRelativeDensity() {
        return relativeDensity;
    }

    public void setRelativeDensity(String relativeDensity) {
        this.relativeDensity = relativeDensity;
    }

    public String getWaterVolatiles() {
        return waterVolatiles;
    }

    public void setWaterVolatiles(String waterVolatiles) {
        this.waterVolatiles = waterVolatiles;
    }

    public String getInsolubleImpurity() {
        return insolubleImpurity;
    }

    public void setInsolubleImpurity(String insolubleImpurity) {
        this.insolubleImpurity = insolubleImpurity;
    }

    public String getAcidValue() {
        return acidValue;
    }

    public void setAcidValue(String acidValue) {
        this.acidValue = acidValue;
    }

    public String getSoapContent() {
        return soapContent;
    }

    public void setSoapContent(String soapContent) {
        this.soapContent = soapContent;
    }

    public String getHeat() {
        return heat;
    }

    public void setHeat(String heat) {
        this.heat = heat;
    }

    public String getAvgLength() {
        return avgLength;
    }

    public void setAvgLength(String avgLength) {
        this.avgLength = avgLength;
    }

    public String getRiceGrains() {
        return riceGrains;
    }

    public void setRiceGrains(String riceGrains) {
        this.riceGrains = riceGrains;
    }

    public String getBrokenriceTotal() {
        return brokenriceTotal;
    }

    public void setBrokenriceTotal(String brokenriceTotal) {
        this.brokenriceTotal = brokenriceTotal;
    }

    public String getBrokenriceBig() {
        return brokenriceBig;
    }

    public void setBrokenriceBig(String brokenriceBig) {
        this.brokenriceBig = brokenriceBig;
    }

    public String getBrokenriceSmall() {
        return brokenriceSmall;
    }

    public void setBrokenriceSmall(String brokenriceSmall) {
        this.brokenriceSmall = brokenriceSmall;
    }

    public String getMachiningaccuracy() {
        return machiningaccuracy;
    }

    public void setMachiningaccuracy(String machiningaccuracy) {
        this.machiningaccuracy = machiningaccuracy;
    }

    public String getChalkiness() {
        return chalkiness;
    }

    public void setChalkiness(String chalkiness) {
        this.chalkiness = chalkiness;
    }

    public String getMachiningaccuracyEssence() {
        return machiningaccuracyEssence;
    }

    public void setMachiningaccuracyEssence(String machiningaccuracyEssence) {
        this.machiningaccuracyEssence = machiningaccuracyEssence;
    }

    public String getMachiningaccuracySuitable() {
        return machiningaccuracySuitable;
    }

    public void setMachiningaccuracySuitable(String machiningaccuracySuitable) {
        this.machiningaccuracySuitable = machiningaccuracySuitable;
    }

    public String getAmylose() {
        return amylose;
    }

    public void setAmylose(String amylose) {
        this.amylose = amylose;
    }

    public String getAshContent() {
        return ashContent;
    }

    public void setAshContent(String ashContent) {
        this.ashContent = ashContent;
    }

    public String getCoarseness() {
        return coarseness;
    }

    public void setCoarseness(String coarseness) {
        this.coarseness = coarseness;
    }

    public String getGluten() {
        return gluten;
    }

    public void setGluten(String gluten) {
        this.gluten = gluten;
    }

    public String getSiltContent() {
        return siltContent;
    }

    public void setSiltContent(String siltContent) {
        this.siltContent = siltContent;
    }

    public String getMagneticMetal() {
        return magneticMetal;
    }

    public void setMagneticMetal(String magneticMetal) {
        this.magneticMetal = magneticMetal;
    }

    public String getSieveResidue() {
        return sieveResidue;
    }

    public void setSieveResidue(String sieveResidue) {
        this.sieveResidue = sieveResidue;
    }

    public String getRiceYield() {
        return riceYield;
    }

    public void setRiceYield(String riceYield) {
        this.riceYield = riceYield;
    }

    public Integer getFlagType() {
        return flagType;
    }

    /**
     * 保存:1,提交:2
     *
     * @param flagType 保存:1,提交:2
     */
    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }
}