package com.chinaitop.depot.storage.model;

public class StorageStorehouseBusiness {
    private Integer id;

    private Integer orgId;

    private Integer storehouseId;

    private Integer warehouseId;

    private String pz;

    private String fullStorehouseStatus;

    private String aerationStatus;

    private String fumigationStatus;

    private String rkStatus;

    private String ckStatus;

    private String nhlStatus;

    private String remark;

    //业务字段
    private String storehouseName;//仓房名称
    private String warehouseName;//货位名称

    /**
     * 编号
     * @return id 编号
     */
    public Integer getId() {
        return id;
    }

    /**
     * 编号
     * @param id 编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 仓房ID
     * @return storehouse_id 仓房ID
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 仓房ID
     * @param storehouseId 仓房ID
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 货位ID
     * @return warehouse_id 货位ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位ID
     * @param warehouseId 货位ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 品种
     * @return pz 品种
     */
    public String getPz() {
        return pz;
    }

    /**
     * 品种
     * @param pz 品种
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 满仓状态:1满仓，0非满仓
     * @return full_storehouse_status 满仓状态:1满仓，0非满仓
     */
    public String getFullStorehouseStatus() {
        return fullStorehouseStatus;
    }

    /**
     * 满仓状态:1满仓，0非满仓
     * @param fullStorehouseStatus 满仓状态:1满仓，0非满仓
     */
    public void setFullStorehouseStatus(String fullStorehouseStatus) {
        this.fullStorehouseStatus = fullStorehouseStatus == null ? null : fullStorehouseStatus.trim();
    }

    /**
     * 通风状态
     * @return aeration_status 通风状态
     */
    public String getAerationStatus() {
        return aerationStatus;
    }

    /**
     * 通风状态
     * @param aerationStatus 通风状态
     */
    public void setAerationStatus(String aerationStatus) {
        this.aerationStatus = aerationStatus == null ? null : aerationStatus.trim();
    }

    /**
     * 熏蒸状态
     * @return fumigation_status 熏蒸状态
     */
    public String getFumigationStatus() {
        return fumigationStatus;
    }

    /**
     * 熏蒸状态
     * @param fumigationStatus 熏蒸状态
     */
    public void setFumigationStatus(String fumigationStatus) {
        this.fumigationStatus = fumigationStatus == null ? null : fumigationStatus.trim();
    }

    /**
     * 入库状态
     * @return rk_status 入库状态
     */
    public String getRkStatus() {
        return rkStatus;
    }

    /**
     * 入库状态
     * @param rkStatus 入库状态
     */
    public void setRkStatus(String rkStatus) {
        this.rkStatus = rkStatus == null ? null : rkStatus.trim();
    }

    /**
     * 出库状态
     * @return ck_status 出库状态
     */
    public String getCkStatus() {
        return ckStatus;
    }

    /**
     * 出库状态
     * @param ckStatus 出库状态
     */
    public void setCkStatus(String ckStatus) {
        this.ckStatus = ckStatus == null ? null : ckStatus.trim();
    }

    /**
     * 内环刘状态
     * @return nhl_status 内环刘状态
     */
    public String getNhlStatus() {
        return nhlStatus;
    }

    /**
     * 内环刘状态
     * @param nhlStatus 内环刘状态
     */
    public void setNhlStatus(String nhlStatus) {
        this.nhlStatus = nhlStatus == null ? null : nhlStatus.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }
}