package com.chinaitop.depot.storage.model;

import java.util.Date;

public class XwkZljc {


    private String jylb;//检验类别
    private Date qfrq;//qfrq签发日期
    private String ypsl;//ypsl样品数量
    private String dbsl;//dbsl代表数量
    private String ypdj;//ypdj样品等级

    private String qyqy;//扦样区域
    private String qydbh;//扦样单编号
    private String zblb;//指标类别
    private String jdrxm;//监督人姓名
    private String ypbh;//样品编号
    private String sfzcccnx;//是否正常存储年限

    private String zljcid;

    private String yyywid;

    private String jclx;

    private String pz;

    private String xxdpz;

    private String dj;

    private String jyrq;

    private String jyjg;

    private String kqmc;

    private String cfmc;

    private String hwmc;

    private String jyr;

    private String jydw;

    private String rksj;

    private String sl;

    private String cd;

    private String bgy;

    private String shnd;

    private String qyr;

    private String qyrq;

    private String jybgcjrq;

    private String sjly;

    private String zzjgdm;


    //仓房货位
    private String houseId;
    private String houseName;
    private String warehouseId;
    private String warehouseName;


    public String getQyqy() {
        return qyqy;
    }

    public void setQyqy(String qyqy) {
        this.qyqy = qyqy;
    }

    public String getQydbh() {
        return qydbh;
    }

    public void setQydbh(String qydbh) {
        this.qydbh = qydbh;
    }

    public String getZblb() {
        return zblb;
    }

    public void setZblb(String zblb) {
        this.zblb = zblb;
    }

    public String getJdrxm() {
        return jdrxm;
    }

    public void setJdrxm(String jdrxm) {
        this.jdrxm = jdrxm;
    }

    public String getYpbh() {
        return ypbh;
    }

    public void setYpbh(String ypbh) {
        this.ypbh = ypbh;
    }

    public String getSfzcccnx() {
        return sfzcccnx;
    }

    public void setSfzcccnx(String sfzcccnx) {
        this.sfzcccnx = sfzcccnx;
    }

    public String getJylb() {
        return jylb;
    }

    public void setJylb(String jylb) {
        this.jylb = jylb;
    }
    public Date getQfrq() {
        return qfrq;
    }

    public void setQfrq(Date qfrq) {
        this.qfrq = qfrq;
    }

    public String getYpsl() {
        return ypsl;
    }

    public void setYpsl(String ypsl) {
        this.ypsl = ypsl;
    }

    public String getDbsl() {
        return dbsl;
    }

    public void setDbsl(String dbsl) {
        this.dbsl = dbsl;
    }

    public String getYpdj() {
        return ypdj;
    }

    public void setYpdj(String ypdj) {
        this.ypdj = ypdj;
    }

    /**
     * 质量检测id
     * @return zljcid 质量检测id
     */
    public String getZljcid() {
        return zljcid;
    }

    /**
     * 质量检测id
     * @param zljcid 质量检测id
     */
    public void setZljcid(String zljcid) {
        this.zljcid = zljcid == null ? null : zljcid.trim();
    }

    /**
     * 原有业务id
     * @return yyywid 原有业务id
     */
    public String getYyywid() {
        return yyywid;
    }

    /**
     * 原有业务id
     * @param yyywid 原有业务id
     */
    public void setYyywid(String yyywid) {
        this.yyywid = yyywid == null ? null : yyywid.trim();
    }

    /**
     * 检查类型
     * @return jclx 检查类型
     */
    public String getJclx() {
        return jclx;
    }

    /**
     * 检查类型
     * @param jclx 检查类型
     */
    public void setJclx(String jclx) {
        this.jclx = jclx == null ? null : jclx.trim();
    }

    /**
     * 品种
     * @return pz 品种
     */
    public String getPz() {
        return pz;
    }

    /**
     * 品种
     * @param pz 品种
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 详细的品种
     * @return xxdpz 详细的品种
     */
    public String getXxdpz() {
        return xxdpz;
    }

    /**
     * 详细的品种
     * @param xxdpz 详细的品种
     */
    public void setXxdpz(String xxdpz) {
        this.xxdpz = xxdpz == null ? null : xxdpz.trim();
    }

    /**
     * 等级
     * @return dj 等级
     */
    public String getDj() {
        return dj;
    }

    /**
     * 等级
     * @param dj 等级
     */
    public void setDj(String dj) {
        this.dj = dj == null ? null : dj.trim();
    }

    /**
     * 检验日期
     * @return jyrq 检验日期
     */
    public String getJyrq() {
        return jyrq;
    }

    /**
     * 检验日期
     * @param jyrq 检验日期
     */
    public void setJyrq(String jyrq) {
        this.jyrq = jyrq == null ? null : jyrq.trim();
    }

    /**
     * 检验结果
     * @return jyjg 检验结果
     */
    public String getJyjg() {
        return jyjg;
    }

    /**
     * 检验结果
     * @param jyjg 检验结果
     */
    public void setJyjg(String jyjg) {
        this.jyjg = jyjg == null ? null : jyjg.trim();
    }

    /**
     * 库区名称
     * @return kqmc 库区名称
     */
    public String getKqmc() {
        return kqmc;
    }

    /**
     * 库区名称
     * @param kqmc 库区名称
     */
    public void setKqmc(String kqmc) {
        this.kqmc = kqmc == null ? null : kqmc.trim();
    }

    /**
     * 仓房名称
     * @return cfmc 仓房名称
     */
    public String getCfmc() {
        return cfmc;
    }

    /**
     * 仓房名称
     * @param cfmc 仓房名称
     */
    public void setCfmc(String cfmc) {
        this.cfmc = cfmc == null ? null : cfmc.trim();
    }

    /**
     * 货位
     * @return hwmc 货位
     */
    public String getHwmc() {
        return hwmc;
    }

    /**
     * 货位
     * @param hwmc 货位
     */
    public void setHwmc(String hwmc) {
        this.hwmc = hwmc == null ? null : hwmc.trim();
    }

    /**
     * 检验人
     * @return jyr 检验人
     */
    public String getJyr() {
        return jyr;
    }

    /**
     * 检验人
     * @param jyr 检验人
     */
    public void setJyr(String jyr) {
        this.jyr = jyr == null ? null : jyr.trim();
    }

    /**
     * 检验单位
     * @return jydw 检验单位
     */
    public String getJydw() {
        return jydw;
    }

    /**
     * 检验单位
     * @param jydw 检验单位
     */
    public void setJydw(String jydw) {
        this.jydw = jydw == null ? null : jydw.trim();
    }

    /**
     * 入库时间
     * @return rksj 入库时间
     */
    public String getRksj() {
        return rksj;
    }

    /**
     * 入库时间
     * @param rksj 入库时间
     */
    public void setRksj(String rksj) {
        this.rksj = rksj == null ? null : rksj.trim();
    }

    /**
     * 数量
     * @return sl 数量
     */
    public String getSl() {
        return sl;
    }

    /**
     * 数量
     * @param sl 数量
     */
    public void setSl(String sl) {
        this.sl = sl == null ? null : sl.trim();
    }

    /**
     * 产地
     * @return cd 产地
     */
    public String getCd() {
        return cd;
    }

    /**
     * 产地
     * @param cd 产地
     */
    public void setCd(String cd) {
        this.cd = cd == null ? null : cd.trim();
    }

    /**
     * 保管员
     * @return bgy 保管员
     */
    public String getBgy() {
        return bgy;
    }

    /**
     * 保管员
     * @param bgy 保管员
     */
    public void setBgy(String bgy) {
        this.bgy = bgy == null ? null : bgy.trim();
    }

    /**
     * 收货年度
     * @return shnd 收货年度
     */
    public String getShnd() {
        return shnd;
    }

    /**
     * 收货年度
     * @param shnd 收货年度
     */
    public void setShnd(String shnd) {
        this.shnd = shnd == null ? null : shnd.trim();
    }

    /**
     * 扦样人
     * @return qyr 扦样人
     */
    public String getQyr() {
        return qyr;
    }

    /**
     * 扦样人
     * @param qyr 扦样人
     */
    public void setQyr(String qyr) {
        this.qyr = qyr == null ? null : qyr.trim();
    }

    /**
     * 扦样日期
     * @return qyrq 扦样日期
     */
    public String getQyrq() {
        return qyrq;
    }

    /**
     * 扦样日期
     * @param qyrq 扦样日期
     */
    public void setQyrq(String qyrq) {
        this.qyrq = qyrq == null ? null : qyrq.trim();
    }

    /**
     * 检验报告出具日期
     * @return jybgcjrq 检验报告出具日期
     */
    public String getJybgcjrq() {
        return jybgcjrq;
    }

    /**
     * 检验报告出具日期
     * @param jybgcjrq 检验报告出具日期
     */
    public void setJybgcjrq(String jybgcjrq) {
        this.jybgcjrq = jybgcjrq == null ? null : jybgcjrq.trim();
    }

    /**
     * 数据来源
     * @return sjly 数据来源
     */
    public String getSjly() {
        return sjly;
    }

    /**
     * 数据来源
     * @param sjly 数据来源
     */
    public void setSjly(String sjly) {
        this.sjly = sjly == null ? null : sjly.trim();
    }

    /**
     * 组织机构代码
     * @return zzjgdm 组织机构代码
     */
    public String getZzjgdm() {
        return zzjgdm;
    }

    /**
     * 组织机构代码
     * @param zzjgdm 组织机构代码
     */
    public void setZzjgdm(String zzjgdm) {
        this.zzjgdm = zzjgdm == null ? null : zzjgdm.trim();
    }


    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }
}