package com.chinaitop.depot.storage.service;


import com.chinaitop.depot.storage.model.ClearanceConfirmation;
import com.chinaitop.depot.storage.model.StorageStorehouseBusiness;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface ClearanceConfirmationService {
    /**
     * 按条件查询数据
     *
     * @param map
     * @return
     * @throws Exception
     */
    public List<ClearanceConfirmation> getList(Map<String, Object> map);



    public ClearanceConfirmation findByCleCon(Integer id);

    /**
     * 更新廒间信息
     *
     * @param clearanceConfirmationJson
     * @param userInfo
     * @return
     * @throws Exception
     */
    public Map<String, Object> saveOrUpdate(HttpServletRequest request, String clearanceConfirmationJson, String userInfo) throws Exception;


    public void updateBasicStorehouse(ClearanceConfirmation ClearanceConfirmation);


    List<StorageStorehouseBusiness> findStorehouse(Integer orgId);

    List<StorageStorehouseBusiness> findByWarehouse(Integer storehouseId);
}
