package com.chinaitop.depot.storage.service;

import java.util.List;

import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTask;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskExample;

public interface StorageChangeStoragehouseTaskService {
	
	/**
	 * 查询倒仓列表
	 * @param example
	 * @return
	 */
	List<StorageChangeStoragehouseTask> selectByExample(StorageChangeStoragehouseTaskExample example);
	
	/**
	 * 新增倒仓数据
	 * @param example
	 * @return
	 */
	public void addStorageChangeStoragehouseTask(StorageChangeStoragehouseTask storageChangeStoragehouseTask);
	/**
	 * 修改倒仓数据
	 * @param storageChangeStoragehouseTask
	 */
	public void updateStorageChangeStoragehouseTask(StorageChangeStoragehouseTask storageChangeStoragehouseTask);
	/**
	 * 删除一条倒仓数据
	 * @param example
	 */
	public void removeChangeData(StorageChangeStoragehouseTaskExample example);

}
