package com.chinaitop.depot.storage.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.storage.model.StorageOverheadSet;
import com.chinaitop.depot.storage.model.StorageOverheadSetExample;

public interface StorageOverheadSetService {

	/**
	 * 添加
	 * 
	 * @param storageOverheadSet
	 */
	void insert(StorageOverheadSet storageOverheadSet);

	/**
	 * 修改
	 * 
	 * @param example
	 */
	void update(StorageOverheadSet storageOverheadSet);

	/**
	 * 按条件查询数据
	 * 
	 * @param example
	 * @return
	 */
	List<StorageOverheadSet> findConditions(StorageOverheadSetExample example);

	/**
	 * 按ID查询数据
	 * 
	 * @param id
	 * @return
	 */
	StorageOverheadSet findByKeyCondition(Integer id);

	List<Map<String, Object>> getOverYqDaysList(Map<String, Object> map);

	List<Map<String, Object>> findOverHeadList(Map<String, Object> map);
}
