package com.chinaitop.depot.storage.service;

import java.util.List;

import com.chinaitop.depot.storage.model.StorageQualityEvent;
import com.chinaitop.depot.storage.model.StorageQualityEventExample;

public interface StorageQualityEventService {

	/**
	 * 质量事件新增
	 * 
	 * @param qualityEvent
	 */
	void save(StorageQualityEvent qualityEvent);

	/**
	 * 质量事件查询详情
	 * 
	 * @param id
	 * @return
	 */
	StorageQualityEvent findByPrimaryKey(Integer id);

	/**
	 * 查询质量事件列表
	 * 
	 * @param example
	 * @return
	 */
	List<StorageQualityEvent> findByCondition(StorageQualityEventExample example);

	/**
	 * 修改一条质量事件
	 * 
	 * @param qualityEvent
	 */
	void update(StorageQualityEvent qualityEvent);
}
