package com.chinaitop.depot.storage.service;

import java.util.List;

import com.chinaitop.depot.storage.model.StorageSet;
import com.chinaitop.depot.storage.model.StorageSetExample;

public interface StorageSetService {

	/**
	 * 增加
	 * 
	 * @param storageSet
	 */
	public void insert(StorageSet storageSet);

	/**
	 * 删除
	 * 
	 * @param id
	 */
	public void delete(String id);

	/**
	 * 修改
	 * @param storageSet
	 */
	public void updateStorageSet(StorageSet storageSet);

	/**
	 * 查询数据集合
	 * 
	 * @param example
	 * @return
	 */
	public List<StorageSet> findCondition(StorageSetExample example);

	/**
	 * 查询数据对象
	 * 
	 * @param id
	 * @return
	 */
	public StorageSet findbyidStorageSet(String id);

	/**
	 * 查询单位中同一种类型的品种的配置数据是否存在
	 * 
	 * @param example
	 * @return
	 */
	public int getDistinckLspz(StorageSetExample example);
}
