package com.chinaitop.depot.storage.service.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageChangeStoragehouseTaskDetailMapper;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskDetail;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskDetailExample;
import com.chinaitop.depot.storage.service.StorageChangeStoragehouseTaskDetailService;
@Service
public class StorageChangeStoragehouseTaskDetailServiceImpl implements StorageChangeStoragehouseTaskDetailService {

	@Resource
	private	StorageChangeStoragehouseTaskDetailMapper storageChangeStoragehouseTaskDetailMapper;
	/**
	 * 新增倒仓子表数据
	 */

	@Override
	public void addStorageChangeStoragehouseTaskDetail(StorageChangeStoragehouseTaskDetail storageChangeStoragehouseTaskDetail) {
		storageChangeStoragehouseTaskDetailMapper.insertSelective(storageChangeStoragehouseTaskDetail);
	}
	@Override
	public Map<String, Object> findByStoreData(Integer id)  {
		Map<String, Object> map = new HashMap<String, Object>();
		List<StorageChangeStoragehouseTaskDetail> xlxwList = new ArrayList<StorageChangeStoragehouseTaskDetail>(); //学历学位信息1
		StorageChangeStoragehouseTaskDetail ekeObje = new StorageChangeStoragehouseTaskDetail();
		xlxwList.add(ekeObje);
		map.put("xlxwList", xlxwList);
		return map;
	}
	@Override
	public List<StorageChangeStoragehouseTaskDetail> selectByExample(
			StorageChangeStoragehouseTaskDetailExample detailExamle) {
		return storageChangeStoragehouseTaskDetailMapper.selectByExample(detailExamle);
	}
	@Override
	public void updateStorageChangeStoragehouseTaskDetail(StorageChangeStoragehouseTaskDetail storageChangeStoragehouseTaskDetail) {
		storageChangeStoragehouseTaskDetailMapper.updateByPrimaryKey(storageChangeStoragehouseTaskDetail);
		
	}
	@Override
	public void removeChangeData(StorageChangeStoragehouseTaskDetailExample detailExamle) {
		storageChangeStoragehouseTaskDetailMapper.deleteByExample(detailExamle);
		
	}
	

}
