package com.chinaitop.depot.storage.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageQualityEventMapper;
import com.chinaitop.depot.storage.model.StorageQualityEvent;
import com.chinaitop.depot.storage.model.StorageQualityEventExample;
import com.chinaitop.depot.storage.service.StorageQualityEventService;

@Service
public class StorageQualityEventServiceImpl implements StorageQualityEventService {

	@Resource
	private StorageQualityEventMapper qualityEventMapper;

	@Override
	public void save(StorageQualityEvent qualityEvent) {
		qualityEventMapper.insertSelective(qualityEvent);
	}

	@Override
	public StorageQualityEvent findByPrimaryKey(Integer id) {
		return qualityEventMapper.selectByPrimaryKey(id);
	}

	@Override
	public List<StorageQualityEvent> findByCondition(StorageQualityEventExample example) {
		return qualityEventMapper.selectByExample(example);
	}

	@Override
	public void update(StorageQualityEvent qualityEvent) {
		qualityEventMapper.updateByPrimaryKeySelective(qualityEvent);
	}

}
