package com.chinaitop.depot.unissoft.serviceconfig;



import javax.xml.ws.Endpoint;

import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.chinaitop.depot.unissoft.webservice.ChangeHouseIdeIServicempl;
import com.chinaitop.depot.unissoft.webservice.ChangeHouseIdeService;
import com.chinaitop.depot.unissoft.webservice.ChangeHouseService;
import com.chinaitop.depot.unissoft.webservice.ChangeHouseServiceIpml;




@Configuration
public class CxfConfig {
	/*
	 * @Bean public ServletRegistrationBean dispatcherServlet() { return new
	 * ServletRegistrationBean(new CXFServlet(),"/business/*"); }
	 */
    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    //倒仓
    @Bean
    public ChangeHouseService changeHouse() {
        return new ChangeHouseServiceIpml();
    }
    @Bean
    public Endpoint getChangeDatas() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), changeHouse());
        endpoint.publish("/selectContractData");
        return endpoint;
    }

    //出入库-库级平台
    @Bean
    public ChangeHouseIdeService changeHouseIde() {
        return  new ChangeHouseIdeIServicempl ();
    }
    @Bean
    public Endpoint uploadChangeData() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), changeHouseIde());
        endpoint.publish("/updateChangeStorageHouse");
        return endpoint;
    }

}
