package com.chinaitop.depot.qualityControl.model;

import com.chinaitop.depot.common.ParentTable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 字典结构数据
 * @create 2024-05-18 16:33
 */
public class EnumEntity implements ParentTable<EnumEntity> {
    private Object id;
    private Object parentId;
    private List<EnumEntity> children = new ArrayList<>();

    @Override
    public Object getId() {
        return id;
    }

    @Override
    public Object getParentId() {
        return parentId;
    }

    @Override
    public void addChild(EnumEntity child) {
        children.add(child);
    }

}
