package com.chinaitop.depot.storage.mapper;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.storage.model.StorageDump;
import com.chinaitop.depot.storage.model.StorageDumpExample;

public interface StorageDumpMapper {
    int countByExample(StorageDumpExample example);

    int deleteByExample(StorageDumpExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageDump record);

    int insertSelective(StorageDump record);

    List<StorageDump> selectByExample(StorageDumpExample example);

    StorageDump selectByPrimaryKey(Integer id);

    int updateByExampleSelective(StorageDumpExample example);

    int updateByExample(StorageDumpExample example);

    int updateByPrimaryKeySelective(StorageDump record);

    int updateByPrimaryKey(StorageDump record);

    /**
     * 查询验收通过的数据
     * 
     * @param orgId 单位ID
     * @return
     */
    List<Map<String, Object>> selectYswData(Integer orgId);
}