package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageWarterMobilePoint;
import com.chinaitop.depot.storage.model.StorageWarterMobilePointExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageWarterMobilePointMapper {
    int countByExample(StorageWarterMobilePointExample example);

    int deleteByExample(StorageWarterMobilePointExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageWarterMobilePoint record);

    int insertSelective(StorageWarterMobilePoint record);

    List<StorageWarterMobilePoint> selectByExample(StorageWarterMobilePointExample example);

    StorageWarterMobilePoint selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageWarterMobilePoint record, @Param("example") StorageWarterMobilePointExample example);

    int updateByExample(@Param("record") StorageWarterMobilePoint record, @Param("example") StorageWarterMobilePointExample example);

    int updateByPrimaryKeySelective(StorageWarterMobilePoint record);

    int updateByPrimaryKey(StorageWarterMobilePoint record);

    /**
     * 查询超过水分高限的数据
     * 
     * @param param_map
     * @return
     */
	int selectCountRedData(Map<String, Object> param_map);

	/**
     * 查询超过水分低限的数据量
     * 
     * @param param_map
     * @return
     */
	int selectCountBlueData(Map<String, Object> param_map);
}