package com.chinaitop.depot.storage.mapper;

import com.chinaitop.depot.storage.model.StorageStorehouseBusiness;
import com.chinaitop.depot.storage.model.WarehouseSealingRecord;
import com.chinaitop.depot.storage.model.vo.WareHouseVO;
import com.chinaitop.depot.storage.model.vo.kcswVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface WarehouseSealingRecordMapper {

    List<WarehouseSealingRecord> getWarehouseSeaList(Map<String, Object> map);

    WarehouseSealingRecord   findByWarehouseSea(Integer id);

    int insert(WarehouseSealingRecord record);

    int updateByPrimaryKey(WarehouseSealingRecord record);

    List<WarehouseSealingRecord> findByWarehouseSeaList(Map<String, Object> modelMap1);


    List<StorageStorehouseBusiness> findStorehouseList(Integer orgId);

    List<WareHouseVO> findWareHouse(@Param("storehouseId") Integer storehouseId);

    kcswVO findkcsw(@Param("warehouseId") Integer warehouseId);

    WareHouseVO selectTyhwbm(@Param("warehouseId") Integer warehouseId);

    WarehouseSealingRecord selectFcqrd(@Param("warehouseId") Integer warehouseId);
}
