package com.chinaitop.depot.storage.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageChangeStoragehouseDefault {
    private String changehouseNo;

    private Integer orgId;

    private String applyNo;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date applyTime;

    private Integer outStorehouse;

    private String outStorehouseName;

    private Integer outWarehouse;

    private String outWarehouseName;

    private Integer foodWar;

    private String foodNature;

    private String bitWeigh;

    private String outBefore;

    private String applyFirm;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date overTime;

    private Integer intoStorehouse;

    private String intoStorehouseName;

    private Integer intoWarehouse;

    private String intoWarehouseName;

    private Integer detailWar;

    private String foodNumber;

    private String outAfter;

    private String operStaff;

    /**
     * 倒仓通知单编号
     * @return changehouse_no 倒仓通知单编号
     */
    public String getChangehouseNo() {
        return changehouseNo;
    }

    /**
     * 倒仓通知单编号
     * @param changehouseNo 倒仓通知单编号
     */
    public void setChangehouseNo(String changehouseNo) {
        this.changehouseNo = changehouseNo == null ? null : changehouseNo.trim();
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 申请单号
     * @return apply_no 申请单号
     */
    public String getApplyNo() {
        return applyNo;
    }

    /**
     * 申请单号
     * @param applyNo 申请单号
     */
    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo == null ? null : applyNo.trim();
    }

    /**
     * 申请日期
     * @return apply_time 申请日期
     */
    public Date getApplyTime() {
        return applyTime;
    }

    /**
     * 申请日期
     * @param applyTime 申请日期
     */
    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    /**
     * 倒出仓房
     * @return out_storehouse 倒出仓房
     */
    public Integer getOutStorehouse() {
        return outStorehouse;
    }

    /**
     * 倒出仓房
     * @param outStorehouse 倒出仓房
     */
    public void setOutStorehouse(Integer outStorehouse) {
        this.outStorehouse = outStorehouse;
    }

    /**
     * 倒出仓房名称
     * @return out_storehouse_name 倒出仓房名称
     */
    public String getOutStorehouseName() {
        return outStorehouseName;
    }

    /**
     * 倒出仓房名称
     * @param outStorehouseName 倒出仓房名称
     */
    public void setOutStorehouseName(String outStorehouseName) {
        this.outStorehouseName = outStorehouseName == null ? null : outStorehouseName.trim();
    }

    /**
     * 倒出货位
     * @return out_warehouse 倒出货位
     */
    public Integer getOutWarehouse() {
        return outWarehouse;
    }

    /**
     * 倒出货位
     * @param outWarehouse 倒出货位
     */
    public void setOutWarehouse(Integer outWarehouse) {
        this.outWarehouse = outWarehouse;
    }

    /**
     * 倒出货位名称
     * @return out_warehouse_name 倒出货位名称
     */
    public String getOutWarehouseName() {
        return outWarehouseName;
    }

    /**
     * 倒出货位名称
     * @param outWarehouseName 倒出货位名称
     */
    public void setOutWarehouseName(String outWarehouseName) {
        this.outWarehouseName = outWarehouseName == null ? null : outWarehouseName.trim();
    }

    /**
     * 粮食品种
     * @return food_war 粮食品种
     */
    public Integer getFoodWar() {
        return foodWar;
    }

    /**
     * 粮食品种
     * @param foodWar 粮食品种
     */
    public void setFoodWar(Integer foodWar) {
        this.foodWar = foodWar;
    }

    /**
     * 粮食性质
     * @return food_nature 粮食性质
     */
    public String getFoodNature() {
        return foodNature;
    }

    /**
     * 粮食性质
     * @param foodNature 粮食性质
     */
    public void setFoodNature(String foodNature) {
        this.foodNature = foodNature == null ? null : foodNature.trim();
    }

    /**
     * 是否称重
     * @return bit_weigh 是否称重
     */
    public String getBitWeigh() {
        return bitWeigh;
    }

    /**
     * 是否称重
     * @param bitWeigh 是否称重
     */
    public void setBitWeigh(String bitWeigh) {
        this.bitWeigh = bitWeigh == null ? null : bitWeigh.trim();
    }

    /**
     * 倒出前保存方式
     * @return out_before 倒出前保存方式
     */
    public String getOutBefore() {
        return outBefore;
    }

    /**
     * 倒出前保存方式
     * @param outBefore 倒出前保存方式
     */
    public void setOutBefore(String outBefore) {
        this.outBefore = outBefore == null ? null : outBefore.trim();
    }

    /**
     * 申请倒仓企业
     * @return apply_firm 申请倒仓企业
     */
    public String getApplyFirm() {
        return applyFirm;
    }

    /**
     * 申请倒仓企业
     * @param applyFirm 申请倒仓企业
     */
    public void setApplyFirm(String applyFirm) {
        this.applyFirm = applyFirm == null ? null : applyFirm.trim();
    }

    /**
     * 接收日期
     * @return create_time 接收日期
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 接收日期
     * @param createTime 接收日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 结束日期
     * @return over_time 结束日期
     */
    public Date getOverTime() {
        return overTime;
    }

    /**
     * 结束日期
     * @param overTime 结束日期
     */
    public void setOverTime(Date overTime) {
        this.overTime = overTime;
    }

    /**
     * 倒入仓房
     * @return into_storehouse 倒入仓房
     */
    public Integer getIntoStorehouse() {
        return intoStorehouse;
    }

    /**
     * 倒入仓房
     * @param intoStorehouse 倒入仓房
     */
    public void setIntoStorehouse(Integer intoStorehouse) {
        this.intoStorehouse = intoStorehouse;
    }

    /**
     * 倒入仓房名称
     * @return into_storehouse_name 倒入仓房名称
     */
    public String getIntoStorehouseName() {
        return intoStorehouseName;
    }

    /**
     * 倒入仓房名称
     * @param intoStorehouseName 倒入仓房名称
     */
    public void setIntoStorehouseName(String intoStorehouseName) {
        this.intoStorehouseName = intoStorehouseName == null ? null : intoStorehouseName.trim();
    }

    /**
     * 倒入货位
     * @return into_warehouse 倒入货位
     */
    public Integer getIntoWarehouse() {
        return intoWarehouse;
    }

    /**
     * 倒入货位
     * @param intoWarehouse 倒入货位
     */
    public void setIntoWarehouse(Integer intoWarehouse) {
        this.intoWarehouse = intoWarehouse;
    }

    /**
     * 倒入货位名称
     * @return into_warehouse_name 倒入货位名称
     */
    public String getIntoWarehouseName() {
        return intoWarehouseName;
    }

    /**
     * 倒入货位名称
     * @param intoWarehouseName 倒入货位名称
     */
    public void setIntoWarehouseName(String intoWarehouseName) {
        this.intoWarehouseName = intoWarehouseName == null ? null : intoWarehouseName.trim();
    }

    /**
     * 明细品种
     * @return detail_war 明细品种
     */
    public Integer getDetailWar() {
        return detailWar;
    }

    /**
     * 明细品种
     * @param detailWar 明细品种
     */
    public void setDetailWar(Integer detailWar) {
        this.detailWar = detailWar;
    }

    /**
     * 粮食数量(公斤)
     * @return food_number 粮食数量(公斤)
     */
    public String getFoodNumber() {
        return foodNumber;
    }

    /**
     * 粮食数量(公斤)
     * @param foodNumber 粮食数量(公斤)
     */
    public void setFoodNumber(String foodNumber) {
        this.foodNumber = foodNumber == null ? null : foodNumber.trim();
    }

    /**
     * 倒出后保管方式
     * @return out_after 倒出后保管方式
     */
    public String getOutAfter() {
        return outAfter;
    }

    /**
     * 倒出后保管方式
     * @param outAfter 倒出后保管方式
     */
    public void setOutAfter(String outAfter) {
        this.outAfter = outAfter == null ? null : outAfter.trim();
    }

    /**
     * 操作人员
     * @return oper_staff 操作人员
     */
    public String getOperStaff() {
        return operStaff;
    }

    /**
     * 操作人员
     * @param operStaff 操作人员
     */
    public void setOperStaff(String operStaff) {
        this.operStaff = operStaff == null ? null : operStaff.trim();
    }
}