package com.chinaitop.depot.storage.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageChangeStoragehouseRopExample {
    /**
     * storage_change_storagehouse_rop
     */
    protected String orderByClause;

    /**
     * storage_change_storagehouse_rop
     */
    protected boolean distinct;

    /**
     * storage_change_storagehouse_rop
     */
    protected List<Criteria> oredCriteria;

    public StorageChangeStoragehouseRopExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * storage_change_storagehouse_rop 2020-09-17
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andChangehouseNoIsNull() {
            addCriterion("changehouse_no is null");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoIsNotNull() {
            addCriterion("changehouse_no is not null");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoEqualTo(String value) {
            addCriterion("changehouse_no =", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoNotEqualTo(String value) {
            addCriterion("changehouse_no <>", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoGreaterThan(String value) {
            addCriterion("changehouse_no >", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoGreaterThanOrEqualTo(String value) {
            addCriterion("changehouse_no >=", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoLessThan(String value) {
            addCriterion("changehouse_no <", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoLessThanOrEqualTo(String value) {
            addCriterion("changehouse_no <=", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoLike(String value) {
            addCriterion("changehouse_no like", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoNotLike(String value) {
            addCriterion("changehouse_no not like", value, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoIn(List<String> values) {
            addCriterion("changehouse_no in", values, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoNotIn(List<String> values) {
            addCriterion("changehouse_no not in", values, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoBetween(String value1, String value2) {
            addCriterion("changehouse_no between", value1, value2, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andChangehouseNoNotBetween(String value1, String value2) {
            addCriterion("changehouse_no not between", value1, value2, "changehouseNo");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andApplyNoIsNull() {
            addCriterion("apply_no is null");
            return (Criteria) this;
        }

        public Criteria andApplyNoIsNotNull() {
            addCriterion("apply_no is not null");
            return (Criteria) this;
        }

        public Criteria andApplyNoEqualTo(String value) {
            addCriterion("apply_no =", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoNotEqualTo(String value) {
            addCriterion("apply_no <>", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoGreaterThan(String value) {
            addCriterion("apply_no >", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoGreaterThanOrEqualTo(String value) {
            addCriterion("apply_no >=", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoLessThan(String value) {
            addCriterion("apply_no <", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoLessThanOrEqualTo(String value) {
            addCriterion("apply_no <=", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoLike(String value) {
            addCriterion("apply_no like", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoNotLike(String value) {
            addCriterion("apply_no not like", value, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoIn(List<String> values) {
            addCriterion("apply_no in", values, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoNotIn(List<String> values) {
            addCriterion("apply_no not in", values, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoBetween(String value1, String value2) {
            addCriterion("apply_no between", value1, value2, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyNoNotBetween(String value1, String value2) {
            addCriterion("apply_no not between", value1, value2, "applyNo");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNull() {
            addCriterion("apply_time is null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNotNull() {
            addCriterion("apply_time is not null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeEqualTo(Date value) {
            addCriterion("apply_time =", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotEqualTo(Date value) {
            addCriterion("apply_time <>", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThan(Date value) {
            addCriterion("apply_time >", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("apply_time >=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThan(Date value) {
            addCriterion("apply_time <", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThanOrEqualTo(Date value) {
            addCriterion("apply_time <=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIn(List<Date> values) {
            addCriterion("apply_time in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotIn(List<Date> values) {
            addCriterion("apply_time not in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeBetween(Date value1, Date value2) {
            addCriterion("apply_time between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotBetween(Date value1, Date value2) {
            addCriterion("apply_time not between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseIsNull() {
            addCriterion("out_storehouse is null");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseIsNotNull() {
            addCriterion("out_storehouse is not null");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseEqualTo(Integer value) {
            addCriterion("out_storehouse =", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNotEqualTo(Integer value) {
            addCriterion("out_storehouse <>", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseGreaterThan(Integer value) {
            addCriterion("out_storehouse >", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseGreaterThanOrEqualTo(Integer value) {
            addCriterion("out_storehouse >=", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseLessThan(Integer value) {
            addCriterion("out_storehouse <", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseLessThanOrEqualTo(Integer value) {
            addCriterion("out_storehouse <=", value, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseIn(List<Integer> values) {
            addCriterion("out_storehouse in", values, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNotIn(List<Integer> values) {
            addCriterion("out_storehouse not in", values, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseBetween(Integer value1, Integer value2) {
            addCriterion("out_storehouse between", value1, value2, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNotBetween(Integer value1, Integer value2) {
            addCriterion("out_storehouse not between", value1, value2, "outStorehouse");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameIsNull() {
            addCriterion("out_storehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameIsNotNull() {
            addCriterion("out_storehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameEqualTo(String value) {
            addCriterion("out_storehouse_name =", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameNotEqualTo(String value) {
            addCriterion("out_storehouse_name <>", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameGreaterThan(String value) {
            addCriterion("out_storehouse_name >", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("out_storehouse_name >=", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameLessThan(String value) {
            addCriterion("out_storehouse_name <", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameLessThanOrEqualTo(String value) {
            addCriterion("out_storehouse_name <=", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameLike(String value) {
            addCriterion("out_storehouse_name like", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameNotLike(String value) {
            addCriterion("out_storehouse_name not like", value, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameIn(List<String> values) {
            addCriterion("out_storehouse_name in", values, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameNotIn(List<String> values) {
            addCriterion("out_storehouse_name not in", values, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameBetween(String value1, String value2) {
            addCriterion("out_storehouse_name between", value1, value2, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutStorehouseNameNotBetween(String value1, String value2) {
            addCriterion("out_storehouse_name not between", value1, value2, "outStorehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseIsNull() {
            addCriterion("out_warehouse is null");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseIsNotNull() {
            addCriterion("out_warehouse is not null");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseEqualTo(Integer value) {
            addCriterion("out_warehouse =", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNotEqualTo(Integer value) {
            addCriterion("out_warehouse <>", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseGreaterThan(Integer value) {
            addCriterion("out_warehouse >", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseGreaterThanOrEqualTo(Integer value) {
            addCriterion("out_warehouse >=", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseLessThan(Integer value) {
            addCriterion("out_warehouse <", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseLessThanOrEqualTo(Integer value) {
            addCriterion("out_warehouse <=", value, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseIn(List<Integer> values) {
            addCriterion("out_warehouse in", values, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNotIn(List<Integer> values) {
            addCriterion("out_warehouse not in", values, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseBetween(Integer value1, Integer value2) {
            addCriterion("out_warehouse between", value1, value2, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNotBetween(Integer value1, Integer value2) {
            addCriterion("out_warehouse not between", value1, value2, "outWarehouse");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameIsNull() {
            addCriterion("out_warehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameIsNotNull() {
            addCriterion("out_warehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameEqualTo(String value) {
            addCriterion("out_warehouse_name =", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameNotEqualTo(String value) {
            addCriterion("out_warehouse_name <>", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameGreaterThan(String value) {
            addCriterion("out_warehouse_name >", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("out_warehouse_name >=", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameLessThan(String value) {
            addCriterion("out_warehouse_name <", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameLessThanOrEqualTo(String value) {
            addCriterion("out_warehouse_name <=", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameLike(String value) {
            addCriterion("out_warehouse_name like", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameNotLike(String value) {
            addCriterion("out_warehouse_name not like", value, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameIn(List<String> values) {
            addCriterion("out_warehouse_name in", values, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameNotIn(List<String> values) {
            addCriterion("out_warehouse_name not in", values, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameBetween(String value1, String value2) {
            addCriterion("out_warehouse_name between", value1, value2, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andOutWarehouseNameNotBetween(String value1, String value2) {
            addCriterion("out_warehouse_name not between", value1, value2, "outWarehouseName");
            return (Criteria) this;
        }

        public Criteria andFoodWarIsNull() {
            addCriterion("food_war is null");
            return (Criteria) this;
        }

        public Criteria andFoodWarIsNotNull() {
            addCriterion("food_war is not null");
            return (Criteria) this;
        }

        public Criteria andFoodWarEqualTo(Integer value) {
            addCriterion("food_war =", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarNotEqualTo(Integer value) {
            addCriterion("food_war <>", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarGreaterThan(Integer value) {
            addCriterion("food_war >", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarGreaterThanOrEqualTo(Integer value) {
            addCriterion("food_war >=", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarLessThan(Integer value) {
            addCriterion("food_war <", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarLessThanOrEqualTo(Integer value) {
            addCriterion("food_war <=", value, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarIn(List<Integer> values) {
            addCriterion("food_war in", values, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarNotIn(List<Integer> values) {
            addCriterion("food_war not in", values, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarBetween(Integer value1, Integer value2) {
            addCriterion("food_war between", value1, value2, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodWarNotBetween(Integer value1, Integer value2) {
            addCriterion("food_war not between", value1, value2, "foodWar");
            return (Criteria) this;
        }

        public Criteria andFoodStatusIsNull() {
            addCriterion("food_status is null");
            return (Criteria) this;
        }

        public Criteria andFoodStatusIsNotNull() {
            addCriterion("food_status is not null");
            return (Criteria) this;
        }

        public Criteria andFoodStatusEqualTo(String value) {
            addCriterion("food_status =", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusNotEqualTo(String value) {
            addCriterion("food_status <>", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusGreaterThan(String value) {
            addCriterion("food_status >", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusGreaterThanOrEqualTo(String value) {
            addCriterion("food_status >=", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusLessThan(String value) {
            addCriterion("food_status <", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusLessThanOrEqualTo(String value) {
            addCriterion("food_status <=", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusLike(String value) {
            addCriterion("food_status like", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusNotLike(String value) {
            addCriterion("food_status not like", value, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusIn(List<String> values) {
            addCriterion("food_status in", values, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusNotIn(List<String> values) {
            addCriterion("food_status not in", values, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusBetween(String value1, String value2) {
            addCriterion("food_status between", value1, value2, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodStatusNotBetween(String value1, String value2) {
            addCriterion("food_status not between", value1, value2, "foodStatus");
            return (Criteria) this;
        }

        public Criteria andFoodNatureIsNull() {
            addCriterion("food_nature is null");
            return (Criteria) this;
        }

        public Criteria andFoodNatureIsNotNull() {
            addCriterion("food_nature is not null");
            return (Criteria) this;
        }

        public Criteria andFoodNatureEqualTo(String value) {
            addCriterion("food_nature =", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureNotEqualTo(String value) {
            addCriterion("food_nature <>", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureGreaterThan(String value) {
            addCriterion("food_nature >", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureGreaterThanOrEqualTo(String value) {
            addCriterion("food_nature >=", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureLessThan(String value) {
            addCriterion("food_nature <", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureLessThanOrEqualTo(String value) {
            addCriterion("food_nature <=", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureLike(String value) {
            addCriterion("food_nature like", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureNotLike(String value) {
            addCriterion("food_nature not like", value, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureIn(List<String> values) {
            addCriterion("food_nature in", values, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureNotIn(List<String> values) {
            addCriterion("food_nature not in", values, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureBetween(String value1, String value2) {
            addCriterion("food_nature between", value1, value2, "foodNature");
            return (Criteria) this;
        }

        public Criteria andFoodNatureNotBetween(String value1, String value2) {
            addCriterion("food_nature not between", value1, value2, "foodNature");
            return (Criteria) this;
        }

        public Criteria andBitWeighIsNull() {
            addCriterion("bit_weigh is null");
            return (Criteria) this;
        }

        public Criteria andBitWeighIsNotNull() {
            addCriterion("bit_weigh is not null");
            return (Criteria) this;
        }

        public Criteria andBitWeighEqualTo(String value) {
            addCriterion("bit_weigh =", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighNotEqualTo(String value) {
            addCriterion("bit_weigh <>", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighGreaterThan(String value) {
            addCriterion("bit_weigh >", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighGreaterThanOrEqualTo(String value) {
            addCriterion("bit_weigh >=", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighLessThan(String value) {
            addCriterion("bit_weigh <", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighLessThanOrEqualTo(String value) {
            addCriterion("bit_weigh <=", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighLike(String value) {
            addCriterion("bit_weigh like", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighNotLike(String value) {
            addCriterion("bit_weigh not like", value, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighIn(List<String> values) {
            addCriterion("bit_weigh in", values, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighNotIn(List<String> values) {
            addCriterion("bit_weigh not in", values, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighBetween(String value1, String value2) {
            addCriterion("bit_weigh between", value1, value2, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andBitWeighNotBetween(String value1, String value2) {
            addCriterion("bit_weigh not between", value1, value2, "bitWeigh");
            return (Criteria) this;
        }

        public Criteria andOutBeforeIsNull() {
            addCriterion("out_before is null");
            return (Criteria) this;
        }

        public Criteria andOutBeforeIsNotNull() {
            addCriterion("out_before is not null");
            return (Criteria) this;
        }

        public Criteria andOutBeforeEqualTo(String value) {
            addCriterion("out_before =", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeNotEqualTo(String value) {
            addCriterion("out_before <>", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeGreaterThan(String value) {
            addCriterion("out_before >", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeGreaterThanOrEqualTo(String value) {
            addCriterion("out_before >=", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeLessThan(String value) {
            addCriterion("out_before <", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeLessThanOrEqualTo(String value) {
            addCriterion("out_before <=", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeLike(String value) {
            addCriterion("out_before like", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeNotLike(String value) {
            addCriterion("out_before not like", value, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeIn(List<String> values) {
            addCriterion("out_before in", values, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeNotIn(List<String> values) {
            addCriterion("out_before not in", values, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeBetween(String value1, String value2) {
            addCriterion("out_before between", value1, value2, "outBefore");
            return (Criteria) this;
        }

        public Criteria andOutBeforeNotBetween(String value1, String value2) {
            addCriterion("out_before not between", value1, value2, "outBefore");
            return (Criteria) this;
        }

        public Criteria andApplyFirmIsNull() {
            addCriterion("apply_firm is null");
            return (Criteria) this;
        }

        public Criteria andApplyFirmIsNotNull() {
            addCriterion("apply_firm is not null");
            return (Criteria) this;
        }

        public Criteria andApplyFirmEqualTo(String value) {
            addCriterion("apply_firm =", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmNotEqualTo(String value) {
            addCriterion("apply_firm <>", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmGreaterThan(String value) {
            addCriterion("apply_firm >", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmGreaterThanOrEqualTo(String value) {
            addCriterion("apply_firm >=", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmLessThan(String value) {
            addCriterion("apply_firm <", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmLessThanOrEqualTo(String value) {
            addCriterion("apply_firm <=", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmLike(String value) {
            addCriterion("apply_firm like", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmNotLike(String value) {
            addCriterion("apply_firm not like", value, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmIn(List<String> values) {
            addCriterion("apply_firm in", values, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmNotIn(List<String> values) {
            addCriterion("apply_firm not in", values, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmBetween(String value1, String value2) {
            addCriterion("apply_firm between", value1, value2, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andApplyFirmNotBetween(String value1, String value2) {
            addCriterion("apply_firm not between", value1, value2, "applyFirm");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeIsNull() {
            addCriterion("over_time is null");
            return (Criteria) this;
        }

        public Criteria andOverTimeIsNotNull() {
            addCriterion("over_time is not null");
            return (Criteria) this;
        }

        public Criteria andOverTimeEqualTo(Date value) {
            addCriterion("over_time =", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeNotEqualTo(Date value) {
            addCriterion("over_time <>", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeGreaterThan(Date value) {
            addCriterion("over_time >", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("over_time >=", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeLessThan(Date value) {
            addCriterion("over_time <", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeLessThanOrEqualTo(Date value) {
            addCriterion("over_time <=", value, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeIn(List<Date> values) {
            addCriterion("over_time in", values, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeNotIn(List<Date> values) {
            addCriterion("over_time not in", values, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeBetween(Date value1, Date value2) {
            addCriterion("over_time between", value1, value2, "overTime");
            return (Criteria) this;
        }

        public Criteria andOverTimeNotBetween(Date value1, Date value2) {
            addCriterion("over_time not between", value1, value2, "overTime");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseIsNull() {
            addCriterion("into_storehouse is null");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseIsNotNull() {
            addCriterion("into_storehouse is not null");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseEqualTo(Integer value) {
            addCriterion("into_storehouse =", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNotEqualTo(Integer value) {
            addCriterion("into_storehouse <>", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseGreaterThan(Integer value) {
            addCriterion("into_storehouse >", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseGreaterThanOrEqualTo(Integer value) {
            addCriterion("into_storehouse >=", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseLessThan(Integer value) {
            addCriterion("into_storehouse <", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseLessThanOrEqualTo(Integer value) {
            addCriterion("into_storehouse <=", value, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseIn(List<Integer> values) {
            addCriterion("into_storehouse in", values, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNotIn(List<Integer> values) {
            addCriterion("into_storehouse not in", values, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseBetween(Integer value1, Integer value2) {
            addCriterion("into_storehouse between", value1, value2, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNotBetween(Integer value1, Integer value2) {
            addCriterion("into_storehouse not between", value1, value2, "intoStorehouse");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameIsNull() {
            addCriterion("into_storehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameIsNotNull() {
            addCriterion("into_storehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameEqualTo(String value) {
            addCriterion("into_storehouse_name =", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameNotEqualTo(String value) {
            addCriterion("into_storehouse_name <>", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameGreaterThan(String value) {
            addCriterion("into_storehouse_name >", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("into_storehouse_name >=", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameLessThan(String value) {
            addCriterion("into_storehouse_name <", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameLessThanOrEqualTo(String value) {
            addCriterion("into_storehouse_name <=", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameLike(String value) {
            addCriterion("into_storehouse_name like", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameNotLike(String value) {
            addCriterion("into_storehouse_name not like", value, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameIn(List<String> values) {
            addCriterion("into_storehouse_name in", values, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameNotIn(List<String> values) {
            addCriterion("into_storehouse_name not in", values, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameBetween(String value1, String value2) {
            addCriterion("into_storehouse_name between", value1, value2, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoStorehouseNameNotBetween(String value1, String value2) {
            addCriterion("into_storehouse_name not between", value1, value2, "intoStorehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseIsNull() {
            addCriterion("into_warehouse is null");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseIsNotNull() {
            addCriterion("into_warehouse is not null");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseEqualTo(Integer value) {
            addCriterion("into_warehouse =", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNotEqualTo(Integer value) {
            addCriterion("into_warehouse <>", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseGreaterThan(Integer value) {
            addCriterion("into_warehouse >", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseGreaterThanOrEqualTo(Integer value) {
            addCriterion("into_warehouse >=", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseLessThan(Integer value) {
            addCriterion("into_warehouse <", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseLessThanOrEqualTo(Integer value) {
            addCriterion("into_warehouse <=", value, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseIn(List<Integer> values) {
            addCriterion("into_warehouse in", values, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNotIn(List<Integer> values) {
            addCriterion("into_warehouse not in", values, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseBetween(Integer value1, Integer value2) {
            addCriterion("into_warehouse between", value1, value2, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNotBetween(Integer value1, Integer value2) {
            addCriterion("into_warehouse not between", value1, value2, "intoWarehouse");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameIsNull() {
            addCriterion("into_warehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameIsNotNull() {
            addCriterion("into_warehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameEqualTo(String value) {
            addCriterion("into_warehouse_name =", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameNotEqualTo(String value) {
            addCriterion("into_warehouse_name <>", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameGreaterThan(String value) {
            addCriterion("into_warehouse_name >", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("into_warehouse_name >=", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameLessThan(String value) {
            addCriterion("into_warehouse_name <", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameLessThanOrEqualTo(String value) {
            addCriterion("into_warehouse_name <=", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameLike(String value) {
            addCriterion("into_warehouse_name like", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameNotLike(String value) {
            addCriterion("into_warehouse_name not like", value, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameIn(List<String> values) {
            addCriterion("into_warehouse_name in", values, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameNotIn(List<String> values) {
            addCriterion("into_warehouse_name not in", values, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameBetween(String value1, String value2) {
            addCriterion("into_warehouse_name between", value1, value2, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andIntoWarehouseNameNotBetween(String value1, String value2) {
            addCriterion("into_warehouse_name not between", value1, value2, "intoWarehouseName");
            return (Criteria) this;
        }

        public Criteria andDetailWarIsNull() {
            addCriterion("detail_war is null");
            return (Criteria) this;
        }

        public Criteria andDetailWarIsNotNull() {
            addCriterion("detail_war is not null");
            return (Criteria) this;
        }

        public Criteria andDetailWarEqualTo(Integer value) {
            addCriterion("detail_war =", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarNotEqualTo(Integer value) {
            addCriterion("detail_war <>", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarGreaterThan(Integer value) {
            addCriterion("detail_war >", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarGreaterThanOrEqualTo(Integer value) {
            addCriterion("detail_war >=", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarLessThan(Integer value) {
            addCriterion("detail_war <", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarLessThanOrEqualTo(Integer value) {
            addCriterion("detail_war <=", value, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarIn(List<Integer> values) {
            addCriterion("detail_war in", values, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarNotIn(List<Integer> values) {
            addCriterion("detail_war not in", values, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarBetween(Integer value1, Integer value2) {
            addCriterion("detail_war between", value1, value2, "detailWar");
            return (Criteria) this;
        }

        public Criteria andDetailWarNotBetween(Integer value1, Integer value2) {
            addCriterion("detail_war not between", value1, value2, "detailWar");
            return (Criteria) this;
        }

        public Criteria andFoodNumberIsNull() {
            addCriterion("food_number is null");
            return (Criteria) this;
        }

        public Criteria andFoodNumberIsNotNull() {
            addCriterion("food_number is not null");
            return (Criteria) this;
        }

        public Criteria andFoodNumberEqualTo(String value) {
            addCriterion("food_number =", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberNotEqualTo(String value) {
            addCriterion("food_number <>", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberGreaterThan(String value) {
            addCriterion("food_number >", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberGreaterThanOrEqualTo(String value) {
            addCriterion("food_number >=", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberLessThan(String value) {
            addCriterion("food_number <", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberLessThanOrEqualTo(String value) {
            addCriterion("food_number <=", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberLike(String value) {
            addCriterion("food_number like", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberNotLike(String value) {
            addCriterion("food_number not like", value, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberIn(List<String> values) {
            addCriterion("food_number in", values, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberNotIn(List<String> values) {
            addCriterion("food_number not in", values, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberBetween(String value1, String value2) {
            addCriterion("food_number between", value1, value2, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andFoodNumberNotBetween(String value1, String value2) {
            addCriterion("food_number not between", value1, value2, "foodNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberIsNull() {
            addCriterion("goal_number is null");
            return (Criteria) this;
        }

        public Criteria andGoalNumberIsNotNull() {
            addCriterion("goal_number is not null");
            return (Criteria) this;
        }

        public Criteria andGoalNumberEqualTo(String value) {
            addCriterion("goal_number =", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberNotEqualTo(String value) {
            addCriterion("goal_number <>", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberGreaterThan(String value) {
            addCriterion("goal_number >", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberGreaterThanOrEqualTo(String value) {
            addCriterion("goal_number >=", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberLessThan(String value) {
            addCriterion("goal_number <", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberLessThanOrEqualTo(String value) {
            addCriterion("goal_number <=", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberLike(String value) {
            addCriterion("goal_number like", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberNotLike(String value) {
            addCriterion("goal_number not like", value, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberIn(List<String> values) {
            addCriterion("goal_number in", values, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberNotIn(List<String> values) {
            addCriterion("goal_number not in", values, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberBetween(String value1, String value2) {
            addCriterion("goal_number between", value1, value2, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andGoalNumberNotBetween(String value1, String value2) {
            addCriterion("goal_number not between", value1, value2, "goalNumber");
            return (Criteria) this;
        }

        public Criteria andOutAfterIsNull() {
            addCriterion("out_after is null");
            return (Criteria) this;
        }

        public Criteria andOutAfterIsNotNull() {
            addCriterion("out_after is not null");
            return (Criteria) this;
        }

        public Criteria andOutAfterEqualTo(String value) {
            addCriterion("out_after =", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterNotEqualTo(String value) {
            addCriterion("out_after <>", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterGreaterThan(String value) {
            addCriterion("out_after >", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterGreaterThanOrEqualTo(String value) {
            addCriterion("out_after >=", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterLessThan(String value) {
            addCriterion("out_after <", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterLessThanOrEqualTo(String value) {
            addCriterion("out_after <=", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterLike(String value) {
            addCriterion("out_after like", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterNotLike(String value) {
            addCriterion("out_after not like", value, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterIn(List<String> values) {
            addCriterion("out_after in", values, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterNotIn(List<String> values) {
            addCriterion("out_after not in", values, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterBetween(String value1, String value2) {
            addCriterion("out_after between", value1, value2, "outAfter");
            return (Criteria) this;
        }

        public Criteria andOutAfterNotBetween(String value1, String value2) {
            addCriterion("out_after not between", value1, value2, "outAfter");
            return (Criteria) this;
        }
    }

    /**
     * storage_change_storagehouse_rop
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * storage_change_storagehouse_rop 2020-09-17
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}