package com.chinaitop.depot.storage.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageChangeStoragehouseTaskDetail {
    private Integer id;

    private Integer org_id;

    private String businessNo;

    private Integer houseId;

    private Integer wareId;

    private Integer storehouseId;

    private Integer warehouseId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rksj;

    private Integer lspz;

    private String lsxz;

    private Integer keepingWay;

    private Integer ccfs;

    private Integer applyStatus;

    private BigDecimal pourInNum;

    private BigDecimal pourOutNum;

    private BigDecimal qichuNum;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updateTime;

    /**
     * ID
     * @return id ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * ID
     * @param id ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrg_id() {
        return org_id;
    }

    /**
     * 单位ID
     * @param org_id 单位ID
     */
    public void setOrg_id(Integer org_id) {
        this.org_id = org_id;
    }

    /**
     * 倒仓业务单号
     * @return businessNo 倒仓业务单号
     */
    public String getBusinessNo() {
        return businessNo;
    }

    /**
     * 倒仓业务单号
     * @param businessNo 倒仓业务单号
     */
    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo == null ? null : businessNo.trim();
    }

    /**
     * 导出货位ID
     * @return houseId 导出货位ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 导出货位ID
     * @param houseId 导出货位ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 导出仓房ID
     * @return wareId 导出仓房ID
     */
    public Integer getWareId() {
        return wareId;
    }

    /**
     * 导出仓房ID
     * @param wareId 导出仓房ID
     */
    public void setWareId(Integer wareId) {
        this.wareId = wareId;
    }

    /**
     * 导入货位ID
     * @return storehouseId 导入货位ID
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 导入货位ID
     * @param storehouseId 导入货位ID
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 导入仓房ID
     * @return warehouseId 导入仓房ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 导入仓房ID
     * @param warehouseId 导入仓房ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 入仓时间
     * @return rksj 入仓时间
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * 入仓时间
     * @param rksj 入仓时间
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 粮食性质
     * @return lsxz 粮食性质
     */
    public String getLsxz() {
        return lsxz;
    }

    /**
     * 粮食性质
     * @param lsxz 粮食性质
     */
    public void setLsxz(String lsxz) {
        this.lsxz = lsxz == null ? null : lsxz.trim();
    }

    /**
     * 存储方式
     * @return keepingWay 存储方式
     */
    public Integer getKeepingWay() {
        return keepingWay;
    }

    /**
     * 存储方式
     * @param keepingWay 存储方式
     */
    public void setKeepingWay(Integer keepingWay) {
        this.keepingWay = keepingWay;
    }

    /**
     * 存储方式
     * @return ccfs 存储方式
     */
    public Integer getCcfs() {
        return ccfs;
    }

    /**
     * 存储方式
     * @param ccfs 存储方式
     */
    public void setCcfs(Integer ccfs) {
        this.ccfs = ccfs;
    }

    /**
     * 审核状态
     * @return applyStatus 审核状态
     */
    public Integer getApplyStatus() {
        return applyStatus;
    }

    /**
     * 审核状态
     * @param applyStatus 审核状态
     */
    public void setApplyStatus(Integer applyStatus) {
        this.applyStatus = applyStatus;
    }

    /**
     * 计划倒入数量
     * @return pourInNum 计划倒入数量
     */
    public BigDecimal getPourInNum() {
        return pourInNum;
    }

    /**
     * 计划倒入数量
     * @param pourInNum 计划倒入数量
     */
    public void setPourInNum(BigDecimal pourInNum) {
        this.pourInNum = pourInNum;
    }

    /**
     * 计划倒出数量
     * @return pourOutNum 计划倒出数量
     */
    public BigDecimal getPourOutNum() {
        return pourOutNum;
    }

    /**
     * 计划倒出数量
     * @param pourOutNum 计划倒出数量
     */
    public void setPourOutNum(BigDecimal pourOutNum) {
        this.pourOutNum = pourOutNum;
    }

    /**
     * 期初数量
     * @return qichuNum 期初数量
     */
    public BigDecimal getQichuNum() {
        return qichuNum;
    }

    /**
     * 期初数量
     * @param qichuNum 期初数量
     */
    public void setQichuNum(BigDecimal qichuNum) {
        this.qichuNum = qichuNum;
    }

    /**
     * 
     * @return updateTime 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}