package com.chinaitop.depot.storage.model;

public class StorageFoodbasicInfoCheck {
    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer foodbasicinfoId;

    private Integer qualitycheckId;

    private Integer orgId;

    /**
     * 粮食质量检测记录
     * @return id 粮食质量检测记录
     */
    public Integer getId() {
        return id;
    }

    /**
     * 粮食质量检测记录
     * @param id 粮食质量检测记录
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位Id
     * @return warehouse_id 货位Id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位Id
     * @param warehouseId 货位Id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮食基本信息(粮情专卡)id
     * @return foodbasicinfo_id 粮食基本信息(粮情专卡)id
     */
    public Integer getFoodbasicinfoId() {
        return foodbasicinfoId;
    }

    /**
     * 粮食基本信息(粮情专卡)id
     * @param foodbasicinfoId 粮食基本信息(粮情专卡)id
     */
    public void setFoodbasicinfoId(Integer foodbasicinfoId) {
        this.foodbasicinfoId = foodbasicinfoId;
    }

    /**
     * 质量管理id
     * @return qualitycheck_id 质量管理id
     */
    public Integer getQualitycheckId() {
        return qualitycheckId;
    }

    /**
     * 质量管理id
     * @param qualitycheckId 质量管理id
     */
    public void setQualitycheckId(Integer qualitycheckId) {
        this.qualitycheckId = qualitycheckId;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}