package com.chinaitop.depot.storage.model;

public class StorageQualitycheckInspection {
	
	private String colorSmell;//色泽、气味
	
	
    public String getColorSmell() {
		return colorSmell;
	}

	public void setColorSmell(String colorSmell) {
		this.colorSmell = colorSmell;
	}

	private Integer id;

    private Integer qualitycheckId;

    private String unitWeight;

    private String impurityTotal;

    private String impurityInorganic;

    private String impurityOrganic;

    private String impurityBranPowder;

    private String imperfectgrainsTotal;

    private String imperfectgrainsInjuredkernel;

    private String imperfectgrainsScab;

    private String imperfectgrainsScabTotal;

    private String imperfectgrainsScabBlackembryo;

    private String imperfectgrainsScabGibberella;

    private String imperfectgrainsDamage;

    private String imperfectgrainsSproutedkernel;

    private String imperfectgrainsFrostbite;

    private String imperfectgrainsImmaturegrain;

    private String imperfectgrainsContent;

    private String imperfectgrainsBrownrice;

    private String naturally;

    private String stoving;

    private String crudeFatContent;

    private String proteolysis;

    private String mildew;

    private String immatureGrainRate;

    private String crushingRate;

    private String yellowRice;

    private String relativeDensity;

    private String waterVolatiles;

    private String insolubleImpurity;

    private String acidValue;

    private String soapContent;

    private String heat;

    private String lauricAcid;

    private String myristicAcid;

    private String palmiticAcid;

    private String zoomaricAcid;

    private String margaricAcid;

    private String heptadecane;

    private String stearicAcid;

    private String oleicAcid;

    private String linoleicAcid;

    private String linolenicAcid;

    private String arachidicAcid;

    private String arachidonicOne;

    private String arachidonicTwo;

    private String behenicAcid;

    private String erucicAcid;

    private String woodTar;

    private String avgLength;

    private String riceGrains;

    private String brokenriceTotal;

    private String brokenriceBig;

    private String brokenriceSmall;

    private String machiningaccuracy;

    private String chalkiness;

    private String machiningaccuracyEssence;

    private String machiningaccuracySuitable;

    private String amylose;

    private String ashContent;

    private String coarseness;

    private String gluten;

    private String siltContent;

    private String magneticMetal;

    private String inputOne;

    private String inputTwo;

    private String inputThree;

    private String inputFour;

    private String sieveResidue;//筛下物%2020.12.21  新增字段

    private String riceYield;//出米率%2020.12.21  新增字段
    
    private String imperfectgrainsScabQtbl; //其它病粒%2021-08-19


    public String getSieveResidue() {
        return sieveResidue;
    }

    public void setSieveResidue(String sieveResidue) {
        this.sieveResidue = sieveResidue;
    }
    public String getRiceYield() {
        return riceYield;
    }

    public void setRiceYield(String riceYield) {
        this.riceYield = riceYield;
    }
    /**
     * id
     * @return id id
     */
    public Integer getId() {
        return id;
    }

    /**
     * id
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 质量检查信息表主键
     * @return qualitycheck_id 质量检查信息表主键
     */
    public Integer getQualitycheckId() {
        return qualitycheckId;
    }

    /**
     * 质量检查信息表主键
     * @param qualitycheckId 质量检查信息表主键
     */
    public void setQualitycheckId(Integer qualitycheckId) {
        this.qualitycheckId = qualitycheckId;
    }

    /**
     * 容重
     * @return unit_weight 容重
     */
    public String getUnitWeight() {
        return unitWeight;
    }

    /**
     * 容重
     * @param unitWeight 容重
     */
    public void setUnitWeight(String unitWeight) {
        this.unitWeight = unitWeight == null ? null : unitWeight.trim();
    }

    /**
     * 杂质总量
     * @return impurity_total 杂质总量
     */
    public String getImpurityTotal() {
        return impurityTotal;
    }

    /**
     * 杂质总量
     * @param impurityTotal 杂质总量
     */
    public void setImpurityTotal(String impurityTotal) {
        this.impurityTotal = impurityTotal == null ? null : impurityTotal.trim();
    }

    /**
     * 杂质无机杂质
     * @return impurity_inorganic 杂质无机杂质
     */
    public String getImpurityInorganic() {
        return impurityInorganic;
    }

    /**
     * 杂质无机杂质
     * @param impurityInorganic 杂质无机杂质
     */
    public void setImpurityInorganic(String impurityInorganic) {
        this.impurityInorganic = impurityInorganic == null ? null : impurityInorganic.trim();
    }

    /**
     * 杂质有机杂质
     * @return impurity_organic 杂质有机杂质
     */
    public String getImpurityOrganic() {
        return impurityOrganic;
    }

    /**
     * 杂质有机杂质
     * @param impurityOrganic 杂质有机杂质
     */
    public void setImpurityOrganic(String impurityOrganic) {
        this.impurityOrganic = impurityOrganic == null ? null : impurityOrganic.trim();
    }

    /**
     * 糠粉
     * @return impurity_bran_powder 糠粉
     */
    public String getImpurityBranPowder() {
        return impurityBranPowder;
    }

    /**
     * 糠粉
     * @param impurityBranPowder 糠粉
     */
    public void setImpurityBranPowder(String impurityBranPowder) {
        this.impurityBranPowder = impurityBranPowder == null ? null : impurityBranPowder.trim();
    }

    /**
     * 不完善粒总量
     * @return imperfectGrains_total 不完善粒总量
     */
    public String getImperfectgrainsTotal() {
        return imperfectgrainsTotal;
    }

    /**
     * 不完善粒总量
     * @param imperfectgrainsTotal 不完善粒总量
     */
    public void setImperfectgrainsTotal(String imperfectgrainsTotal) {
        this.imperfectgrainsTotal = imperfectgrainsTotal == null ? null : imperfectgrainsTotal.trim();
    }

    /**
     * 不完善粒虫蚀粒
     * @return imperfectGrains_injuredKernel 不完善粒虫蚀粒
     */
    public String getImperfectgrainsInjuredkernel() {
        return imperfectgrainsInjuredkernel;
    }

    /**
     * 不完善粒虫蚀粒
     * @param imperfectgrainsInjuredkernel 不完善粒虫蚀粒
     */
    public void setImperfectgrainsInjuredkernel(String imperfectgrainsInjuredkernel) {
        this.imperfectgrainsInjuredkernel = imperfectgrainsInjuredkernel == null ? null : imperfectgrainsInjuredkernel.trim();
    }

    /**
     * 不完善粒病斑粒
     * @return imperfectGrains_scab 不完善粒病斑粒
     */
    public String getImperfectgrainsScab() {
        return imperfectgrainsScab;
    }

    /**
     * 不完善粒病斑粒
     * @param imperfectgrainsScab 不完善粒病斑粒
     */
    public void setImperfectgrainsScab(String imperfectgrainsScab) {
        this.imperfectgrainsScab = imperfectgrainsScab == null ? null : imperfectgrainsScab.trim();
    }

    /**
     * 不完善粒病斑粒总量
     * @return imperfectGrains_scab_total 不完善粒病斑粒总量
     */
    public String getImperfectgrainsScabTotal() {
        return imperfectgrainsScabTotal;
    }

    /**
     * 不完善粒病斑粒总量
     * @param imperfectgrainsScabTotal 不完善粒病斑粒总量
     */
    public void setImperfectgrainsScabTotal(String imperfectgrainsScabTotal) {
        this.imperfectgrainsScabTotal = imperfectgrainsScabTotal == null ? null : imperfectgrainsScabTotal.trim();
    }

    /**
     * 不完善粒病斑粒黑胚粒
     * @return imperfectGrains_scab_blackEmbryo 不完善粒病斑粒黑胚粒
     */
    public String getImperfectgrainsScabBlackembryo() {
        return imperfectgrainsScabBlackembryo;
    }

    /**
     * 不完善粒病斑粒黑胚粒
     * @param imperfectgrainsScabBlackembryo 不完善粒病斑粒黑胚粒
     */
    public void setImperfectgrainsScabBlackembryo(String imperfectgrainsScabBlackembryo) {
        this.imperfectgrainsScabBlackembryo = imperfectgrainsScabBlackembryo == null ? null : imperfectgrainsScabBlackembryo.trim();
    }

    /**
     * 不完善粒病斑粒赤霉病粒
     * @return imperfectGrains_scab_gibberella 不完善粒病斑粒赤霉病粒
     */
    public String getImperfectgrainsScabGibberella() {
        return imperfectgrainsScabGibberella;
    }

    /**
     * 不完善粒病斑粒赤霉病粒
     * @param imperfectgrainsScabGibberella 不完善粒病斑粒赤霉病粒
     */
    public void setImperfectgrainsScabGibberella(String imperfectgrainsScabGibberella) {
        this.imperfectgrainsScabGibberella = imperfectgrainsScabGibberella == null ? null : imperfectgrainsScabGibberella.trim();
    }

    /**
     * 不完善粒破损粒%
     * @return imperfectGrains_damage 不完善粒破损粒%
     */
    public String getImperfectgrainsDamage() {
        return imperfectgrainsDamage;
    }

    /**
     * 不完善粒破损粒%
     * @param imperfectgrainsDamage 不完善粒破损粒%
     */
    public void setImperfectgrainsDamage(String imperfectgrainsDamage) {
        this.imperfectgrainsDamage = imperfectgrainsDamage == null ? null : imperfectgrainsDamage.trim();
    }

    /**
     * 不完善粒生芽粒
     * @return imperfectGrains_sproutedKernel 不完善粒生芽粒
     */
    public String getImperfectgrainsSproutedkernel() {
        return imperfectgrainsSproutedkernel;
    }

    /**
     * 不完善粒生芽粒
     * @param imperfectgrainsSproutedkernel 不完善粒生芽粒
     */
    public void setImperfectgrainsSproutedkernel(String imperfectgrainsSproutedkernel) {
        this.imperfectgrainsSproutedkernel = imperfectgrainsSproutedkernel == null ? null : imperfectgrainsSproutedkernel.trim();
    }

    /**
     * 不完善粒冻伤
     * @return imperfectGrains_frostbite 不完善粒冻伤
     */
    public String getImperfectgrainsFrostbite() {
        return imperfectgrainsFrostbite;
    }

    /**
     * 不完善粒冻伤
     * @param imperfectgrainsFrostbite 不完善粒冻伤
     */
    public void setImperfectgrainsFrostbite(String imperfectgrainsFrostbite) {
        this.imperfectgrainsFrostbite = imperfectgrainsFrostbite == null ? null : imperfectgrainsFrostbite.trim();
    }

    /**
     * 不完善粒未熟粒
     * @return imperfectGrains_immatureGrain 不完善粒未熟粒
     */
    public String getImperfectgrainsImmaturegrain() {
        return imperfectgrainsImmaturegrain;
    }

    /**
     * 不完善粒未熟粒
     * @param imperfectgrainsImmaturegrain 不完善粒未熟粒
     */
    public void setImperfectgrainsImmaturegrain(String imperfectgrainsImmaturegrain) {
        this.imperfectgrainsImmaturegrain = imperfectgrainsImmaturegrain == null ? null : imperfectgrainsImmaturegrain.trim();
    }

    /**
     * 不完善粒含量
     * @return imperfectGrains_content 不完善粒含量
     */
    public String getImperfectgrainsContent() {
        return imperfectgrainsContent;
    }

    /**
     * 不完善粒含量
     * @param imperfectgrainsContent 不完善粒含量
     */
    public void setImperfectgrainsContent(String imperfectgrainsContent) {
        this.imperfectgrainsContent = imperfectgrainsContent == null ? null : imperfectgrainsContent.trim();
    }

    /**
     * 不完善粒糙米粒
     * @return imperfectGrains_brownRice 不完善粒糙米粒
     */
    public String getImperfectgrainsBrownrice() {
        return imperfectgrainsBrownrice;
    }

    /**
     * 不完善粒糙米粒
     * @param imperfectgrainsBrownrice 不完善粒糙米粒
     */
    public void setImperfectgrainsBrownrice(String imperfectgrainsBrownrice) {
        this.imperfectgrainsBrownrice = imperfectgrainsBrownrice == null ? null : imperfectgrainsBrownrice.trim();
    }

    /**
     * 自然热损伤粒
     * @return naturally 自然热损伤粒
     */
    public String getNaturally() {
        return naturally;
    }

    /**
     * 自然热损伤粒
     * @param naturally 自然热损伤粒
     */
    public void setNaturally(String naturally) {
        this.naturally = naturally == null ? null : naturally.trim();
    }

    /**
     * 烘干热损伤粒
     * @return stoving 烘干热损伤粒
     */
    public String getStoving() {
        return stoving;
    }

    /**
     * 烘干热损伤粒
     * @param stoving 烘干热损伤粒
     */
    public void setStoving(String stoving) {
        this.stoving = stoving == null ? null : stoving.trim();
    }

    /**
     * 粗脂肪含量（干基）%
     * @return crude_fat_content 粗脂肪含量（干基）%
     */
    public String getCrudeFatContent() {
        return crudeFatContent;
    }

    /**
     * 粗脂肪含量（干基）%
     * @param crudeFatContent 粗脂肪含量（干基）%
     */
    public void setCrudeFatContent(String crudeFatContent) {
        this.crudeFatContent = crudeFatContent == null ? null : crudeFatContent.trim();
    }

    /**
     * 蛋白溶解
     * @return proteolysis 蛋白溶解
     */
    public String getProteolysis() {
        return proteolysis;
    }

    /**
     * 蛋白溶解
     * @param proteolysis 蛋白溶解
     */
    public void setProteolysis(String proteolysis) {
        this.proteolysis = proteolysis == null ? null : proteolysis.trim();
    }

    /**
     * 霉变粒
     * @return mildew 霉变粒
     */
    public String getMildew() {
        return mildew;
    }

    /**
     * 霉变粒
     * @param mildew 霉变粒
     */
    public void setMildew(String mildew) {
        this.mildew = mildew == null ? null : mildew.trim();
    }

    /**
     * 未熟粒率
     * @return immature_grain_rate 未熟粒率
     */
    public String getImmatureGrainRate() {
        return immatureGrainRate;
    }

    /**
     * 未熟粒率
     * @param immatureGrainRate 未熟粒率
     */
    public void setImmatureGrainRate(String immatureGrainRate) {
        this.immatureGrainRate = immatureGrainRate == null ? null : immatureGrainRate.trim();
    }

    /**
     * 破碎率
     * @return crushing_rate 破碎率
     */
    public String getCrushingRate() {
        return crushingRate;
    }

    /**
     * 破碎率
     * @param crushingRate 破碎率
     */
    public void setCrushingRate(String crushingRate) {
        this.crushingRate = crushingRate == null ? null : crushingRate.trim();
    }

    /**
     * 黄粒米%
     * @return yellow_rice 黄粒米%
     */
    public String getYellowRice() {
        return yellowRice;
    }

    /**
     * 黄粒米%
     * @param yellowRice 黄粒米%
     */
    public void setYellowRice(String yellowRice) {
        this.yellowRice = yellowRice == null ? null : yellowRice.trim();
    }

    /**
     * 相对密度
     * @return relative_density 相对密度
     */
    public String getRelativeDensity() {
        return relativeDensity;
    }

    /**
     * 相对密度
     * @param relativeDensity 相对密度
     */
    public void setRelativeDensity(String relativeDensity) {
        this.relativeDensity = relativeDensity == null ? null : relativeDensity.trim();
    }

    /**
     * 水分及挥发物含量%
     * @return water_volatiles 水分及挥发物含量%
     */
    public String getWaterVolatiles() {
        return waterVolatiles;
    }

    /**
     * 水分及挥发物含量%
     * @param waterVolatiles 水分及挥发物含量%
     */
    public void setWaterVolatiles(String waterVolatiles) {
        this.waterVolatiles = waterVolatiles == null ? null : waterVolatiles.trim();
    }

    /**
     * 不溶性杂质含量%
     * @return insoluble_impurity 不溶性杂质含量%
     */
    public String getInsolubleImpurity() {
        return insolubleImpurity;
    }

    /**
     * 不溶性杂质含量%
     * @param insolubleImpurity 不溶性杂质含量%
     */
    public void setInsolubleImpurity(String insolubleImpurity) {
        this.insolubleImpurity = insolubleImpurity == null ? null : insolubleImpurity.trim();
    }

    /**
     * 酸价（KOH）/(mg/g)
     * @return acid_value 酸价（KOH）/(mg/g)
     */
    public String getAcidValue() {
        return acidValue;
    }

    /**
     * 酸价（KOH）/(mg/g)
     * @param acidValue 酸价（KOH）/(mg/g)
     */
    public void setAcidValue(String acidValue) {
        this.acidValue = acidValue == null ? null : acidValue.trim();
    }

    /**
     * 含皂量% 
     * @return soap_content 含皂量% 
     */
    public String getSoapContent() {
        return soapContent;
    }

    /**
     * 含皂量% 
     * @param soapContent 含皂量% 
     */
    public void setSoapContent(String soapContent) {
        this.soapContent = soapContent == null ? null : soapContent.trim();
    }

    /**
     * 加热实验（280℃）
     * @return heat 加热实验（280℃）
     */
    public String getHeat() {
        return heat;
    }

    /**
     * 加热实验（280℃）
     * @param heat 加热实验（280℃）
     */
    public void setHeat(String heat) {
        this.heat = heat == null ? null : heat.trim();
    }

    /**
     * 月桂酸
     * @return lauric_acid 月桂酸
     */
    public String getLauricAcid() {
        return lauricAcid;
    }

    /**
     * 月桂酸
     * @param lauricAcid 月桂酸
     */
    public void setLauricAcid(String lauricAcid) {
        this.lauricAcid = lauricAcid == null ? null : lauricAcid.trim();
    }

    /**
     * 豆蔻酸
     * @return myristic_acid 豆蔻酸
     */
    public String getMyristicAcid() {
        return myristicAcid;
    }

    /**
     * 豆蔻酸
     * @param myristicAcid 豆蔻酸
     */
    public void setMyristicAcid(String myristicAcid) {
        this.myristicAcid = myristicAcid == null ? null : myristicAcid.trim();
    }

    /**
     * 棕榈酸
     * @return palmitic_acid 棕榈酸
     */
    public String getPalmiticAcid() {
        return palmiticAcid;
    }

    /**
     * 棕榈酸
     * @param palmiticAcid 棕榈酸
     */
    public void setPalmiticAcid(String palmiticAcid) {
        this.palmiticAcid = palmiticAcid == null ? null : palmiticAcid.trim();
    }

    /**
     * 棕榈油酸
     * @return zoomaric_acid 棕榈油酸
     */
    public String getZoomaricAcid() {
        return zoomaricAcid;
    }

    /**
     * 棕榈油酸
     * @param zoomaricAcid 棕榈油酸
     */
    public void setZoomaricAcid(String zoomaricAcid) {
        this.zoomaricAcid = zoomaricAcid == null ? null : zoomaricAcid.trim();
    }

    /**
     * 十七烷酸
     * @return margaric_acid 十七烷酸
     */
    public String getMargaricAcid() {
        return margaricAcid;
    }

    /**
     * 十七烷酸
     * @param margaricAcid 十七烷酸
     */
    public void setMargaricAcid(String margaricAcid) {
        this.margaricAcid = margaricAcid == null ? null : margaricAcid.trim();
    }

    /**
     * 十七烷一烯
     * @return heptadecane 十七烷一烯
     */
    public String getHeptadecane() {
        return heptadecane;
    }

    /**
     * 十七烷一烯
     * @param heptadecane 十七烷一烯
     */
    public void setHeptadecane(String heptadecane) {
        this.heptadecane = heptadecane == null ? null : heptadecane.trim();
    }

    /**
     * 硬脂酸
     * @return stearic_acid 硬脂酸
     */
    public String getStearicAcid() {
        return stearicAcid;
    }

    /**
     * 硬脂酸
     * @param stearicAcid 硬脂酸
     */
    public void setStearicAcid(String stearicAcid) {
        this.stearicAcid = stearicAcid == null ? null : stearicAcid.trim();
    }

    /**
     * 油酸
     * @return oleic_acid 油酸
     */
    public String getOleicAcid() {
        return oleicAcid;
    }

    /**
     * 油酸
     * @param oleicAcid 油酸
     */
    public void setOleicAcid(String oleicAcid) {
        this.oleicAcid = oleicAcid == null ? null : oleicAcid.trim();
    }

    /**
     * 亚油酸
     * @return linoleic_acid 亚油酸
     */
    public String getLinoleicAcid() {
        return linoleicAcid;
    }

    /**
     * 亚油酸
     * @param linoleicAcid 亚油酸
     */
    public void setLinoleicAcid(String linoleicAcid) {
        this.linoleicAcid = linoleicAcid == null ? null : linoleicAcid.trim();
    }

    /**
     * 亚麻酸
     * @return linolenic_acid 亚麻酸
     */
    public String getLinolenicAcid() {
        return linolenicAcid;
    }

    /**
     * 亚麻酸
     * @param linolenicAcid 亚麻酸
     */
    public void setLinolenicAcid(String linolenicAcid) {
        this.linolenicAcid = linolenicAcid == null ? null : linolenicAcid.trim();
    }

    /**
     * 花生酸
     * @return arachidic_acid 花生酸
     */
    public String getArachidicAcid() {
        return arachidicAcid;
    }

    /**
     * 花生酸
     * @param arachidicAcid 花生酸
     */
    public void setArachidicAcid(String arachidicAcid) {
        this.arachidicAcid = arachidicAcid == null ? null : arachidicAcid.trim();
    }

    /**
     * 花生一烯酸
     * @return arachidonic_one 花生一烯酸
     */
    public String getArachidonicOne() {
        return arachidonicOne;
    }

    /**
     * 花生一烯酸
     * @param arachidonicOne 花生一烯酸
     */
    public void setArachidonicOne(String arachidonicOne) {
        this.arachidonicOne = arachidonicOne == null ? null : arachidonicOne.trim();
    }

    /**
     * 花生二烯酸
     * @return Arachidonic_two 花生二烯酸
     */
    public String getArachidonicTwo() {
        return arachidonicTwo;
    }

    /**
     * 花生二烯酸
     * @param arachidonicTwo 花生二烯酸
     */
    public void setArachidonicTwo(String arachidonicTwo) {
        this.arachidonicTwo = arachidonicTwo == null ? null : arachidonicTwo.trim();
    }

    /**
     * 山嵛酸
     * @return behenic_acid 山嵛酸
     */
    public String getBehenicAcid() {
        return behenicAcid;
    }

    /**
     * 山嵛酸
     * @param behenicAcid 山嵛酸
     */
    public void setBehenicAcid(String behenicAcid) {
        this.behenicAcid = behenicAcid == null ? null : behenicAcid.trim();
    }

    /**
     * 芥酸
     * @return erucic_acid 芥酸
     */
    public String getErucicAcid() {
        return erucicAcid;
    }

    /**
     * 芥酸
     * @param erucicAcid 芥酸
     */
    public void setErucicAcid(String erucicAcid) {
        this.erucicAcid = erucicAcid == null ? null : erucicAcid.trim();
    }

    /**
     * 木焦油算
     * @return wood_tar 木焦油算
     */
    public String getWoodTar() {
        return woodTar;
    }

    /**
     * 木焦油算
     * @param woodTar 木焦油算
     */
    public void setWoodTar(String woodTar) {
        this.woodTar = woodTar == null ? null : woodTar.trim();
    }

    /**
     * 平均长度
     * @return avg_length 平均长度
     */
    public String getAvgLength() {
        return avgLength;
    }

    /**
     * 平均长度
     * @param avgLength 平均长度
     */
    public void setAvgLength(String avgLength) {
        this.avgLength = avgLength == null ? null : avgLength.trim();
    }

    /**
     * 完整米粒
     * @return rice_grains 完整米粒
     */
    public String getRiceGrains() {
        return riceGrains;
    }

    /**
     * 完整米粒
     * @param riceGrains 完整米粒
     */
    public void setRiceGrains(String riceGrains) {
        this.riceGrains = riceGrains == null ? null : riceGrains.trim();
    }

    /**
     * 碎米总量
     * @return brokenRice_total 碎米总量
     */
    public String getBrokenriceTotal() {
        return brokenriceTotal;
    }

    /**
     * 碎米总量
     * @param brokenriceTotal 碎米总量
     */
    public void setBrokenriceTotal(String brokenriceTotal) {
        this.brokenriceTotal = brokenriceTotal == null ? null : brokenriceTotal.trim();
    }

    /**
     * 碎米大
     * @return brokenRice_big 碎米大
     */
    public String getBrokenriceBig() {
        return brokenriceBig;
    }

    /**
     * 碎米大
     * @param brokenriceBig 碎米大
     */
    public void setBrokenriceBig(String brokenriceBig) {
        this.brokenriceBig = brokenriceBig == null ? null : brokenriceBig.trim();
    }

    /**
     * 碎米小
     * @return brokenRice_small 碎米小
     */
    public String getBrokenriceSmall() {
        return brokenriceSmall;
    }

    /**
     * 碎米小
     * @param brokenriceSmall 碎米小
     */
    public void setBrokenriceSmall(String brokenriceSmall) {
        this.brokenriceSmall = brokenriceSmall == null ? null : brokenriceSmall.trim();
    }

    /**
     * 加工精度
     * @return machiningAccuracy 加工精度
     */
    public String getMachiningaccuracy() {
        return machiningaccuracy;
    }

    /**
     * 加工精度
     * @param machiningaccuracy 加工精度
     */
    public void setMachiningaccuracy(String machiningaccuracy) {
        this.machiningaccuracy = machiningaccuracy == null ? null : machiningaccuracy.trim();
    }

    /**
     * 垩白度
     * @return chalkiness 垩白度
     */
    public String getChalkiness() {
        return chalkiness;
    }

    /**
     * 垩白度
     * @param chalkiness 垩白度
     */
    public void setChalkiness(String chalkiness) {
        this.chalkiness = chalkiness == null ? null : chalkiness.trim();
    }

    /**
     * 加工精度精碾
     * @return machiningAccuracy_essence 加工精度精碾
     */
    public String getMachiningaccuracyEssence() {
        return machiningaccuracyEssence;
    }

    /**
     * 加工精度精碾
     * @param machiningaccuracyEssence 加工精度精碾
     */
    public void setMachiningaccuracyEssence(String machiningaccuracyEssence) {
        this.machiningaccuracyEssence = machiningaccuracyEssence == null ? null : machiningaccuracyEssence.trim();
    }

    /**
     * 加工精度适碾
     * @return machiningAccuracy_suitable 加工精度适碾
     */
    public String getMachiningaccuracySuitable() {
        return machiningaccuracySuitable;
    }

    /**
     * 加工精度适碾
     * @param machiningaccuracySuitable 加工精度适碾
     */
    public void setMachiningaccuracySuitable(String machiningaccuracySuitable) {
        this.machiningaccuracySuitable = machiningaccuracySuitable == null ? null : machiningaccuracySuitable.trim();
    }

    /**
     * 直链淀粉含量
     * @return amylose 直链淀粉含量
     */
    public String getAmylose() {
        return amylose;
    }

    /**
     * 直链淀粉含量
     * @param amylose 直链淀粉含量
     */
    public void setAmylose(String amylose) {
        this.amylose = amylose == null ? null : amylose.trim();
    }

    /**
     * 灰分%（以干物计）
     * @return ash_content 灰分%（以干物计）
     */
    public String getAshContent() {
        return ashContent;
    }

    /**
     * 灰分%（以干物计）
     * @param ashContent 灰分%（以干物计）
     */
    public void setAshContent(String ashContent) {
        this.ashContent = ashContent == null ? null : ashContent.trim();
    }

    /**
     * 粗细度%
     * @return coarseness 粗细度%
     */
    public String getCoarseness() {
        return coarseness;
    }

    /**
     * 粗细度%
     * @param coarseness 粗细度%
     */
    public void setCoarseness(String coarseness) {
        this.coarseness = coarseness == null ? null : coarseness.trim();
    }

    /**
     * 面筋质%（以湿重计）
     * @return gluten 面筋质%（以湿重计）
     */
    public String getGluten() {
        return gluten;
    }

    /**
     * 面筋质%（以湿重计）
     * @param gluten 面筋质%（以湿重计）
     */
    public void setGluten(String gluten) {
        this.gluten = gluten == null ? null : gluten.trim();
    }

    /**
     * 含沙量
     * @return silt_content 含沙量
     */
    public String getSiltContent() {
        return siltContent;
    }

    /**
     * 含沙量
     * @param siltContent 含沙量
     */
    public void setSiltContent(String siltContent) {
        this.siltContent = siltContent == null ? null : siltContent.trim();
    }

    /**
     * 磁性金属物g/kg
     * @return magnetic_metal 磁性金属物g/kg
     */
    public String getMagneticMetal() {
        return magneticMetal;
    }

    /**
     * 磁性金属物g/kg
     * @param magneticMetal 磁性金属物g/kg
     */
    public void setMagneticMetal(String magneticMetal) {
        this.magneticMetal = magneticMetal == null ? null : magneticMetal.trim();
    }

    /**
     * 添加1
     * @return input_one 添加1
     */
    public String getInputOne() {
        return inputOne;
    }

    /**
     * 添加1
     * @param inputOne 添加1
     */
    public void setInputOne(String inputOne) {
        this.inputOne = inputOne == null ? null : inputOne.trim();
    }

    /**
     * 添加2
     * @return input_two 添加2
     */
    public String getInputTwo() {
        return inputTwo;
    }

    /**
     * 添加2
     * @param inputTwo 添加2
     */
    public void setInputTwo(String inputTwo) {
        this.inputTwo = inputTwo == null ? null : inputTwo.trim();
    }

    /**
     * 添加1
     * @return input_three 添加1
     */
    public String getInputThree() {
        return inputThree;
    }

    /**
     * 添加1
     * @param inputThree 添加1
     */
    public void setInputThree(String inputThree) {
        this.inputThree = inputThree == null ? null : inputThree.trim();
    }

    /**
     * 添加2
     * @return input_four 添加2
     */
    public String getInputFour() {
        return inputFour;
    }

    /**
     * 添加2
     * @param inputFour 添加2
     */
    public void setInputFour(String inputFour) {
        this.inputFour = inputFour == null ? null : inputFour.trim();
    }

    /**
     * 其它病粒
     * @return 其它病粒
     */
	public String getImperfectgrainsScabQtbl() {
		return imperfectgrainsScabQtbl;
	}

	/**
	 * 其它病粒
	 * @param imperfectgrainsScabQtbl 其它病粒
	 */
	public void setImperfectgrainsScabQtbl(String imperfectgrainsScabQtbl) {
		this.imperfectgrainsScabQtbl = imperfectgrainsScabQtbl;
	}
}