package com.chinaitop.depot.storage.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class kcswVO {

    private Integer orgId;

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    private String bgy;
    @ApiModelProperty(value = "粮食数量")
     private Double lssl;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
     private Date  rcrq;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    private Integer grainGradeId;

    @ApiModelProperty(value = "粮食产地；basic_enum的id；")
    private Integer producerId;

    @ApiModelProperty(value = "basic_storehouse的id；仓房名称")
    private String basicStorehouseName;

    @ApiModelProperty(value = "basic_warehouse的id；货位名称")
    private String warehouseName;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；粮食品种名称")
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；粮食性质名称")
    private String grainNatureName;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；粮食等级名称")
    private String grainGradeName;

    @ApiModelProperty(value = "粮食产地；basic_enum的id；粮食产地名称")
    private String producerName;
    @ApiModelProperty(value = "收获年度名称")
    private String shnd;

    @ApiModelProperty(value = "收获年度id；")
    private Integer shndId;

    public String getBgy() {
        return bgy;
    }

    public void setBgy(String bgy) {
        this.bgy = bgy;
    }

    public Double getLssl() {
        return lssl;
    }

    public String getShnd() {
        return shnd;
    }

    public void setShnd(String shnd) {
        this.shnd = shnd;
    }

    public Integer getShndId() {
        return shndId;
    }

    public void setShndId(Integer shndId) {
        this.shndId = shndId;
    }

    public void setLssl(Double lssl) {
        this.lssl = lssl;
    }

    public Date getRcrq() {
        return rcrq;
    }

    public void setRcrq(Date rcrq) {
        this.rcrq = rcrq;
    }

    public Integer getGrainVarietyId() {
        return grainVarietyId;
    }

    public void setGrainVarietyId(Integer grainVarietyId) {
        this.grainVarietyId = grainVarietyId;
    }

    public Integer getGrainNatureId() {
        return grainNatureId;
    }

    public void setGrainNatureId(Integer grainNatureId) {
        this.grainNatureId = grainNatureId;
    }

    public Integer getGrainGradeId() {
        return grainGradeId;
    }

    public void setGrainGradeId(Integer grainGradeId) {
        this.grainGradeId = grainGradeId;
    }

    public Integer getProducerId() {
        return producerId;
    }

    public void setProducerId(Integer producerId) {
        this.producerId = producerId;
    }

    public String getBasicStorehouseName() {
        return basicStorehouseName;
    }

    public void setBasicStorehouseName(String basicStorehouseName) {
        this.basicStorehouseName = basicStorehouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getGrainVarietyName() {
        return grainVarietyName;
    }

    public void setGrainVarietyName(String grainVarietyName) {
        this.grainVarietyName = grainVarietyName;
    }

    public String getGrainNatureName() {
        return grainNatureName;
    }

    public void setGrainNatureName(String grainNatureName) {
        this.grainNatureName = grainNatureName;
    }

    public String getGrainGradeName() {
        return grainGradeName;
    }

    public void setGrainGradeName(String grainGradeName) {
        this.grainGradeName = grainGradeName;
    }

    public String getProducerName() {
        return producerName;
    }

    public void setProducerName(String producerName) {
        this.producerName = producerName;
    }
}
