package com.chinaitop.depot.storage.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "depot-agile")
public interface FeignAgileService {


    @RequestMapping(value = "/agile/kcsw/getDateByChHwh", method = RequestMethod.GET)
    Map<String, Object> getDateByChHwh(@RequestParam(value = "orgId") Integer orgId,@RequestParam(value = "houseId") Integer houseId,@RequestParam(value = "wareHouseId") Integer wareHouseId);

}
