package com.chinaitop.depot.storage.service;

import java.util.Map;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "depot-basic")
public interface FeignBasicService {


    @RequestMapping(value = "/Warehouse/getWareDataByHwbm", method = RequestMethod.GET)
    Map<String, Object> getWareDataByHwbm(@RequestParam(value = "hwbm") String hwbm);

    
    
    @RequestMapping(value = "/Storehouse/getStoreDataByHouseId", method = RequestMethod.GET)
    Map<String, Object> getStoreDataByHouseId(@RequestParam(value = "houseId") int houseId);
}
