package com.chinaitop.depot.storage.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskDetail;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskDetailExample;

public interface StorageChangeStoragehouseTaskDetailService {
	/**
	 * 新增倒仓数据
	 * @param storageChangeStoragehouseTask
	 */
	public void addStorageChangeStoragehouseTaskDetail(StorageChangeStoragehouseTaskDetail storageChangeStoragehouseTaskDetail);

	public  Map<String, Object> findByStoreData(Integer id);
	/**
	 * 查询列表显示数据
	 * @param detailExamle
	 * @return
	 */
	public List<StorageChangeStoragehouseTaskDetail> selectByExample(StorageChangeStoragehouseTaskDetailExample detailExamle);
	/**
	 * 修改子表数据
	 * @param storageChangeStoragehouseTaskDetail
	 */
	public void updateStorageChangeStoragehouseTaskDetail(StorageChangeStoragehouseTaskDetail storageChangeStoragehouseTaskDetail);
	/**
	 * 根据倒仓单号删除子表一条倒仓数据
	 * @param detailExamle
	 */
	public void removeChangeData(StorageChangeStoragehouseTaskDetailExample detailExamle);


}
