package com.chinaitop.depot.storage.service;


import com.chinaitop.depot.storage.model.StorageDailycheck;
import com.chinaitop.depot.storage.model.StorageDailycheckExample;

import java.util.List;
import java.util.Map;

public interface StorageDailyService {

    /**
     * 查询日常检查列表
     * @param example
     * @return
     */
    List<StorageDailycheck> findStorageDailycheck(StorageDailycheckExample example);

    /**
     * 添加
     * @param dailycheck
     */
    void save(StorageDailycheck dailycheck);

    /**
     * id加载数据
     * @param id
     * @return
     */
    Map<String, Object> loadDataById(Integer id);

    void remove(int id);
}
