package com.chinaitop.depot.storage.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.storage.model.StorageDump;
import com.chinaitop.depot.storage.model.StorageDumpExample;

public interface StorageDumpService {

	/**
	 * 保存
	 * @param storageDump
	 */
	void save(StorageDump storageDump);

	/**
	 * 按ID查询数据
	 * 
	 * @param id 数据ID
	 * @return
	 */
	StorageDump findByParmaryKey(Integer id);

	/**
	 * 按照条件查询数据
	 * 
	 * @param example
	 * @return
	 */
	List<StorageDump> findCondition(StorageDumpExample example);

	/**
     * 查询验收通过的数据
     * 
     * @param orgId 单位ID
     * @return
     */
	List<Map<String, Object>> selectYswData(Integer orgId);

}
