package com.chinaitop.depot.storage.service;

import com.chinaitop.depot.storage.model.StorageFoodbasicInfoCheck;
import com.chinaitop.depot.storage.model.StorageFoodbasicInfoCheckExample;

import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/19
 */
public interface StorageFoodbasicInfoCheckService {
    /**
     * 条件查询foodbasicInfoCheck列表
     * @param foodbasicInfoCheck
     * @return
     */
    List<StorageFoodbasicInfoCheck> queryByFoodbasicInfoCheck(StorageFoodbasicInfoCheckExample foodbasicInfoCheck);
    /**
     * 新增foodbasicInfoCheck信息
     * @param foodbasicInfoCheck
     */
    void save(StorageFoodbasicInfoCheck foodbasicInfoCheck);
    /**
     * 根据id查询数据
     * @param id
     * @return
     */
    StorageFoodbasicInfoCheck loadDataById(int id);
}
