package com.chinaitop.depot.storage.service;

import com.chinaitop.depot.storage.model.StorageFoodbasicInfoLocation;
import com.chinaitop.depot.storage.model.StorageFoodbasicInfoLocationExample;

import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/20
 */
public interface StorageFoodbasicInfoLocationService {
    /**
     * 条件查询houseRepair列表
     * @param
     * @return
     */
    List<StorageFoodbasicInfoLocation> queryByFoodbasicInfoLocation(StorageFoodbasicInfoLocation location);
    /**
     * 新增foodbasicInfoCheck信息
     * @param foodbasicInfoLocation
     */
    void save(StorageFoodbasicInfoLocation foodbasicInfoLocation);
    /**
     * 根据id查询数据
     * @param id
     * @return
     */
    StorageFoodbasicInfoLocation loadDataById(int id);

    /**
     * 根据原货位号查找该记录
     * @return
     */
     List<StorageFoodbasicInfoLocation> getFoodbasicInfoLocationByWarehouseCode(Integer houseId, Integer wareHouseId);
}
