package com.chinaitop.depot.storage.service;



import com.chinaitop.depot.storage.model.StorageFoodbasicinfo;
import com.chinaitop.depot.storage.model.StorageFoodbasicinfoExample;
import com.chinaitop.depot.storage.model.vo.StorageQualitycheckVo;

import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/26
 */
public interface StorageFoodbasicInfoService {

	/**
	 * 查询粮情专卡列表
	 * @param example
	 * @return
	 */
	List<StorageFoodbasicinfo> selectByExample(StorageFoodbasicinfo example);

	/**
	 * 按仓房和货位一组粮情专卡数据
	 * 
	 * @param foodbasicinfo 条件集合
	 * @return
	 */
	List<StorageFoodbasicinfo> getByHouseIdAndWarehouseId(StorageFoodbasicinfo foodbasicinfo);
    
    /**
     * 新增
     * 
     * @param foodbasicInfo 数据对象
     */
    void save(StorageFoodbasicinfo foodbasicInfo, StorageQualitycheckVo qualitycheckVo,Integer orgId);
	/**
	 * 根据id查询数据
	 *
	 * @param id
	 * @return
	 */
	StorageFoodbasicinfo loadDataById(int id);

	void setFoodBasicInfoHistoryStatus(Integer houseId, Integer warehouseId);

	/**
	 * 根据条件查询粮情专卡数据
	 * 
	 * @param example
	 * @return
	 */
	List<StorageFoodbasicinfo> findByCondition(StorageFoodbasicinfoExample example);
}
