package com.chinaitop.depot.storage.service;


import com.chinaitop.depot.storage.model.StorageStorehouseBusiness;
import com.chinaitop.depot.storage.model.WarehouseSealingRecord;
import com.chinaitop.depot.storage.model.vo.WareHouseVO;
import com.chinaitop.depot.storage.model.vo.kcswVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface WarehouseSealingRecordService {
    /**
     * 按条件查询数据
     *
     * @param map
     * @return
     * @throws Exception
     */
    public List<WarehouseSealingRecord> getList(Map<String, Object> map);



    public WarehouseSealingRecord findByWarehouseSea(Integer id);

    /**
     * 更新廒间信息
     *
     * @param warehouseSealingRecordJson
     * @param userInfo
     * @return
     * @throws Exception
     */
    public Map<String, Object> saveOrUpdate(HttpServletRequest request, String warehouseSealingRecordJson, String userInfo) throws Exception;


    public void updateBasicStorehouse(WarehouseSealingRecord WarehouseSealingRecord);


    List<StorageStorehouseBusiness> findStorehouse(Integer orgId);

    List<WareHouseVO> findWareHouse(Integer storehouseId);

    kcswVO findkcsw(Integer warehouseId);
}
