package com.chinaitop.depot.storage.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageChangeStoragehouseTaskMapper;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTask;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseTaskExample;
import com.chinaitop.depot.storage.service.StorageChangeStoragehouseTaskService;
@Service
public class StorageChangeStoragehouseTaskServiceImpl implements StorageChangeStoragehouseTaskService {

	@Resource 
	private StorageChangeStoragehouseTaskMapper storageChangeStoragehouseTaskMapper;

	/**
	 * 查询倒仓主表数据
	 */
	@Override
	public List<StorageChangeStoragehouseTask> selectByExample(StorageChangeStoragehouseTaskExample example) {
		return storageChangeStoragehouseTaskMapper.selectByExample(example);
	}
	/**
	 * 新增倒仓数据
	 */
	@Override
	public void addStorageChangeStoragehouseTask(StorageChangeStoragehouseTask storageChangeStoragehouseTask) {
		storageChangeStoragehouseTaskMapper.insertSelective(storageChangeStoragehouseTask);
	}
	/**
	 * 修改倒仓数据
	 */
	@Override
	public void updateStorageChangeStoragehouseTask(StorageChangeStoragehouseTask storageChangeStoragehouseTask) {
		storageChangeStoragehouseTaskMapper.updateByPrimaryKey(storageChangeStoragehouseTask);
		
	}
	/**
	 * 删除一条倒仓数据
	 */
	@Override
	public void removeChangeData(StorageChangeStoragehouseTaskExample example) {
		storageChangeStoragehouseTaskMapper.deleteByExample(example);
		
	}
}
