package com.chinaitop.depot.storage.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageChangeStoragehouseWorkTaskMapper;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseWorkTask;
import com.chinaitop.depot.storage.model.StorageChangeStoragehouseWorkTaskExample;
import com.chinaitop.depot.storage.service.StorageChangeStoragehouseWorkTaskService;
@Service
public class StorageChangeStoragehouseWorkTaskServiceImpl implements StorageChangeStoragehouseWorkTaskService {

	@Resource 
	private StorageChangeStoragehouseWorkTaskMapper storageChangeStoragehouseWorkTaskMapper;
	
	/**
	 * 修改倒仓数据
	 */
	@Override
	public void updateStorageChangeStoragehouseTask(StorageChangeStoragehouseWorkTask storageChangeStoragehouseTask) {
		storageChangeStoragehouseWorkTaskMapper.updateByPrimaryKey(storageChangeStoragehouseTask);
	}
	/**
	 * 增加一条数据到数据库
	 */
	@Override
	public void addStorageChangeStoragehouseTaskDetail(
			StorageChangeStoragehouseWorkTask storageChangeStoragehouseWorkTask) {
		storageChangeStoragehouseWorkTaskMapper.insertSelective(storageChangeStoragehouseWorkTask);
		
	}
	@Override
	public List<StorageChangeStoragehouseWorkTask> selectByExample(
			StorageChangeStoragehouseWorkTaskExample detailExamle) {
		return storageChangeStoragehouseWorkTaskMapper.selectByExample(detailExamle);
	}
}