package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageFoodbasicInfoCheckMapper;
import com.chinaitop.depot.storage.model.StorageFoodbasicInfoCheck;
import com.chinaitop.depot.storage.model.StorageFoodbasicInfoCheckExample;
import com.chinaitop.depot.storage.service.StorageFoodbasicInfoCheckService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/19
 */
@Service
public class StorageFoodbasicInfoCheckServiceImpl implements StorageFoodbasicInfoCheckService {
    @Resource
    private StorageFoodbasicInfoCheckMapper foodbasicInfoCheckMapper;
    @Override
    public List<StorageFoodbasicInfoCheck> queryByFoodbasicInfoCheck(StorageFoodbasicInfoCheckExample foodbasicInfoCheck) {
        return foodbasicInfoCheckMapper.selectByExample(foodbasicInfoCheck);
    }

    //保存数据
    @Override
    public void save(StorageFoodbasicInfoCheck foodbasicInfoCheck) {
        if (foodbasicInfoCheck.getId() == null)
            foodbasicInfoCheckMapper.insert(foodbasicInfoCheck);//新增数据
        else
            foodbasicInfoCheckMapper.updateByPrimaryKey(foodbasicInfoCheck);//修改数据
    }

    @Override
    public StorageFoodbasicInfoCheck loadDataById(int id) {
        return foodbasicInfoCheckMapper.selectByPrimaryKey(id);
    }
}
