package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageQualitycheckSonMapper;
import com.chinaitop.depot.storage.model.StorageQualitycheckSon;
import com.chinaitop.depot.storage.model.StorageQualitycheckSonExample;
import com.chinaitop.depot.storage.service.StorageQualitycheckSonService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/12/23
 */
@Service
public class StorageQualitycheckSonServiceImpl implements StorageQualitycheckSonService {
    @Resource
    private StorageQualitycheckSonMapper qualitycheckSonMapper;
    @Override
    public List<StorageQualitycheckSon> findQualitycheckSonExample(StorageQualitycheckSonExample storageQualitycheckSonExample) {
        return qualitycheckSonMapper.selectByExample(storageQualitycheckSonExample);
    }

    @Override
    public void removeSon(StorageQualitycheckSonExample storageQualitycheckSonExample) {
        qualitycheckSonMapper.deleteByExample(storageQualitycheckSonExample);
    }

    @Override
    public List<StorageQualitycheckSon> getQualitycheckSonByFoodbasicinfoCheck(Integer foodbasicinfoId) {
        return qualitycheckSonMapper.getQualitycheckSonByFoodbasicinfoCheck(foodbasicinfoId);
    }

    @Override
    public List<StorageQualitycheckSon> selectByQualitycheckId(Integer id) {
        return qualitycheckSonMapper.selectByQualitycheckId(id);
    }
}
