package com.chinaitop.depot.storage.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageWarterFixedPointMapper;
import com.chinaitop.depot.storage.model.StorageWarterFixedPoint;
import com.chinaitop.depot.storage.model.StorageWarterFixedPointExample;
import com.chinaitop.depot.storage.service.StorageWarterFixedPointService;

@Service
public class StorageWarterFixedPointServiceImpl implements StorageWarterFixedPointService {

	@Resource
	private StorageWarterFixedPointMapper storageWarterFixedPointMapper;

	@Override
	public List<StorageWarterFixedPoint> findCondition(String zid) {
		StorageWarterFixedPointExample example = new StorageWarterFixedPointExample();
		StorageWarterFixedPointExample.Criteria criteria = example.createCriteria();
		criteria.andZIdEqualTo(zid);
		example.setOrderByClause("qy asc");
		List<StorageWarterFixedPoint> list = storageWarterFixedPointMapper.selectByExample(example);
		return list;
	}

}
