package com.chinaitop.depot.storage.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.storage.mapper.StorageWarterMobilePointMapper;
import com.chinaitop.depot.storage.model.StorageWarterMobilePoint;
import com.chinaitop.depot.storage.model.StorageWarterMobilePointExample;
import com.chinaitop.depot.storage.service.StorageWarterMobilePointService;

@Service
public class StorageWarterMobilePointServiceImpl implements StorageWarterMobilePointService {

	@Resource
	private StorageWarterMobilePointMapper storageWarterMobilePointMapper;

	@Override
	public List<StorageWarterMobilePoint> findCondition(String zid) {
		StorageWarterMobilePointExample example = new StorageWarterMobilePointExample();
		StorageWarterMobilePointExample.Criteria criteria = example.createCriteria();
		criteria.andZIdEqualTo(zid);
		example.setOrderByClause("qy asc");
		List<StorageWarterMobilePoint> list = storageWarterMobilePointMapper.selectByExample(example);
		return list;
	}

}
