package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.XwkZljcMapper;
import com.chinaitop.depot.storage.mapper.XwkZljcmxMapper;
import com.chinaitop.depot.storage.model.XwkZljc;
import com.chinaitop.depot.storage.model.XwkZljcmx;
import com.chinaitop.depot.storage.model.XwkZljcmxExample;
import com.chinaitop.depot.storage.service.XwkZljcService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

@Service
public class XwkZljcServiceImpl implements XwkZljcService {

    @Resource
    private XwkZljcMapper xwkZljcMapper;

    @Resource
    private XwkZljcmxMapper xwkZljcmxMapper;

    @Override
    public List<XwkZljc> queryXwkZljc(XwkZljc xwkZljc) {
        return xwkZljcMapper.selectByList(xwkZljc);
    }

    @Override
    public ConcurrentHashMap<String, Object> loadDataById(String id) {
        ConcurrentHashMap<String,Object> retMap = new ConcurrentHashMap<String,Object>();
        if(id!=null){
            XwkZljc xwkZljc = xwkZljcMapper.selectByPrimaryKey(id);
            retMap.put("xwkZljc",xwkZljc);
            if(xwkZljc!=null){
                XwkZljcmxExample example = new XwkZljcmxExample();
                XwkZljcmxExample.Criteria criteria = example.createCriteria();
                criteria.andZljcidEqualTo(id);
                List<XwkZljcmx>  xwkZljcmxList = xwkZljcmxMapper.selectByExample(example);
                retMap.put("xwkZljcmxList",xwkZljcmxList);
            }
        }
        return retMap;
    }
}